2007-06-10 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/BathyScapheHelp/
		ヘルプコンテンツのアップデート。
	* application/Resources/Japanese.lproj/BathyScapheHelp/gfx/boardoption130.png
	* application/Resources/Japanese.lproj/BathyScapheHelp/gfx/previewer130.png
	* application/Resources/Japanese.lproj/BathyScapheHelp/gfx/syncpane.png
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/customise_font_style_color.html
		[削除] ヘルプで削除されたファイル。
	* application/Resources/Japanese.lproj/BathyScapheHelp/gfx/new150_findpanel.png
	* application/Resources/Japanese.lproj/BathyScapheHelp/gfx/new150_smartboard.png
	* application/Resources/Japanese.lproj/BathyScapheHelp/gfx/new150_theme.png
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/about_theme.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/choose_edit_delete_theme.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/create_smart_boards.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/create_theme.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/icons_mail_field.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/lookup_related_keywords.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/open_reference_popup.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/use_theme_on_other_account.html
		[新規追加] ヘルプで追加されたファイル。
	* application/Resources/Japanese.lproj/board_default.plist
		最新のものに更新。
	* application/Resources/Japanese.lproj/Browser.nib
		デフォルトのブラウザウインドウのサイズを大きめにした。
2007-06-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/himeko.scpt
	* application/Resources/na-na.scpt
		[削除] 未使用になったので削除。
2007-06-06 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BoardWarrior.m
	* application/Resources/Japanese.lproj/BoardWarrior.strings
	* application/source/preferences/AppDefaults-Bundle.m
		掲示板リストの同期機能：内部の動作方法を見直して、AppleScript にパラメータを渡して実行する方法を効率化した。
	* application/Resources/BoardWarrior.scpt
		[新規追加] himeko.scpt と na-na.scpt の内容を統合して一つのスクリプトファイルにした。
	* application/Resources/himeko.scpt
	* application/Resources/na-na.scpt
		ターゲットから外した。
2007-06-04 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/SGAppKit/framework/src/extensions/workspace/NSWorkspace-SGExtensions.m
		ちょっとおかしかった部分があったので修正。
2007-05-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadAttributes.m
		スレッドの「情報を見る」パネルで、ログファイルの場所の表記を HFS path style から POSIX path style に変更した。
		この方が Finder のサービスメニューにも渡せて便利であろう。
	* frameworks/SGAppKit/framework/src/extensions/workspace/NSWorkspace-SGExtensions.m
		SGAppKit (1.6.8 -> 1.6.9):
		ファイルをゴミ箱に捨てようとするときに、Finder が起動していなければ自動的に起動するようにした。
		- もちろん Finder.app をハードディスクから削除しているような環境ではどうしようもないが、それはさすがに勘弁。
		あと、AppleEvent 送信先を特定するために 'MACS' ではなく com.apple.finder を使うように変えた。
2007-05-27 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/CMRAppDelegate.m
		Dock メニューの「お気に入りの更新チェック」項目をちゃんと validate するようにした。
		これまでは利用不可能なときも選択可能になっていた。
2007-05-16 masakih <masakih@users.sourceforge.jp>
	* application/source/manager/CMRDocumentFileManager.m:
		-[CMRDocumentFileManager boardNameWithLogPath:]で
		「エヴァ」板の様にファイルシステム上 NFD で表現されていても、NFC に変換して板名を返すようにした。
2007-05-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/BSThreadListUpdateTask.m
		「新着スレッドを常に最上位にソートする」が「切」のとき、「表示」＞「一覧に表示するスレッド」のうちの
		「新着／既得スレッド」および「新着スレッド」を選んでもすべてのスレッドが表示されてしまう問題を修正（21スレ135など）。
	* application/source/bbs/BoardManager-BSAddition.m
		掲示板の Sort Descriptor が BoardProperties.plist に見つからないとき、ソート基準カラムと
		昇順／降順の設定値が（旧バージョンで）保存されていれば、そこから Sort Descriptor を作るようにした。
	* application/source/browser/CMRTextColumnCell.m
		2007-02-21 の修正で「スレッド一覧で、行の高さに関わらず、適切にテキストを垂直方向に対して中央に描画するようにした。」
		とあるのをいったん中止した。描画時に白い線が見えるなどの問題が一部で報告されたため。
	* application/subproj/previewer/Japanese.lproj/BSIPIFullScreen.nib
	* application/subproj/previewer/Japanese.lproj/Localizable.strings
	* application/subproj/previewer/BSIPIFullScreenController.m
		メッセージの表示をもうちょっときめ細かいものに。
================================================= 1.5 Sneaky (v105)
2007-05-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/Japanese.lproj/BSIPIFullScreen.nib
	* application/subproj/previewer/BSIPIFullScreenController.m
		プレビューインスペクタ（2.6）：
		- フルスクリーン表示中に前／次のイメージへ移動する際、もう前／次のイメージが無いときは
		　自動的にフルスクリーン表示を解除…するのは「やめて、『もう前／次のイメージはありません』という
		　メッセージを3秒間画面に表示する」仕様に変更した。
		- ホイールを回転させる方向と前／次へ移動する方向の対応を入れ替えた。
		　上方向：前のイメージへ、下方向：次のイメージへ
	* application/subproj/previewer/BSIPIHUDTextField.[h|m]
		[新規追加] 半透明の黒い背景と、周囲 5 ピクセルのマージンを常に持つ NSTextField サブクラス。
		プレビューインスペクタのフルスクリーン表示時に使う。
2007-04-29 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/AddBoardSheetController.m
		http://pc11.2ch.net/test/read.cgi/mac/1176111059/218 で指摘された問題、即ち
		「掲示板を追加」シートで直接名前と URL を入力して追加する際、過去に登録された経験がある URL だった場合に
		過去の名前と別の名前で追加しようとしても過去の名前が使用されてしまう問題を解決。
	* application/subproj/preference/font_color/BSThemeEditor.m
	* application/subproj/preference/font_color/FCController.m
		「環境設定」＞「表示」のカスタムテーマ編集機能の改造完了。
		- 「このテーマを保存...」で、既にある名前をつけようとした際の処理を
		　「同じ名前でも構わない」「違う名前に変更」「同じ名前のテーマに上書き保存」から選べるようにした。
	* application/Resources/text/KeyValueTemplates.plist
	* application/source/composer/BSAsciiArtDetector.m
		AAD (Ascii Art Detector) の改良：
		- デフォルトの正規表現からギコ猫の口を取り除いた（不評のようなので）。
		- BSAsciiArtDetector は、KeyValueTemplates.plist に記述された正規表現文字列が妥当なものか、
		　使用前にチェックを行い、不適切なら（コンソールにメッセージを吐いて）自動的に作動停止するようにした。
2007-04-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/font_color/BSThemeEditor.m
	* application/subproj/preference/font_color/FCController.m
	* application/source/preferences/AppDefaults.m
		「環境設定」＞「表示」のカスタムテーマ編集関連を引き続き調整中。作業が遅れている。
		大体固まってきたがまだ完全ではない。
2007-04-23 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/font_color/BSThemeEditor.[h|m]
	* application/subproj/preference/Japanese.lproj/ThemeEditor.nib
		「環境設定」＞「表示」のカスタムテーマ編集シート関係のソースと nib を FCController.m および
		ViewPane.nib から分離独立させた（まだ作成途中で、完全には動作しない）。
	* application/subproj/preference/Japanese.lproj/ViewPane.nib
	* application/subproj/preference/Japanese.lproj/Localizable.strings
	* application/subproj/preference/font_color/FCController.m
		「環境設定」＞「表示」ペインのコントローラを再編成している途中。また、テーマを削除する前に
		確認のアラートを表示するようにした。テーマに既に存在する名前を付けようとした場合の処理を改善予定。
2007-04-22 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/BSBoardListItemHEADCheckTask.m
		更新チェック後に再生するサウンドの選択条件が間違っていたので修正。
2007-04-21 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/abstract/PreferencesController.m
		一部未使用のコードを取り除いた。
	* application/subproj/preference/Japanese.lproj/ViewPane.nib
	* application/subproj/preference/Japanese.lproj/Localizable.strings
	* application/subproj/preference/font_color/FCController.m
		「表示」環境設定でのカスタムテーマ編集シート上のヘルプボタンが動作するように準備。
	* application/source/thread/CMRThreadViewer-Find.m
		[Bug 10313] を修正。
	* application/source/browser/CMRBrowser-Validation.m
		[Bug 10308] を修正。
================================================= 1.5 Sneaky (v101)
2007-04-19 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/board_default.plist
		最新のものに更新。
	* application/source/browser/BSThreadListItem.m
		valueForUndefinedKey: が呼び出されると、デフォルトでは例外が発生する。これがツールバー項目の validation など、
		思わぬ所に影響を及ぼすようなので、このメソッドをオーバーライドして例外は発生させないようにした。
		たぶん [Bug 10300] は解決。
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/thread/CMRThreadViewer-OwnHistory.m
	* application/source/browser/CMRBrowser-Validation.m
	* application/source/window/CMRReplyController.m
	* application/source/window/CMRStatusLineWindowController.m
		ツールバー項目とメニューバー項目の validation を統一的に行うため、NSUserInterfaceValidations プロトコルに
		適合させ、基本的に -validateUserInterfaceItem: で validation を行うようにした。
	* application/BathyScaphe.xcodeproj
		Starlight Breaker ターゲットで BathyScaphe 1.5 をビルドするようにした。
		（BathyScaphe 1.5 をビルドするのは BathyScaphe ターゲットではないので注意）。
2007-04-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/font_color/FCController.m
		「環境設定」＞「表示」ペインで、「テーマ：」ポップアップメニューから command キーを押しながらテーマ名を選ぶことで
		そのテーマファイルを削除できるようにした（削除後は、とりあえずデフォルトテーマを選択するようにした）。
		これに伴い、preferencesPane.plugin が SGAppKit フレームワークもリンクするようになった。
	* application/Resources/text/KeyValueTemplates.plist
		ソフトウェア・アップデート用の URL 情報を BathyScaphe 用に更新。
2007-04-16 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BoardManager-BSAddition.m
	* application/source/bbs/BoardListItem/SmartBoardListItemEditor.m
		[Bug 10156] を解決。
	* application/source/bbs/BoardListItem/SmartBoardListItem.m
		-isHistoryEqual: の判定方法を変更。昨日のものでは、同じスマート掲示板でも isHistoryEqual: NO になってしまっていた。
2007-04-15 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BoardListItem/SmartBoardListItem.m
		SmartBoardListItem の -isHistoryEqual: をオーバーライドして、スマート掲示板を掲示板の履歴に突っ込むときの
		不具合を解決した（すべてのスマート掲示板が isHistoryEqual: YES と判定されていた）。
	* application/source/manager/CMRHistoryManager.m
	* application/source/CMRAppDelegate.m
	* application/source/CMRAppDelegate+Menu.m
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/source/browser/CMRBrowser-List.m
		履歴関係（とくに掲示板の履歴）：
		- CMRHistoryManager の未使用になっていた部分を削除した。
		- 掲示板の履歴オブジェクトとして、CMRBBSSignature ではなく BoardListItem（のサブクラス群）を用いるようにした。
		- 履歴ファイル History.plist のバージョンを2に変更した。バージョン1のファイルは自動的に変換されるが、
		　このとき今までの掲示板履歴は失われる。また、一度バージョン2になったものは古いバージョンの BathyScaphe では読み込み
		　できない（バージョンチェックで跳ねられる）。さらにバイナリ形式のプロパティリストになった。
		- 「履歴」メニューに「最近表示した掲示板」サブメニューを追加した。ここに掲示板の履歴を表示する。もちろん選択して
		　その掲示板を表示できる。
		- BoardListItem が CMRHistoryObject プロトコルを実装していたのでとても楽だった。Thanks！
	* application/source/browser/CMRBrowser-List.m
	* application/source/browser/CMRBrowser-BLEditor.m
	* application/source/bbs/BoardListItem/SmartBoardListItemEditor.m
		既存のスマート掲示板の条件を編集して変更した後は、自動的にそのスマート掲示板を再読み込みして新しい条件の下での結果を
		表示するようにした。
	* application/source/preferences/AppDefaults.[h|m]
	* application/source/network/CMRDownloader.m
	* application/subproj/reply/connector/SG2chConnector.m
		隠しオプションとしての独自 proxy サポートも廃止した。
	* application/Resources/Japanese.lproj/Credits.rtf
		[削除] どういうわけか、プロジェクトにも登録されていないゾンビファイルがあったので削除。
	* application/BathyScaphe.xcodeproj/project.pbxproj
		未使用になって Starlight Breaker ターゲットから外れていたいくつかのソースファイルについて、プロジェクトから参照を削除
		した。今後リポジトリからも削除されるだろう。
================================================= Starlight Breaker v96
2007-04-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/BSThreadInfoPanel.nib
		NSTextField の word breaking の設定を変更。
	* application/Resources/ThreadViewerDefaultTheme.plist
		デフォルトテーマを新しいフォーマットのものに変更した。
	* application/Resources/Japanese.lproj/board_default.plist
		最新のものに更新。
	* application/Resources/Japanese.lproj/Downloader.strings
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/Resources/Japanese.lproj/ThreadsList.strings
	* application/source/browser/BSBoardListItemHEADCheckTask.m
	* application/source/browser/BSDownloadTask.m
	* application/source/browser/BSThreadListUpdateTask.m
	* application/source/browser/BSThreadsListOPTask.m
		ローカライズ文字列のテーブルを持ち替え。Localizable.strings から Downloader.strings および
		ThreadsList.strings にいくつか移動させた。
2007-04-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMRAttributedMessageComposer-Anchor.m
		内部リンクの生成時によく呼び出されている +[NSCharacterSet whiteSpaceCharacterSet] をキャッシュするようにした。
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/view/BSNobiNobiToolbarItem.m
		掲示板リストの幅をリサイズしたときに、「掲示板リスト分のスペース」ツールバー項目がツールバーにあるとリサイズが
		もたつく問題を少し軽減（ツールバー項目へのリサイズ指令を遅延実行、実行前に次の指令が出た場合は前の指令をキャンセル）。
	* application/source/CMRExports.h
	* application/source/main.m
	* application/source/bbs/BoardManager-BSAddition.m
	* application/source/bbs/BSBoardInfoInspector.m
		速報headline 板だけでなく、末尾に「headline」が付くすべての掲示板で、名無しさんの解析を試みないようにした。
		追加：これに伴い、「速報headline」というローカライズ文字列のマクロを export していたのを廃止した。
	* application/source/browser/CMRBrowser-Delegate.m
	* application/Resources/text/KeyValueTemplates.plist
		KeyValueTemplates.plist に新しいキー "Browser - DelayForAutoReloadAtWaking" を追加。real 値を取り、
		デフォルト値は 0.0。
		コンピュータのスリープ解除時に自動的にスレッド一覧を更新する機能について、コンピュータとネットワークの状態などによっては
		スリープ解除通知が来た時点でネットワークのハードウェアが完全に目覚め切っていない場合があり、一覧の更新に失敗することが
		あった。このため、この値をカスタマイズすることで「スリープ解除後、少し待ってから一覧の更新を行う」ことができるようにした。
		デフォルトの 0.0 というのは、待たないということ。例えば 2秒待ってから一覧を更新させたければ、値を 2.0 にカスタマイズせよ。
2007-04-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/AppDefaults-FCConvert.m
		[新規追加] AppDefaults-FontColor.m から分割した。
	* IBPallete/BSFontWell/BSFontWellPalette.m
		微修正。
	* application/source/preferences/AppDefaults-Background.m
	* application/source/preferences/AppDefaults-FontColor.m
	* application/source/preferences/AppDefaults.m
	* application/source/preferences/AppDefaults_p.h
	* application/source/preferences/CMRPreferencesDefautValues.h
		AppDefaults クラスのソース記述整理を引き続き行った。
	* application/Resources/Japanese.lproj/ThreadViewer.strings
	* application/source/thread/CMRThreadViewer-Link.m
	* application/source/view/CMRThreadView.m
		逆参照ポップアップをレス番号のメニューから表示させたときの表示位置を改良。また
		逆参照すべきレスが無いときの動作を改良した。
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		細部の調整。
	* application/source/window/CMRReplyController-ViewAccessor.m
	* application/source/window/CMRReplyController.m
	* application/source/window/CMRReplyMessenger.m
		無駄なメソッドの削除・および -identifier メソッドが重複して記述されていたので片方を -datIdentifier に
		変更した。また、テーマの取り扱い変更に対応して必要な修正を行った。
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSReplyTextView.m
		テキストビューの初期化で必要な作業の一部を、BSReplyTextView 内部で自動的に行うようにした。
2007-04-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/Japanese.lproj/ViewPane.nib
		「環境設定」＞「表示」ペインは、テーマの取り扱い変更に合わせて再びインタフェースを変更した。
	* frameworks/CocoMonar/framework/src/BSThreadViewTheme.m
		CocoMonar Framework: BSThreadViewTheme クラスをアップデートし、以下の属性もテーマに保存するようにした：
		- 書き込みウインドウのフォント・カラー・背景のカラーとその透明度
		- ポップアップの背景のカラーとその透明度、テキストに代替カラーを用いるかどうか・およびその代替カラー
		-initWithCoder: で、上記の新しいデータが無いとき（＝古いテーマからのアンアーカイブ）は自動的にデフォルトの設定を作成して
		添加するようにした。
2007-04-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/BSDBThreadList.m
	* application/source/browser/CMRThreadsList-DataSource.m
		「最終書き込み日」カラムで、文字列の書式が正しく適用されていなかったので修正。
		また、時刻表示を行うカラムでは NSLineBreakMode を NSLineBreakByClipping に変更した。NSLineBreakByWordWrapping だと
		特定の状況で望まない「テキストの回り込み」が発生して美しくないため。
================================================= Starlight Breaker v84
2007-03-31 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* IBPallete/BSFontWell/BSFontWell.m
		最近配置したフォントウェルで、ボタンタイトルが不適切なフォントサイズで描画される問題を暫定的に修正。
		また、内部での KVO の無駄を少しだけ省いた。
	* application/source/thread/CMRThreadDocument.m
		ログフォルダ以外の場所のあるファイルを自動的にログフォルダにコピーする際、ファイル名を確実に dat 番号に
		対応したものに変換するようにした。（例：~/Desktop/hogehoge.thread -> ~/Library/App Support/SB/Documents/123456789.thread）
	* application/Resources/Japanese.lproj/ToolbarItems.strings
		ツールバー項目の名前を微修正。
	* application/source/bbs/BoardListItem/SmartBoardList.m
		掲示板リストからカテゴリやスマート掲示板を（間違って）デスクトップなどにドラッグ＆ドロップした際に、内容が空の
		テキストクリッピングが作成される問題が再発していたので修正。
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		テーマを変更した際にスレッドを開いていた場合の、そのスレッドに対するリアルタイムな変更の反映について
		いくつかの不具合を修正。
	* application/subproj/preference/font_color/FCController.m
		「環境設定」＞「表示」＞「スレッドの内容」：
		「テーマ：」ポップアップメニューの選択と内容の更新に関する問題を修正。
		カスタムテーマファイルの名前の付け方に関する小さな問題を修正。
2007-03-31 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadListItem.m:
		ダット落ち未取得のスレのリンクを踏むと無限ループに落ちるバグを解消。
2007-03-29 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRThreadsList-DataSource.m
		「お気に入り」からスレッドをゴミ箱にドラッグ＆ドロップした際の警告表示（お気に入りが削除されるだけでなく
		ログファイル自体も削除されることの確認）を復活させた。
	* application/source/browser/CMRFavoritesManager.m
		2007-03-27/28 あたりの変更のマージをちょっと間違って、必要なコードをコメントアウトしていたので
		元に戻した。
		- 注記：最近、ログファイルがまだ取得されていないスレッドでも「お気に入りに追加」可能と判定するように
		　なっている（かつての BathyScaphe ではログのあるスレッドしかお気に入りに追加できなかった）。
		　他の部分で動作に不整合にならないようなら、このまま仕様変更ということにして、ログの無いスレッドでも
		  お気に入りに追加可能なままにする可能性がある。
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/Resources/Japanese.lproj/ThreadViewer.strings
	* application/Resources/Japanese.lproj/Localizable.strings
		Validation の無駄を少し省き、一部のローカライズ文字列を Localizable.strings から
		ThreadViewer.strings に移動して整理した。
	* application/source/thread/CMRThreadDocument.m
		ログフォルダ以外の場所にあるファイルを開くときのトラブルを防止するため、そのようなファイルは自動的に
		ログフォルダにコピーしてから開くようにしてみた。
	* application/Resources/Japanese.lproj/board_default.plist
		最新のものに更新。
	* application/source/view/BSNobiNobiToolbarItem.m
		「掲示板リストのスペース」ツールバー項目の描画を安定化した。カスタマイズ中はより確実に枠線を表示し、
		カスタマイズ完了後は確実に枠線を消す。
	* application/Resources/Japanese.lproj/SmartBLIEditorComponents.nib
	* application/Resources/Japanese.lproj/SmartBoardItemEditor.nib
	* application/Resources/Japanese.lproj/SmartBoardListItemEditor.strings
	* application/Resources/Japanese.lproj/ConditionTypes.plist
		少し表記を（既存のブラウザウインドウ内での用語と）統一。「板名」→「掲示板の名前」など。
		また、機能未実装のチェックボックスを disabled にしていたが、hidden にした。
2007-03-28 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadListItem.m:
		-[BSThreadListItem boardName] の実装が間違っていた。
		key BoardNameColumn には常に値が存在する訳ではないので
		値が無い場合はデータベースから取得する必要がある。
2007-03-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRFavoritesManager.m
		お気に入りの追加／削除ができなくなっていたり、ログを削除してもお気に入りから削除されなくなっていた問題を
		修正。
	* application/source/window/CMRToolbarDelegateImp.m
		書き込みウインドウのツールバーが使えなくなっていた問題を修正。
2007-03-28 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadListItem.m:
		ファイルパスから生成するときに、データベースへの登録もするようにした。
	* application/source/browser/CMRFavoritesManager.m:
	* application/source/manager/DatabaseManager-DatabaseAccess.m:
	* application/source/manager/DatabaseManager.h:
		別の場所で使う必要が出来たので、スレッドファイル(.thread)からデータを登録するメソッドを
		DatabaseManager に新設。
2007-03-27 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/window/CMRBrowserTbDelegate.m
	* application/Resources/Japanese.lproj/ToolbarItems.strings
		ブラウザウインドウのツールバー項目に、掲示板リストの幅に追従するスペースを追加した。
		ツールバーの左端を、常に掲示板リストの幅と同じだけ空白にしておきたい人にお勧め。
	* application/source/view/BSNobiNobiToolbarItem.[h|m]
		[新規追加] 掲示板リストの幅に追従する空白ツールバーアイテム用のサブクラスとカスタムビュー。
2007-03-27 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSDBThreadList.m:
		dateAttributeForIdentifier:status: のkey を直すのを忘れたので直した。
2007-03-26 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardManager-BSAddition.m:
		sortKeyForKey() を tableNameForKey() に戻した。
	* application/source/browser/BSDBThreadList.m:
		BSThreadListItem の変更により
		objectValueForIdentifier:threadArray:atIndex: がより簡素になった。
	* application/source/browser/BSDBThreadsListDBUpdateTask2.m:
	* application/source/manager/DatabaseManager.[h|m]:
		BSThreadListItem の変更により tableNameForKey() と sortKeyForKey() を
		混在させる必要が無くなったので、sortKeyForKey() を廃止し、
		tableNameForKey() を元に戻した。
	* application/source/browser/BSThreadListItem.[h|m]:
		常にキャシュするようにし、BSCachedThreadListItem クラスを廃止。
		スレッド一覧のテーブルカラムID を特別扱いするように変更し、
		外部からはあたかも、テーブルカラムID を直接扱っているように見せるように変更。
	* application/source/browser/BSDBThreadList.m:
	* application/source/browser/BSThreadListItem.m:
		さらにBSDBThreadListの責任を減らす。
2007-03-25 masakih <masakih@users.sourceforge.jp>
	* application/BathyScaphe.xcodeproj/project.pbxproj:
		警告がうるさいのでリンカフラグに-bind_at_loadを追加。
	* application/source/bbs/BoardManager-BSAddition.m:
		tableNameForKey() を sortKeyForKey()に変更。
	* application/source/browser/BSDBThreadList.[h|m]:
		BSThreadListItem を使用するようにした。
		メソッドの定義位置を整理した。
	* application/source/manager/DatabaseManager-DatabaseAccess.m:
		- (id)valueForKey:boardID:threadID: が正しく動いていなかったので修正。
	* application/source/manager/DatabaseManager.[h|m]:
		sortKeyForKey()関数を追加。テーブルカラムとソートキーは別物になった。
	* application/source/manager/SQLiteDB.m:
		エラー処理追加。
	* application/source/browser/BSThreadListItem.[h|m]:
		[新規追加] SQLiteCursor をラップする。BSDBThreadList の責任逃れ用。
	* application/source/browser/CMRThreadsList.h:
	* application/source/browser/CMRThreadsList-DataSource.m:
		最終書き込み日カラム用の表示属性を追加。
	* application/Resources/Japanese.lproj/ConditionTypes.plist:
	* application/Resources/Japanese.lproj/CriteriaSpecifications.plist:
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m:
		最終書き込み日でスマート掲示板を作成可能にした。
	* application/Resources/Japanese.lproj/browserListColumns.plist:
	* application/source/browser/BSDBThreadList.m:
		 スレッド一覧に最終書き込み日カラムを追加。
	* application/source/manager/DatabaseManager-DatabaseAccess.m:
	* application/source/manager/DatabaseManager.[h|m]:
		スレッド毎の最終書き込み日時を保存するようにした。
	* application/source/window/CMRReplyMessenger.[h|m]:
		スレッド毎の最終書き込み日時を保存する為にスレッドのidを返すメソッドを追加。
2007-03-25 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Validation.m
	* application/source/preferences/AppDefaults-ThreadsList.m
	* application/source/browser/BSBoardListItemHEADCheckTask.m
		更新チェック（お気に入り／スマート掲示板）のインターバルについて、さらに緩和し、
		「実際に HEAD を投げたスレッドの個数に関わらず、とにかく一律五分」とした。
		- 今まではスレッドの個数が多いと、20秒ずつ追加加算されていた。
		- スマート掲示板で更新チェックを使う頻度も増えたので、あまり長いインターバルを設定するとユーザに
		　「理性を超えてしまうほどの負の感情」を与えてしまう懸念があったこと。また、他のブラウザでのインターバルの
		　実装状況などを少々研究した結果、まぁ一律 5分でもそんなに甘過ぎということはないだろう、と判断した。
	* application/source/thread/CMRThreadViewer-Find.m
	* application/Resources/Japanese.lproj/ThreadViewer.strings
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/Resources/Japanese.lproj/ToolbarItems.strings
		- いくつかのローカライズ文字列について、所属する table を変更したりして整理した。
	* application/subproj/previewer/BSIPIFullScreenController.m
		プレビューインスペクタ（2.5.5）：
		- フルスクリーン表示中に次／前のイメージへ移動しようとする際、もう次／前のイメージが無いときはフルスクリーン表示を
		　解除するようにした。
		- フルスクリーン表示中に s キー（保存）、delete キー（削除）を押したときは、適切な効果音を鳴らすようにした。
	* application/source/browser/BSBoardListItemHEADCheckTask.m
	* application/Resources/Japanese.lproj/Localizable.strings
		ローカライズされていない文字列をローカライズした。
	* application/source/thread/CMXThreadDATConvertingTask.[h|m]
	* application/source/view/CMRTextView.[h|m]
		[削除] すでにプロジェクトにも登録されていないファイルだが、ゾンビのようにリポジトリに残っていたのを見つけたので削除。
	* application/source/preferences/*.m
	* application/source/preferences/CMRPreferencesDefautValues.h
		AppDefaults の各設定項目の初期値を CMRPreferencesDefautValues.h にまとめて記述し直した。
2007-03-24 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/CMRReplyDocumentFileManager.m
		reply フォルダのパス取得方法を改めた。
	* application/source/preferences/AppDefaults-Sounds.m
		[新規追加] AppDefaults-Alert.m および AppDefaults-LibPath.m の一部メソッドがほとんど使われていなかったので
		ターゲットから外し、AppDefaults-LibPath.m に居候していた Sounds 関連のメソッド群を新たに AppDefaults-Sounds.m
		ファイルとして独立させた。
		- ごちゃごちゃして巨大な AppDefaults クラスを少しでも分かりやすく、系統だったものに改良すべく集中的に再構成に
		　取り組むことにした。
	* application/source/CMRAppDelegate.m
		「すべてのウインドウを閉じる」のコードが少々綱渡りだったのを、堅実な書き方に改めた。
	* application/Resources/Japanese.lproj/MainMenu.nib
		もうじき BathyScaphe に還る日が来るので、MenuItem の表記は BathyScaphe に戻した。
	* application/source/preferences/AppDefaults-FontColor.m
		（まだ変換していないときは）今までの BathyScaphe の環境設定データベースに記録されているフォント・カラーの
		設定から、ImportedTheme.plist というファイル名で スレッド内容表示領域のフォント・カラー設定オブジェクトを
		作成して使用するようにした。
	* application/source/composer/CMRAttributedMessageComposer.m
		ブックマークされたレスの本文のフォント・カラーも変更できるようにした。
		- 今までどおりレス番号もボールド＋イタリックになる。
		- レス番号にもカラーが付く。
		- フォントが変わるのは本文部分のみ。
		- ブックマークかつAAレスの場合は、本文はカラーのみが変更され、フォントは AA フォントが優先使用される。
	* application/Resources/ThreadViewerDefaultTheme.plist
		[新規追加] スレッドの内容表示領域のデフォルトのフォント・カラー設定を記述したファイル。
	* application/subproj/preference/Japanese.lproj/ViewPane.nib
		[新規追加] 「環境設定」＞「表示」ペインの新しい nib ファイル。FontsAndColors.nib は未使用に。
	* frameworks/CocoMonar/framework/src/BSThreadViewTheme.[h|m]
		[新規追加] スレッドの内容表示領域のフォント・カラー設定を表すオブジェクト。
	* application/source/CMRAppDelegate.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		AppDefaults の一部メソッド廃止に伴う小変更。
	* application/source/composer/CMRMessageAttributesTemplate.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		スレッドの内容表示領域のフォント・カラーを変更した際、これまでは「次に開くスレッド」から変更が
		反映されていたが、すぐに（＝既に開いているスレッドに対しても）反映させるようにした。
		- 実際にはログファイルから読み込み直すことで再レンダリングして、新しいフォント・カラーで
		　表示されるようにしている。
	* application/source/composer/CMXTextParser.m
		[Bug 10146] および、SB7 以降でミリ秒が解析／表示されなくなっていた問題を修正。
	* application/source/network/ThreadTextDownloader.m
	* application/source/thread/CMRThreadViewer.m
		ログファイルをバイナリ形式のプロパティリストで保存する隠しオプションを再び設けた。
		 defaults write com.masakih.bsas UseBinaryFormat -bool YES
	* application/source/preferences/AppDefaults-Background.m
	* application/source/preferences/AppDefaults-FontColor.m
	* application/source/preferences/AppDefaults.[h|m]
		AppDefaults クラスの見直し、合理化、スレッド内容表示領域のフォント・カラー設定の取り扱い方を
		変更。
		- スレッド内容表示領域のフォント・カラー設定をひとまとめにして「テーマ」と捉え、テーマファイルに
		　記述する。これを表すオブジェクト BSThreadViewTheme も新規導入した。
		- スレッド一覧・ポップアップ・書き込みウインドウなどのフォント・カラー設定は今までどおり。
	* application/subproj/preference/Japanese.lproj/Localizable.strings
	* application/subproj/preference/Japanese.lproj/SyncPane.nib
		「フィルタ」環境設定は「迷惑レス」環境設定に名称変更した。
	* application/subproj/preference/font_color/FCController.m
		「表示」環境設定を再設計した。
	* application/subproj/preference/pane/PreferencesPane.m
		環境設定パネルを常にディスプレイの中央付近で表示するようにした。
	* application/subproj/preference/reply/CMRReplyDefaultsController.m
		不要な release を行っていたのを修正。
	* frameworks/CocoMonar/framework/src/CMRFiles.h
		CocoMonar Framework: 新しい定数を追加した。また、BSThreadViewTheme クラスも追加した。
2007-03-22 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSDBThreadsListDBUpdateTask2.m:
		bug #10147 を解消。
2007-03-21 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/SmartBoardListItemEditor.m:
		オブジェクトのオーナーシップに問題があったので修正。
	* application/source/bbs/BoardListItem/SmartCondition.m:
		 板名、スレッド名に ' を使用したときの問題を解消。
		typoを修正。
2007-03-21 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/SGAppKit/framework/src/extensions/textview/NSTextView-SGExtensions.m
		SGAppKit 1.6.8:
		潜在的な問題発生の可能性があったので修正。
	* application/source/window/CMRReplyController.m
		[Bug 10137] 「引用してペースト」が正しく取り消しできない問題を解決。
	* application/source/composer/CMRAttributedMessageComposer-Convert.m
	* application/source/composer/CMXTextParser.m
		CMRAttributedMessageComposer-Convert.m 内に記述されていた関数が、実際には CMXTextParser.m でしか
		呼び出されていなかったので、配置換えをした。
		また、OgreKit をもっと利用してソースコードの簡素化を計った。
	* application/source/view/CMXScrollView.[h|m]
	* application/source/thread/SGDocument.[h|m]
		[削除] 未使用につき削除。
2007-03-20 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRFavoritesManager.m
	* application/source/manager/DatabaseManager-DatabaseAccess.m
		[Bug 10077] を解決するために、少々強引な手を用いた。ログファイルからデータベースに直接登録を試みる。
================================================= Starlight Breaker v61
2007-03-19 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/TextFind.nib
	* application/source/thread/TextFinder.m
		新しい検索機能は、検索対象を確かめながらコツコツとやるので、場合によっては今までより検索時間がかかる。
		このため、検索パネルにプログレスインジケータを配置して回すようにした。
		- 例えば、800レスくらいあるスレッドで「メール」欄から「sage」を「抽出」すると、ポップアップ→ハイライトの処理に
		　明らかに BathyScaphe 1.3.1 以上の時間がかかる。最も、普通そういう検索はあまりしないとは思うが…
	* application/source/browser/CMRBrowser-List.m
		[Bug 9328] を解決するため、検索結果を表示している状態で「一覧に表示するスレッド」を他のものに切り替えても
		検索語句をフィールドから消去しないようにした。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-Validation.m
	* application/source/thread/CMRThreadViewer-Validation.m
		3ペインですでに表示しているスレッドを、スレッド一覧からのダブルクリックやコンテクストメニューで
		「新規ウインドウで開く」ことができないようにした。
2007-03-18 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/TextFind.nib
		レイアウトを少しだけ調整した。
	* application/source/thread/CMRSearchOptions.[h|m]
		[削除] BSSearchOptions に置き換えたので、削除した。
	* application/source/thread/BSSearchOptions.[h|m]
		[新規追加] CMRSearchOptions を削除して、新たに BSSearchOption オブジェクトを導入した。
		スレッド内容の検索条件を表すオブジェクトである。
	* application/source/browser/BSDBThreadList.m
	* application/source/browser/CMRBrowser_p.h
		不要な #import をいくつか削除した。
	* application/source/composer/CMRAttributedMessageComposer.m
	* application/source/composer/CMRMessageAttributesStyling.m
		内容検索時のハイライト処理を正確に行う（「名前:」や「投稿日:」といったラベルがハイライトの対象に
		ならないようにする）ため、AttributedMessageComposer でいくつか「仕込み」を行うようにした。
		-具体的には、名前そのもの、メール欄のテキストそのもの（ポップアップでメール欄を
		 表示する場合を除く）、IDのテキストそのもの、ホストのテキストそのもの、および本文のテキストそのものに
		 BSMessageKeyAttributeName という名前の attribute をセットする。
		 検索を行う際、rangeOfString:〜　でマッチした range.location に対して -[NSAttributedString attribute:atIndex:effetiveRange]
		 で attribute を照会し、BSMessageKeyAttributeName を持っているかどうかを調べて、検索対象かどうかを判断する。
		 詳しくは CMRThreadViewer-Find.m を参照。
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/source/thread/CMRThreadViewer-Link.m
		ID 長押しでのポップアップについて、処理の効率化を図るとともに、存在しない ID をポップアップさせようと
		した場合は、かわりに「このスレッドに ID:xxxxxxxx の書き込みはありません」とポップアップさせるようにした。
	* application/source/thread/TextFinder.m
	* application/source/thread/CMRThreadViewer-Find.m
		検索関連を再構成完了。
2007-03-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMRAttributedMessageComposer-Convert.m
		ID 欄だけでなく、本文中に書き込まれた「ID:xxxxxxxxxx」という文字列でも長押しによるIDポップアップが
		できるようにした。
		- ただし、"ID:"（すべて半角）の後に、半角スペース0個または1個があって、その後 ascii 文字が8から11文字
		　連続しているときのみ ID と推測する。
	* application/source/thread/CMRThreadViewer-Find.m
		まだ改良途中で、いくつか正しく動作していない部分があるが、これから直すので気にしないこと。
2007-03-15 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/Resources/Japanese.lproj/TextFind.nib
	* application/source/thread/TextFinder.m
        検索パネルを強化した。
        - 検索対象（名前欄、Mail 欄、ID欄、ホスト欄、および本文）を選択するチェックボックスを追加した。
        - 検索文字列を正規表現として解釈するチェックボックスを追加した。
        - オプション類を Disclosure Triangle（三角マーク）で表示する／隠すことができるようにした。
            ・オプション類はすべて環境設定に保存され、BathyScaphe の終了／再起動をまたいで記憶される。
	* application/source/preferences/AppDefaults.m
        検索オプションを記憶するためのメソッドを追加した。
	* application/source/thread/CMRThreadViewer-Find.m
        正規表現を用いた検索および検索対象を制限した検索への対応を開始した。まだこなれていない。
        これからまだ作り込む予定。
	* frameworks/CocoMonar/framework/src/CMRAppTypes.h
        CocoMonar Framework 0.0.8 -> 0.0.9:
        - CMRSearchOptions に新しい mask CMRSearchOptionUseRegularExpression を追加定義した。
================================================= Starlight Breaker v52
2007-03-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/SoftwareUpdate.strings
	* application/source/object/TS2SoftwareUpdate.[h|m]
        [新規追加] ソフトウェア・アップデート機能用の小さなクラス。JellyBeans から流用。
        - ソフトウェア・アップデートの仕組み：
         1. TS2SoftwareUpdate は、サーバから情報の入った plist をダウンロードします。
         2. この plist には、対象の bundleIdentifier と最新バージョンの fileCreationDate が
            書かれています。
         3. TS2SoftwareUpdate は、bundleIdentifier が一致しているか確認し、その後
            fileCreationDate を比較します。
         4. fileCreationDate が古いとき、アップデートの必要があると判断し、次回起動時に
	   　　　アップデートを知らせるアラートを表示するようにフラグをセットします。
	* application/Resources/Japanese.lproj/board_default.plist
        しばらく忘れていたが、最新のものに更新。
	* application/Resources/Japanese.lproj/MainMenu.nib
        アプリケーションメニューに「アップデートを確認...」を追加。
	* application/Resources/text/KeyValueTemplates.plist
        "System - Software Update Check URL" キー、"System - Software Update Download Page URL" キーを
        追加。
        - 現在は Starlight Breaker 用の値を入れてあり、正式版では両方とも URL が変更される予定。
	* application/source/CMRAppDelegate.m
        ソフトウェア・アップデート関連のメソッド群を追加した。また、ここに居候していた NSWindow のカテゴリは
        SGAppKit に移動した。
	* application/source/preferences/AppDefaults.m
        ソフトウェア・アップデート関連の設定を「環境設定」パネルから設定するためのブリッジとなるメソッド群を追加した。
	* application/subproj/preference/Japanese.lproj/GeneralPreferences.nib
        ソフトウェア・アップデート関連の設定項目を「一般」ペインに追加した。
	* application/subproj/preference/pane/PreferencesPane-PCManagement.m
        環境設定パネルで、外部から直接特定のペインを指定して表示させるためのメソッドを追加した。
	* frameworks/SGAppKit/framework/src/SGAppKit.h
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSWindow.m
	* frameworks/SGAppKit/framework/src/extensions/window/NSWindow-SGExtensions.m
        SGAppKit 1.6.7:
        - NSWindow のカテゴリ、および BSWindow のメソッドなどを整理した。
2007-03-09 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMXTextParser.m
		dat のパース部分をかなり書き換え。OgreKit を使って正規表現でごにょごにょする方法に切り替えた。
		これにより、コード量の削減を計った。
		- あまり速くなった感じがしないのが残念だが…たぶん、Parser より Composer (or TextView, LayoutManager...)
		  がボトルネックなのだろう。
2007-03-07 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/browser/CMRBrowser-Delegate.m
		下記改良に伴い、ThreadViewer 側でもナビゲーションバーのレイアウトや再描画処理をわずかながら
		簡素化することが可能になった。
	* application/source/view/CMRIndexingStepper-ViewAccessor.m
	* application/source/view/BSIndexingPopupper.m
	* application/Resources/Japanese.lproj/CMRIndexingStepper.nib
	* application/Resources/Japanese.lproj/BSIndexingPopupper.nib
		ナビゲーションバーの実装コードのスリム化と構造の見直し。とくに BSIndexingPopupper の実装を
		再構成してまとめ直した。
	* frameworks/SGAppKit/framework/src/SGAppKit.h
		SGAppKit (1.6.6)
		- BSTsuruPetaPopUpBtnCell.h ヘッダが（publicに）含まれていなかったのを修正。
	* application/source/view/BSVisibleRangePopUpBtnCell.[h|m]
		[新規追加] レス表示範囲選択のポップアップボタンの実装方法を見直して、BSIndexingPopupper から
		各ポップアップボタンのセルに自らの生成、管理部分を追い出した。
2007-03-06 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Action.m
		スレッド一覧で複数のスレッドを選択して「ログを削除」（via Toolbar or Menu Item）したとき、
		ファイルを一個ずつゴミ箱に捨てる動作になっていたのをまとめて捨てるように改良。
	* application/source/view/BSProgressIndicatorTbItem.[h|m]
		[削除] ずいぶん前から未使用で、プロジェクトファイルからも参照が削除されていたのでリポジトリからも削除。
	* application/source/view/BSTsuruPetaPopUpBtnCell.m
		（SGAppKit 持ち）描画コードを見直した。
	* application/source/view/CMRIndexingStepper-ViewAccessor.m
	* application/source/view/CMRIndexingStepper.m
	* application/source/view/BSIndexingPopupper.m
	* application/Resources/Japanese.lproj/CMRIndexingStepper.nib
	* application/Resources/Japanese.lproj/BSIndexingPopupper.nib
		ナビゲーションバーの NSButton, NSPopUpButton のいくつかを NSMatrix で置き換えた。
		どれだけ軽量化されるかと言われると微妙なところだが…
2007-03-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/browser/CMRBrowser-List.m
		ぜい肉を落とした。
	* application/source/browser/CMRThreadsList-Remove.m
	* application/source/browser/CMRThreadsList.m
		ぜい肉を落とし、CMRThreadsList-Remove.m で必要な部分は CMRThreadsList.m に書き写して
		CMRThreadsList-Remove.m はターゲットから外した。
	* application/source/view/CMRProgressIndicator.[h|m]
		[削除] 未使用につき削除。
2007-03-03 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/image/boardListSelBg.tiff
	* application/Resources/image/boardListSelBgFocused.tiff
	* application/Resources/image/moveUpdated.png
	* application/Resources/image/smallLocked.tiff
	* application/Resources/image/smallUnlocked.tiff
	* application/Resources/image/titleRulerInfoIcon.tiff
    * application/Resources/text/ThreadInfoTemplate.rtf
	   [削除] 未使用になっていたリソースをリポジトリから削除。
2007-03-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/BSIPIImageView.m
		フォーカスリングの描画処理を見直した。
================================================= Starlight Breaker v46
2007-02-25 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/Japanese.lproj/FontsAndColors.nib
		AAD は必ずしも「全角スペースと半角スペースが連続する」ことを判定条件にしなくなったので、該当記述を「環境設定」＞
		「表示」＞「スレッドの表示」ペインから削除した。
	* application/Resources/text/KeyValueTemplates.plist
		"Thread - AAD Regular Expression" キーを追加した。ここに AA 判定のための正規表現を記述する。
	* application/source/composer/BSAsciiArtDetector.m
		AA 判定用の正規表現を KeyValueTemplates.plist に追い出して、上級者がカスタマイズできるようにした。
	* application/Resources/image/boardListSelBgFocused.tiff
	* application/Resources/image/boardListSelBg.tiff
		ターゲットから外した。
	* application/source/preferences/AppDefaults-Background.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		掲示板リストの背景のデフォルトカラーを http://www.cocoadev.com/index.pl?MailStyleGradientSelection を参考に修正した。
		また、掲示板リストの intercellSpacing の設定を若干調整した。これによって以前より掲示板リストが詰まって見えるかもしれない。
		気になる場合は「環境設定」＞「表示」＞「その他」＞「掲示板リスト」＞「行の高さ」を調節してみると良い。
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSBoardListView.m
		SGAppKit 1.6.5:
		http://www.cocoadev.com/index.pl?MailStyleGradientSelection を参考にして、掲示板リストの選択項目の
		ハイライトを画像リソースではなく、グラフィック関数で描くようにした。
		- 解像度非依存 UI 時代への準備、および、描画負荷の軽減などの効果を見込んでいる。
		- ただし、boardListSelBg.tiff/boardListSelBgFocused.tiff の置換によるカスタマイズは出来なくなった。
	* frameworks/SGAppKit/framework/src/custom/NSBezierPath_AMShading.[h|m]
		[新規追加] http://www.harmless.de/cocoa.html#rollover から利用させてもらった。グラデーションを手軽に描くための
		ラッパー。
	* application/source/thread/BSRelativeKeywordsCollector.m
	* application/source/thread/CMRAbstructThreadDocument.m
	* application/source/thread/CMRThreadViewer-Contents.m
		スレッドを開いた後すぐに閉じると、タイミングによってはクラッシュする問題を（今度こそ）修正。
		- 2007-02-18 の修正は的外れで、解決していなかった。
2007-02-24 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/BSIPIHistoryManager.m
	* application/subproj/previewer/BSIPIFullScreenController.m
	* application/subproj/previewer/BSIPIFullScreenWindow.m
		プレビューインスペクタ（2.5.3→2.5.4）：
		- ダウンロード中の項目を削除しようとするとクラッシュする問題を修正した。
		- フルスクリーン表示中にマウスホイールを上下に回転させて次／前のイメージに移動できるようにした。
2007-02-21 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRTextColumnCell.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		スレッド一覧で、行の高さに関わらず、適切にテキストを垂直方向に対して中央に描画するようにした。
2007-02-20 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/AppDefaults-FontColor.m
	* application/source/bbs/BoardListItem/SmartBoardList.m
		スレッド一覧から掲示板リストにスレッドをドラッグ＆ドロップして「お気に入り」に追加できる機能を復活させた。
		また、ビルド時に警告が出ないようにした。
		さらに、掲示板リストの文字の高さや余白の計算を SmartBoardList から AppDefaults クラスに持ち替えた。
	* application/source/browser/CMRFavoritesManager.m
		file path や CMRThreadAttributes に加え、CMRThreadSignature を引数に渡して「お気に入り」への追加・確認を
		行えるようにメソッドを追加した。
2007-02-18 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-List.m
		特定の状況で、スレッド一覧のソート基準カラムの三角マークの向きが実際の昇順／降順の状態と一致していないことがあった問題を修正。
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/Resources/Japanese.lproj/TextFind.nib
	* application/source/thread/CMRThreadViewer-Find.m
	* application/source/thread/TextFinder.m
		「選択範囲を検索」したときは、選択範囲の語句を検索ペーストボードにも入れるようにした。
		また、TextFinder クラスのコードを少し整理した。
		また、「抽出」したときは、何個のレスが抽出されたか検索パネルに表示するようにした。
	* application/Resources/text/KeyValueTemplates.plist
        "Thread - DateDescription" キーを廃止（削除）した。
        "System - RelatedKeywords URL" キーを追加した。
	* application/source/composer/CMRAttributedMessageComposer.m
		コードを整理した。また、NSDate しか日付データをもっていない古いレスからの日付文字列生成処理について、
		NSCalendarDate を使わないようにした。これに伴い、"Thread - DateDescription" キー
		@KeyValueTemplates.plist も使用しなくなった。
	* application/source/thread/BSRelativeKeywordsCollector.m
        スレッドを開いた後すぐに閉じると、タイミングによってはクラッシュすることがあった問題を修正。
		追加：修正が不十分だったのでさらに修正した。
2007-02-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/BSRelativeKeywordsCollector.m
		2ch のちょっとした仕様変更でキーワードを解析できなくなっていたので修正。
	* application/source/composer/BSAsciiArtDetector.m
		AA 簡易自動判定が jbbsライブドアなどで上手く動作しない問題を修正。ついでに OgreKit を使うようにした。
		判定精度／速度が少し向上した（はず）。
================================================= Starlight Breaker v39
2007-02-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Contents.m
	* application/source/thread/CMRThreadViewer.m
		キーワード関連のメソッドを CMRThreadViewer.m から CMRThreadViewer-Contents.m に配置換えして整理した。
	* application/Resources/Japanese.lproj/ThreadViewer.strings
	* application/source/view/BSIndexingPopupper.m
		ソースを整理した。
		また、キーワードボタンの一番上のメニュー項目のタイトルを、オフラインモードのときやキーワードが取得できないときなど
		状況に応じて変えるようにした。さらに、「キーワードについて...」を選択すると簡単な説明を表示するようにした。
	* application/Resources/Japanese.lproj/IndexingPopupper.strings
		[新規追加] ThreadViewer.strings から BSIndexingPopupper で使っている部分を分離し、キーワードボタン関連の
		Localized Strings とまとめて新しい strings ファイルを追加した。
2007-02-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRPullDownIconBtn.h
		SGAppKit: CMRPullDownIconBtn の非公開メソッドを公開した。
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer-MoveAction.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/thread/CMRAbstructThreadDocument.m
		スレッドを読み込んだ際に、（オンラインモードなら）バックグラウンドでキーワードを取得するようにした。
		また、キーワードボタンをナビゲーションバーに追加した。
	* application/source/view/BSIndexingPopupper.m
	* application/Resources/Japanese.lproj/BSIndexingPopupper.nib
		BSIndexingPopupper は、キーワードボタンの管理運営も担当することになった。
		（キーワードの内容は CMRAbstructThreadDocument が保持している）
	* application/Resources/image/Keywords.tiff
	* application/Resources/image/Keywords_Pressed.tiff
		[新規追加] キーワードボタンのアイコン。
	* application/source/thread/BSRelativeKeywordsCollector.[h|m]
		[新規追加] 2chのキーワードを取得／解析するクラス。OgreKit も利用。
	* application/source/view/CMRIndexingStepper-ViewAccessor.m
	* application/source/view/CMRIndexingStepper.m
		細かい整理。
2007-02-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Localizable.strings
		とりあえずいくつかローカライズ文字列が足りないのを補った。
	* application/source/browser/BSDownloadTask.m
		subject.txt ダウンロード中に、プログレスインジケータが床屋さんではなく棒グラフになるよう、
		必要なデータを提供するようにした（-[<CMRTask> amount] の実装）。
		また、User-Agent は +[NSBundle monazillaUserAgent] を使うようにした。
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/view/CMRStatusLine.m
	* application/source/window/CMRBrowserTbDelegate.m
	* application/source/window/CMRReplyControllerTbDelegate.m
	* application/source/window/CMRStatusLineWindowController.m
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/source/window/CMRToolbarDelegateImp.m
	* application/Resources/Japanese.lproj/CMRStatusView.nib
		「進行状況」プログレスインジケータ関係の再編成：
		- ナビゲーションバーのちらつきを押さえる工夫を少し施した（状況によってはあまり効果が無い）。
		- プログレスインジケータは、（再び）ツールバーからナビゲーションバーに移動した。
		- しかもスピンスタイルから（再び）バースタイルに変更された。
		- ナビゲーションバーの描画の無駄を少し減らした。
		以上の変更は、
		- BathyScaphe 1.3 以降では、ナビゲーションバーは常に表示されており、ツールバーより
		　ナビゲーションバーにプログレスインジケータを置く方が適切な状況に変化したこと。
		- バースタイルで進行状況をより具体的に表示した方が、心理的にスピード感を表現できる（かもしれない）こと。
		- 「チラツクのがイラツク」というイライラした苦情が寄せられていること。
		などを総合的に判断してのことである。
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/view/popup/CMXPopUpWindowManager.m
		コメントアウトしていた部分を削除。
2007-02-11 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/BoardBoardListItem.m:
		不要になっていたコメントを削除。
	* application/source/bbs/BoardListItem/BoardListItem.[h|m]:
	* application/source/bbs/BoardListItem/FolderBoardListItem.m:
		hash  メソッドFolderBoardListItem から削除し、BoardListItem で汎用的な hash メソッドを実装。
	* application/source/bbs/BoardListItem/SmartBoardListItem.m:
		イニシャライザの安全性向上。
	* application/source/browser/BSDBThreadList.m:
		updateCursorメソッドをスレッドセーフにした。
	* application/source/browser/BSThreadListUpdateTask.[h|m]:
		進行状況で(null)が表示されることがあったのを解消。
	* application/source/manager/DatabaseManager.m:
		データベースファイルのバージョンを2に更新。
		BoardInfoHistoryTableName 上の BoardIDColumn のインデックスが 
		UNIQUE インデックスになっていたのを通常のインデックスに変更。
	* application/source/manager/SQLiteDB.[h|m]:
		インデックスの削除を行うメソッドを追加。
	* application/source/manager/DatabaseUpdater.h
		[新規追加] データベースをアップデートするためのクラス。
	* application/source/thread/CMRThreadLayoutTask.m:
		NS_DURING - NS_HANDLER - NS_ENDHANDLER を
		@try - @catch - @finally に変更。
	* application/source/thread/CMRThreadUpdatedHeaderTask.m:
		実際の処理をメインスレッド上で行うように変更。bug #9795 解消(?)
	* misc/sqlite/os_common.h:
		sqlite専用NSZone の安全性の向上。
================================================= Starlight Breaker v33
2007-02-10 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/bbs/BoardListItem/FolderBoardListItem.m
	* application/source/bbs/BoardListItem/BoardListItem.m
	* application/source/bbs/BoardListItem/SmartBoardList.m
		掲示板リストの Type-To-Select を再実装し、閉じられているカテゴリの中にある項目でもマッチするようにした。
		また、他の機能の実装と一部共有できるコードがあったので、まとめた。
	* application/source/thread/CMRThreadViewer-Link.m
		逆参照ポップアップを、レス番号を option-クリックすることでも表示できるようにした。
2007-02-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Delegate.m
		掲示板リストの Type-To-Select をいったん取り外して、再実装している途中。
		（デリゲートに分離している途中）
	* frameworks/SGAppKit/framework/src/SGAppKit.h
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSBoardListView.m
	* frameworks/SGAppKit/framework/src/extensions/cell/NSCell-SGExtensions.m
	* frameworks/SGAppKit/framework/src/extensions/control/NSControl-SGExtensions.m
	* frameworks/SGAppKit/framework/src/extensions/toolbar/NSToolbar-SGExtensions.m
		SGAppKit: 未使用のコードをいくらか削除。NSCell-SGExtensions.m を若干改良。
		BSBoardListView: Type-To-Select に関して、一部の動作をデリゲートにやらせるように構造変更。
2007-02-07 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/CMXMessageMenu.nib
	* application/source/thread/CMRThreadViewer-Link.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/thread/CMRThreadLayout-MessageRange.m
	* application/source/view/CMRThreadView.m
	* application/source/composer/CMRAttributedMessageComposer.m
		逆参照ポップアップ機能を付けた。
		レス番号をクリックして表示されるメニューに「逆参照」を追加。そのレスに対してアンカーを打っている
		レスを、そのレスより後のレスから抽出し、ポップアップする（見つからなければ beep が鳴る）。
		アンカーは全角半角問わないが、単一レスへのアンカーでなければならない（>>1-5 のようなアンカーは認識しない）。
		- 多少強引に実装したのでそれほどパフォーマンスは良くないかもしれない。
	* application/source/view/popup/CMXPopUpWindowManager.m
		コード量の削減。
	* application/source/thread/CMRThreadLayout-MessageRange.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/thread/CMRThreadViewer-MoveAction.m
	* application/source/composer/BSDateFormatter.m
	* application/Resources/Japanese.lproj/MainMenu.nib
		「スレッド」＞「レスに移動」サブメニューに「今日のレス」（Cmd-Ctrl-T）を追加した。
		今日書き込まれた最初のレスに移動する。
		- 将来、任意の日付のレスに移動することも対応可能。
2007-02-06 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSBoardListView.m
		Type-To-Select 機能を追加。
		掲示板リストにフォーカスがあるとき、掲示板の先頭数文字を入力するだけでその掲示板が選択できる。
		Finder のように！
		- この機能は、栗田哲郎氏の FileTreeView.m から取り込ませていただいた。感謝。
		- 詳しくは下の Acknowledgments.rtf を参照してください。
	* application/Resources/Japanese.lproj/Acknowledgments.rtf
		謝辞の内容を更新。
	* application/source/browser/CMRFavoritesManager.m
	* application/source/browser/CMRThreadsList.m
	* application/source/thread/CMRThreadViewer.m
		ちょっと掃除（未使用メソッドのコメントアウトと、試行錯誤中に一時的に入れていたコードの
		取り除き漏れを処理）。
2007-02-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/DatabaseManager.m
		2007-01-28 の修正の副作用と思われるが、
		3ペインで表示中のスレッドを削除した後、スレッド一覧で該当スレッドのステータスが消えなくなっていた問題を修正。
2007-02-04 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/FavoritesBoardListItem.m:
		お気に入り抽出条件が間違っていたので直した。
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m:
		2007-01-06 修正の「最終書き込み日」ポップアップメニューを無効にした。」
		の時に誤って数値の「ではない」も無効にしてしまっていたのを修正。
================================================= Starlight Breaker v25
2007-02-03 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/BWAgent/sora.pl
		BathyScaphe アプリケーションまでのパスに「'」が含まれていると、掲示板リストの同期が正しく動作しない問題を修正した。
	* application/subproj/previewer/BSImagePreviewInspector-View.m
		プレビューインスペクタ 2.5.3：リスト・ビューで setVerticalMotionCanBeginDrag: NO にした。
	* application/source/bbs/BoardListItem/SmartBoardList.m
		「掲示板の追加」シートで、アウトライン・ビューに URL が表示されなくなっていた問題を修正。
	* application/source/manager/BSHistoryMenuManager.(h|m)
		[削除] リファクタリングの結果、CMRHistoryManager に吸収合併される運びとなり、削除。
	* application/source/CMRAppDelegate+Menu.m
	* application/source/CMRAppDelegate.m
	* application/source/CMRAppDelegate_p.h
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer-Link.m
	* application/source/thread/CMRThreadViewer-OwnHistory.m
	* application/source/manager/CMRMainMenuManager.m
		履歴メニュー周りの処理変更に伴う微修正。
	* application/source/manager/CMRHistoryManager.m
		「履歴」メニューの構成方法を見直し、-[NSMenu needsMenuUpdate:] デリゲートメソッドで
		メニューを更新／構築するようにした（つまり、メニューを本当に表示しなければならなくなるときまで
		メニューを更新しないようにした）。以前より負荷は減るはずだ。
	* application/source/thread/CMRAbstructThreadDocument.m
		User Interface Validation 関連の小変更。
2007-02-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRAbstructThreadDocument.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/Resources/Japanese.lproj/BSThreadInfoPanel.nib
	* application/Resources/Japanese.lproj/MainMenu.nib
		CMRThreadViewer に実装されていた IBAction の一部を、CMRAbstructThreadDocument に
		持ち替えた（NSWindowController 依存から NSDocument 中心スタイルへの移行という大きな目標への
		小さな一歩）。
		また、「情報を見る」パネルで、チェックボックスの表示が適切に更新されないことがあった問題を修正。
2007-01-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/network/ThreadTextDownloader.m
	* application/source/thread/CMRThreadViewer-Download.m
		スレッドの内容を更新した際（はじめて取得した際も含む）、document の保持する CMRThreadAttributes に
		dat サイズおよび最終更新日の最新データがすみやかに反映されていなかった問題を取り急ぎ修正。
		- 「情報を見る」パネルのテスト中に気付いた。また、これは Starlight Breaker 固有の問題ではない（大昔から）。
2007-01-29 masakih <masakih@users.sourceforge.jp>
	* application/source/manager/DatabaseManager-DatabaseAccess.m:
		スレッドポップアップ時にデータベースの内容を参照するようにした。
		ちゃんと表示できていなかったので修正した。
2007-01-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/BSIPIDownload.m
		ファイルをダウンロードする際、同じ名前のファイルが既に存在していた場合は上書きせず、ユニークな
		別の名前を付けるようにした。
	* application/source/bbs/BoardListItem/SmartBoardList.m
		「お気に入り」の上に掲示板やカテゴリをドロップして配置できないようにした。
	* application/source/CMRAppDelegate.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/manager/CMROpenURLManager.m
	* application/source/thread/CMRThreadViewer-Action.m
		[Bug 9727]「スレッド」＞「掲示板を表示」がちゃんと動作していなかった問題を修正。また、この処理の一部を
		CMRThreadViewer から CMRAppDelegate に持ち替えた。
	* application/source/browser/BSDBThreadList.m
	* application/source/browser/CMRThreadsList-DataSource.m
	* application/source/view/ThreadsListTable.m
		ドラッグイメージの生成・描画に関する部分をほとんど CMRThreadsList 側に持ち替えた。
	* application/source/browser/CMRThreadsList-DragDropOp.m
		[新規追加] スレッド一覧からのドラッグ処理（ドラッグイメージの生成と描画）部分をまとめて
		ファイルを分離させた。
2007-01-28 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSBoardListItemHEADCheckTask.m:
		Head リクエストを一度も送信しなかった場合は、更新制限をしないようにした。
	* application/source/manager/DatabaseManager-DatabaseAccess.m:
	* application/source/manager/DatabaseManager.h:
	* application/source/thread/CMRThreadViewer-Link.m:
		スレッドポップアップ時にデータベースの内容を参照するようにした。
2007-01-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/DatabaseManager.m
	* application/source/browser/CMRThreadsList-Notification.m
	* application/source/browser/CMRThreadsList-Remove.m
	* application/source/browser/BSDBThreadList.m
		スレッドのダウンロードが完了したとき／スレッドを削除したとき の Notification を、
		BSDBThreadList のインスタンスが受け取るのではなく、DatabaseManager の共有インスタンスが
		受け取って処理するようにした。
		- ブラウザウインドウがひとつも開いていないときにスレッドを更新／削除した際にも、
		　データベースに正しく反映させるため。
2007-01-27 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/CMRAppDelegate.m
	* application/source/manager/BSHistoryMenuManager.m
	* application/source/thread/CMRThreadDocument.m
	* application/source/browser/CMRBrowser-Action.m
		「履歴」メニューの項目が、ウインドウがひとつも開いていないと淡色表示になって選択できない
		問題を修正した。即ち、「履歴」メニューの項目の action を CMRThreadViewer ではなく、
		CMRAppDelegate に実装するようにした。
	* application/Resources/Japanese.lproj/BSThreadInfoPanel.nib
	* application/source/window/BSThreadInfoPanelController.m
	   スレッドの「情報を見る」パネルのバインディングに関する諸問題の修正。
2007-01-22 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/BSThreadInfoPanel.nib
	* application/source/CMRAppDelegate.m
	   バインディングに関する問題が見つかったが、まだ修正の途中。
	* application/source/messaging/SGRunLoopMessenger.m
	   SGBaseZoneMalloc(), SGBaseZoneFree() は使わないようにしてみた（大丈夫か？）。
	* application/source/composer/CMRMessageComposer.h
	* application/source/manager/CMRHistoryManager.h
	* application/source/manager/Cookie.h
	* application/source/network/CMRNetRequestQueue.h
	* application/source/object/CMRBBSSignature.h
	* application/source/object/CMRThreadSignature.h
	* application/source/thread/CMRSearchOptions.h
	* application/source/thread/CMRThreadAttributes.h
	* application/source/thread/CMRThreadLayoutTask.h
	* application/source/threaddata/CMRThreadMessageAttributes.h
	* application/source/threaddata/CMRThreadUserStatus.h
	* application/source/threaddata/CMRThreadVisibleRange.h
	* frameworks/CocoMonar/framework/src/CMRFileManager.m
	   SGBaseObject クラスを継承していたクラスは、すべて NSObject の継承に変更した。
	* application/subproj/reply/connector/SG2chConnector.m
	   Mac OS X v10.1 に配慮していた部分はもう要らないので、簡略化した。
	* frameworks/SGFoundation/SGFoundation.xcodeproj/project.pbxproj
	* frameworks/SGFoundation/framework/source/base/SGFoundationBase.h
	* frameworks/SGFoundation/framework/source/extensions/SGFoundationAdditions.h
	* frameworks/SGFoundation/framework/source/extensions/string/NSString-SGExtensions.h
	* frameworks/SGFoundation/framework/source/extensions/string/NSString-SGExtensions.m
	* frameworks/SGFoundation/framework/source/private/PrivateDefines.h
	* frameworks/SGFoundation/framework/source/utilities/SGTemporaryObjects.h
	* frameworks/SGFoundation/framework/source/utilities/SGTemporaryObjects.m
	* frameworks/SGFoundation/framework/source/utilities/logging/SGUtilLogHandler.h
	* frameworks/SGFoundation/framework/source/utilities/logging/SGUtilLogRecord.h
        SGFoundation:
        - SGBaseObject は完全に使用停止し、必要に応じて NSObject で代用した。
        -- SGBaseObject クラス自体がしばらく前から「抜け殻」状態になっていて、実質 NSObject と何も
        　　変わらなくなっていた。
        - SGBase○○クラスのほとんどを使用停止にした（＝ターゲットから外した）。
        - SGBaseUnicode 内にあった -[NSString componentsSeparatedByTextBreak] は、実装方法を
          変更した上で NSString-SGExtensions に移動した（SGBaseUnicode はターゲットから外した）。
	* frameworks/SGNetwork/src/SGNetwork.h
        SGNetwork: Mac OS X v10.1 でしか使われていなかった古いクラスを使用停止にした。
	* application/Resources/Japanese.lproj/BSThreadInfoPanel.nib
		レイアウトの調整。
	* application/source/manager/BSHistoryMenuManager.m
		長過ぎるスレッドタイトルは切り詰めてから「履歴」メニューに使用するようにした。
	* frameworks/SGFoundation/framework/source/extensions/string/NSString-SGExtensions.(h|m)
		NSString のカテゴリを追加した。
2007-01-21 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BSBoardInfoInspector.m
		スマート掲示板で「掲示板オプション」インスペクタの各種コントロールが適切に使用不可能になるようにした。
	* application/Resources/Japanese.lproj/CMRTaskManager.nib
	* application/Resources/Japanese.lproj/SmartBoardItemEditor.nib
		レイアウトの微調整。
	* application/source/bbs/BoardManager.m
		BoardManager の singleton object を生成する部分を CMRSingletonObject.h にあるマクロを
		利用する方法に変更した。
	* application/source/thread/CMRThreadViewer-Action.m
		このファイルに居候していた NSEvent のカテゴリを SGAppKit に移動させた。
	* frameworks/SGAppKit/framework/src/extensions/NSEvent-SGExtensions.(h|m)
		[新規追加] NSEvent のカテゴリ（上記参照）。
	* frameworks/SGAppKit/framework/src/SGAppKit.h
		SGAppKit (1.6.1 -> 1.6.2)
		NSEvent のカテゴリを追加した。
	* application/subproj/preference/Japanese.lproj/FontsAndColors.nib
	* application/subproj/preference/font_color/FCController.m
		「環境設定」＞「表示」ペインの改良：
		- すべて BSFontWell に置き換え、コード量を大幅に削減した。
		- 透明度を設定するスライダは最小値を 0.1 にし、誤って 0.0 にして「何も見えない！！」などと
		　いうトラブルを防止するようにした。
	* application/subproj/preference/FontWell.(h|m)
		[削除] 古い FontWell クラスは削除。
	* application/source/libRBSplitView.a
	* application/source/RBSplitView.h
	* application/source/RBSplitSubview.h
		（今さらながら）RBSplitView 1.1.4 に更新した。
	* application/source/thread/CMRThreadViewer-Action.m
		とりあえず「情報を見る」アクションを新しいパネルの表示にすり替え。
	* application/source/window/BSThreadInfoPanelController.(h|m)
	* application/Resources/Japanese.lproj/BSThreadInfoPanel.nib
		[新規追加] 「スレッド」＞「情報を見る」は、専用のパネルで表示するように変更し、
		「AA スレッド」「フラグ付き」「dat 落ち」の各印をこのパネルから設定／確認できるように
		した。それに伴う新しいクラスと nib ファイル。
	* application/source/window/CMRToolbarWindowController_p.h
	* application/source/window/CMRToolbarWindowController.(h|m)
	* application/source/window/CMRStatusLineWindowController_p.h
	* application/source/composer/CMXDateFormatter.(h|m)
	* application/source/RBSplitViewPrivateDefines.h
	* application/subproj/preference/filter/CMRFilterPrefController-View.m
	* application/subproj/preference/filter/CMRFilterPrefController_p.h
	* application/subproj/preference/font_color/FCController-ViewAccessor.m
	* application/subproj/preference/font_color/FCController_p.h
		[削除] 未使用になっていたファイルをリポジトリからも削除。
	* application/source/thread/CMRThreadLayout.m
		微修正。
2007-01-15 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/SmartBoardList.m:
		-[NSObject outlineView:itemForPersistentObject:] と
		-[NSObject outlineView:persistentObjectForItem:] の整合性が取れていなかったのを修正。
2007-01-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* IBPallete/BSFontWell/English.lproj/BSFontWellInspector.nib
	* IBPallete/BSFontWell/English.lproj/BSFontWellPalette.nib
	* IBPallete/BSFontWell/English.lproj/InfoPlist.strings
	* IBPallete/BSFontWell/BSFontWell.xcodeproj
	* IBPallete/BSFontWell/BSFontWell_Prefix.pch
	* IBPallete/BSFontWell/BSFontWell.h
	* IBPallete/BSFontWell/BSFontWell.ibclassdescription
	* IBPallete/BSFontWell/BSFontWell.m
	* IBPallete/BSFontWell/BSFontWellFramework-Info.plist
	* IBPallete/BSFontWell/BSFontWellInspector.h
	* IBPallete/BSFontWell/BSFontWellInspector.m
	* IBPallete/BSFontWell/BSFontWellPalette.h
	* IBPallete/BSFontWell/BSFontWellPalette.m
	* IBPallete/BSFontWell/Info.plist
	* IBPallete/BSFontWell/palette.table
	* IBPallete/BSFontWell/paletteIcon.tiff
		[新規追加] BSFontWell の IBPalette を先行追加。後日使用予定。
2007-01-14 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/FolderBoardListItem.m:
		-[NSObject hash] をオーバーライド。
		Bug #9729 解消。
	* application/source/browser/BSDBThreadList.m:
		Bug #9726 #9732 を回避。
	* application/source/bbs/BoardListItem/FavoritesBoardListItem.m:
	* application/source/bbs/BoardListItem/FolderBoardListItem.m:
	* application/source/bbs/BoardListItem/SmartBoardListItem.m:
		-[NSObject isEqual:] をオーバーライド。
		Bug #9729 はわずかに改善されたが完全ではない。要調査。
	* application/source/browser/BSThreadsListOPTask.m:
		Bug #9719 #9720 を改善。
================================================= Starlight Breaker v7
2007-01-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/InfoPlist.strings
		マージ時に内容が strings ファイルのフォーマットから plist の XML フォーマットに予期せず
		変わってしまっていたようなので、修復した。
	* application/source/thread/CMRThreadViewer-Validation.m
		[Bug 9739]「掲示板」メニューをはじめてプルダウンする際にやたらと時間がかかる問題を回避するため、
		menuItem の validation 方法を改良した。
2007-01-10 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/AddBoardSheetController.m:
		掲示板リストに既に存在する板を追加しようとしたときのエラーを直した。Bug #9731
2007-01-10 masakih <masakih@users.sourceforge.jp>
	* application/BathyScaphe.xcodeproj/project.pbxproj:
	* application/source/bbs/BoardManager-SettingTxt.m:
	* application/source/bbs/BoardListItem/SmartBoardList.h:
	* application/source/bbs/BoardListItem/SmartBoardList.m:
		カテゴリの追加、編集等が出来なかったのを直した。
2007-01-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/BathyScaphe.xcodeproj/project.pbxproj
		いくつかのファイルについて、ターゲットから外したりターゲットに追加したりした
		（1.3 → 1.3.1 の間に外れた／追加されたファイルの一部）。問題が無いことが確認され次第、
		ターゲットから外したものはファイル自体もリポジトリから削除する予定。
2007-01-08 masakih <masakih@users.sourceforge.jp>
	* IBPallete/BSDatePicker/BSDatePickerCell.m:
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m:
	* application/source/bbs/BoardListItem/SmartBoardListItemEditor.m:
	* application/source/browser/BSDownloadTask.m:
	* application/source/composer/BSDateFormatter.m:
		メモリリークを解消。
	MeteorSweeper-BRANCH よりマージ
	cvs -z3 up -j v130_FINAL -j v131_FINAL
2007-01-07 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadsListOPTask.m:
		HTTPレスポンスでステータス200を返すサーバ移動にも追随するようにした。 Bug #9723
	* application/source/browser/BSBoardListItemHEADCheckTask.m:
		お気に入り、スマート掲示板の更新の時間制限が間違っていたので直した。
	* application/source/browser/BSDBThreadList.m:
		「一覧に表示するスレッド」に常に従うようにした。
	* application/source/browser/BSDBThreadList.[m|h]:
	* application/source/browser/CMRBrowser-Delegate.m:
	* application/source/browser/CMRBrowser-List.m:
		3ペイン時にスレッド／スレッド一覧の更新時に表示しているスレッドをスレッド一覧で再選択するようにした。
	* application/source/manager/CMRDocumentFileManager.m:
		ログの板フォルダのパスを聞かれたときに、該当フォルダがなかった場合それを作成するようにした。
2007-01-06 masakih <masakih@users.sourceforge.jp>
	* application/subproj/preference/Japanese.lproj/SyncPane.nib:
		環境設定の同期を選んだ時、Viewが表示されなくなっていたのを直した。
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m:
		「最終書き込み日」ポップアップメニューを無効にした。
	* application/source/browser/CMRBrowser-Validation.m:
		更新に関して、スマート掲示板もお気に入りと同様の制限を受けるようにした。
================================================= Starlight Breaker v3
2007-01-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/InfoPlist.strings
	* application/Info-bs-another-story.plist
		CFBundleName も "Starlight Breaker" にすることにした。
		（メニューバーでパッと見て、通常の BathyScaphe と混同しないように）
		コピーライト文字列、バージョン番号の修正。
		バージョン番号のポリシーについて：
		BathyScaphe 1.5 の beta ということで混乱を招かないよう、バージョン番号は
		1.5 として、接尾語「SBx（xは数字）」を付ける。
		また、CFBundleVersion は通常通りビルド番号的なものにした（ただし、1 から
		数える… v299 の続きではない！）。今回は v3。
	* application/Resources/Japanese.lproj/MainMenu.nib
		目につく所のメニュー項目を「Starlight Breaker」に書き換えておいた。
2007-01-03 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadListSmartItemDBUpdateTask.h:
		[削除] 不要になったため。以前から使用していなかった
2007-01-02 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/ConcreteBoardListItem.m:
	* application/source/bbs/BoardListItem/SmartBoardList.[m|h]:
	* application/source/manager/DatabaseManager-DatabaseAccess.m:
		掲示板更新に対応。
2006-12-31 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadsListOPTask.m:
		subject.txt の取得ミスエラー表示。
	* application/source/manager/DatabaseManager-DatabaseAccess.m:
	* application/source/manager/DatabaseManager.m:
		エラーハンドリング。
2006-12-30 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadsListOPTask.m:
		ホスト移動に追随するようにした。
	* application/source/browser/BSDBThreadList.[m|h]:
	* application/source/browser/CMRBrowser-Delegate.m:
		スレット一覧のソート方法をMac OS 標準にした。
2006-12-16 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSBoardListItemHEADCheckTask.[m|h]:
		更新チェックサウンドの選択条件を間違えていたので直した。
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m:
	* application/source/bbs/BoardListItem/SmartBoardListItemEditor.m:
		スマート掲示板の作成/編集で名前や条件が空欄であるときにエラーを出すようにした。
	* application/Resources/Japanese.lproj/SmartBoardListItemEditor.strings:
		[新規追加] エラーの文字列のリソース
2006-12-14 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSBoardListItemHEADCheckTask.m:
		時間による更新規制をするようにした。
		現在は厳しく、お気に入りとスマート掲示板を同一物と見なし規制している。
	* application/source/browser/CMRBrowser-Action.m:
	* application/source/browser/CMRBrowser.m:
		正しい検索結果がキチンとウインドウタイトルに表示されるようにした。
2006-12-10 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardManager-SettingTxt.m:
	* application/source/bbs/BoardManager.h:
	* application/source/browser/EditBoardSheetController.m:
		 掲示板リストの板のURLを変更できるようにした。
2006-12-10 masakih <masakih@users.sourceforge.jp>
	* application/source/manager/DatabaseManager.m:
		databaseファイルのバージョンが古かった場合の処理のひな形作成。
2006-12-09 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSThreadListUpdateTask.m:
	* application/source/browser/BSThreadsListOPTask.m:
		スレッドセーフでない部分を直した。
	* application/source/browser/BSDBThreadList.m:
		スレッドセーフにしたBSThreadListUpdateTaskに対応。
2006-12-08 masakih <masakih@users.sourceforge.jp>
	* application/Resources/Japanese.lproj/Acknowledgments.rtf:
		SQLite の謝辞を変更。
		OgreKit OniGuruma のライセンス表示を追加。
	* frameworks/OgreKit:
		[新規追加]OgreKitを追加。
	* application/Makefile:
		Starlight Breaker をbuildする様に変更。
	* frameworks/Makefile:
		OgreKit をターゲットに追加。
2006-12-06 masakih <masakih@users.sourceforge.jp>
	* application/Info-bs-another-story.plist:
	* application/BathyScaphe.xcodeproj/project.pbxproj:
		プロダクト名を「Starlight Breaker」に変更。
2006-12-03 masakih <masakih@users.sourceforge.jp>
	* application/Resources/Japanese.lproj/Acknowledgments.rtf:
		SQLite のライセンス表示。
	* application/source/bbs/BoardManager-BSAddition.m:
	* application/source/bbs/BoardManager.h:
		スレッド一覧のSortDescriptorsを保存するようにした。
		保存場所はNoNameManagerの示す場所。
		キーは「SortDescriptors」。
		NSSortDescriptorは直接保存できない、また可読性の問題から、
		キー「SortColumn」にkeyを、キー「IsAscending」にascendingをそれぞれ入れた
		NSDictionary に変換して保存されている。	
	* application/source/manager/DatabaseManager.[h|m]:
		データベース上のテーブル名とスレッド一覧のテーブルカラムのidentifier の変換関数を追加。
	* application/source/browser/BSDBThreadList.m:
		初期化時にSortDescriptorを取り出し、自身に適応。
	* application/source/browser/CMRBrowser-Delegate.m:
		ソート変更時にSortDescriptorsを保存するようにした。
2006-11-28 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSDBThreadList.m:
		ソートの方向も初期化時に取得するようにした。データソースがそれをするのが正しいのかは謎。
	* application/source/browser/CMRBrowser-List.m:
		showThreadsListWithBoardName: と showThreadListForBoard: の共通処理をメソッド化。
	* application/source/browser/BSDBThreadsListDBUpdateTask2.m:
		subject.txtのエンコードを掲示板にあわせるようにした。
2006-11-19 masakih <masakih@users.sourceforge.jp>
	* application/Info-bs-another-story.plist
		DockMenu 追加。
	* application/source/browser/BSBoardListItemHEADCheckTask.m
	* application/source/browser/BSDBThreadList.m
	* application/source/browser/BSThreadListUpdateTask.m
	* application/source/browser/BSThreadsListOPTask.m
		メモリリーク解消。
	* application/subproj/previewer/TemporaryFolder.m
		一意ファイル名の生成精度を元に戻した。
	* misc/sqlite/os_common.h
	* misc/sqlite/util.c
		alloc系関数の上書きコードを移動。
2006-11-15 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSDBThreadsListUpdateTask.[h|m]
	* application/source/browser/BSThreadListCollectAllThreadAttrTask.[h|m]
	* application/source/browser/BSThreadListDBUpdateTask.[h|m]
		[削除] リファクタリングにより不要になったため。
	* application/source/browser/BSBoardListItemHEADCheckTask.[h|m]
	* application/source/browser/BSDBThreadList.[h|m]
	* application/source/browser/BSThreadsListOPTask.[h|m]
		スレッド一覧の表示更新部分を分かりやすくした。
	* application/source/browser/Browser.[h|m]
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/browser/CMRBrowser-List.m
	* application/source/browser/CMRBrowser.[h|m]
		警告抑止のため CMRThreadList -> BSDBThreadList に変更。
	* application/source/browser/BSDBThreadList.[h|m]
	* application/source/browser/BSDBThreadsListUpdateTask.m
		スレッド一覧表示の適正化。
		お気に入り、スマート掲示板への切り替え時に更新をしないようにした。
	* application/source/browser/BSThreadListUpdateTask.[h|m]
		CMRTask protocol -> CMRThreadLayoutConcreateTaskのサブクラス。
2006-11-14 masakih <masakih@users.sourceforge.jp>
	* IBPallete/BSDatePicker/BSDatePicker.xcodeproj
	* IBPallete/BSDatePicker/BSDatePicker_Prefix.pch
	* IBPallete/BSDatePicker/BSDatePickerCell.[h|m]
	* IBPallete/BSDatePicker/BSDatePicker.[h|m]
	* IBPallete/BSDatePicker/BSDatePickerInspector.[h|m]
	* IBPallete/BSDatePicker/BSDatePickerPalette.[h|m]
	* IBPallete/BSDatePicker/BSDatePickerFramework-Info.plist
	* IBPallete/BSDatePicker/Info.plist
	* IBPallete/BSDatePicker/English.lproj/InfoPlist.strings
	* IBPallete/BSDatePicker/BSDatePicker.ibclassdescription
	* IBPallete/BSDatePicker/palette.table
	* IBPallete/BSDatePicker/BSDatePicker.png
	* IBPallete/BSDatePicker/BSDatePickerCell.png
	* IBPallete/BSDatePicker/English.lproj/BSDatePickerInspector.nib
	* IBPallete/BSDatePicker/English.lproj/BSDatePickerPalette.nib
	* IBPallete/Makefile
		[新規追加] BSDatePickerのIBPalleteを追加。
	* application/source/view/BSDatePicker.[h|m]
	* application/source/view/BSDatePickerCell.[h|m]
		[削除] IBPallete側に移動。
	* Makefile
		IBPalleteがメイクできるようにした。
2006-11-13 masakih <masakih@users.sourceforge.jp>
	* application/Resources/Japanese.lproj/Browser.nib/info.nib
		メニューアイテムタグが抜け落ちていたのを直した。
	* application/source/browser/BSBoardListItemHEADCheckTask.m
		新着ステータスのリセットをプログラム側でループを回すようにした。
		この方が効率が良いようである。
	* application/source/browser/BSFavoritesHEADCheckTask.[m|h]
	* application/source/browser/BSThreadListDBUpdateTask.[m|h]
	* application/source/browser/CMRThreadsList-Download.m
	* application/source/browser/CMRThreadsList-Filter.m
	* application/source/browser/CMRThreadsList-listImport.m
	* application/source/browser/CMRThreadsListReadFileTask.[m|h]
	* application/source/browser/CMRThreadsListReadFileTask_p.h
	* application/source/browser/CMRThreadsUpdateListTask.[m|h]
	* application/source/browser/CMRThreadsUpdateListTask.h
		ターゲットから外した
	* application/source/browser/BSDBThreadList.m
		ターゲットから外したもののうち、どうしても必要なメソッドをこちらに移動および変更。
		不要な部分をすべて削除。
	* application/source/browser/CMRThreadsList-DataSource.m
	* application/source/browser/CMRThreadsList-Notification.m
	* application/source/browser/CMRThreadsList-Remove.m
		不要な部分をすべてコメントアウト。
2006-11-12 masakih <masakih@users.sourceforge.jp>
	* application/Resources/Japanese.lproj/Browser.nib
		検索フィールドのbinding が抜け落ちていたので直した。
	* application/source/browser/BSDBThreadList.m
		不要な部分を削除。
	* application/source/browser/BSThreadListCollectAllThreadAttrTask.[m|h]
		ターゲットから外した
	* application/source/browser/BSThreadsListOPTask.m
		offlineモードで正しく動くように直した。
2006-11-10 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardManager-SettingTxt.m
	* application/source/bbs/BoardListItem/SmartBoardList.m
	* application/source/browser/CMRThreadsList-Notification.m
	* application/source/browser/EditBoardSheetController.m
	* application/subproj/editor/BoardListEditor.m
		掲示板リストの掲示板の追加と削除が出来るようにした。
2006-11-10 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardManager.m
	* application/source/bbs/BoardListItem/SmartBoardList.m
		掲示板の検索をちゃんと動くようにした。
	* application/source/browser/CMRFavoritesManager.m
	* application/source/browser/CMRThreadsList.m
		お気に入りの追加削除を元に戻した。
	* application/source/manager/DatabaseManager.[m|h]
		データベースファイルのバージョンを記録できるようにした。
2006-11-10 masakih <masakih@users.sourceforge.jp>
	* application/source/manager/SQLiteDB.m
		SQLiteDB のログがうるさすぎるのでUserDefaultsでon/off可能にした。
		キーはSQLITE_DEBUG_LOG。
2006-11-07 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSBoardListItemHEADCheckTask.m
		ThreadNewCreatedStatusのリセットクエリを変更。
		ThreadHeadModifiedStatusのリセットは不要なので削除。
	* application/source/browser/BSDBThreadList.m
	* application/source/browser/BSThreadListUpdateTask.m
		スレッド一覧のソートにNSSortDescriptor(s)を使用。
		保存場所は決まってない。
	* application/BathyScaphe.xcodeproj/project.pbxproj
	* application/Resources/Japanese.lproj/Browser.nib
	* application/subproj/preference/Japanese.lproj/*.nib
	* application/source
		   マージに関する修正。
2006-11-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
    MeteorSweeper-BRANCH からマージ。
    * application/BathyScaphe.xcodeproj
        機械的にマージ。コンフリクトはテキストエディタで pbxproj ファイル開いて直したけど、大丈夫かな？
    * application/source
        このディレクトリ以下をすべてマージ。
    * application/subproj
        BWAgent, および editor ディレクトリを除いてマージ。
        - 両ディレクトリは変更されていないか、またはすでに未使用で意味がない。
    * application/Resources
        このディレクトリ以下を機械的にすべてマージ。
        ただし、Browser.nib と MainMenu.nib がうまくマージされなかったので
        MeteorSweeper-BRANCH の先端のものから丸ごと置き換えた。
        また、EditBoardSheet.nib と BSDockMenuItem.nib がうまく配置できなかったので
        直接新規追加扱いにした。
    * frameworks
        このディレクトリ以下を機械的にすべてマージ。
    * docs
    * metadataimporter
    * misc
        マージ省略
    * トップディレクトリのその他のファイル
        機械的にすべてマージ。MeteorSweeper-BRANCH_changeLog.txt を追加した。
2006-10-24 masakih <masakih@users.sourceforge.jp>
	* application/source/browser/BSBoardListItemHEADCheckTask.m
		更新チェックが出来てなかったのを修正。
	* application/source/manager/SQLiteDB.m
		パフォーマンスチェック用コード変更。
2006-10-17 masakih <masakih@users.sourceforge.jp>
	* misc/sqlite/*.[h|c]
		sqliteを3.3.6にバージョンアップ。
2006-10-12 masakih <masakih@users.sourceforge.jp>
	* application/Resources/Japanese.lproj/Browser.nib
	* application/Resources/Japanese.lproj/MainMenu.nib
		スマート掲示板を追加の表記を統一
	* application/source/browser/BSBoardListItemHEADCheckTask.m
	* application/source/browser/BSThreadsListOPTask.m
	* application/source/browser/BSDBThreadList.m
		メモリリーク解消。
2006-09-18 masakih <masakih@users.sourceforge.jp>
	* application/Resources/Japanese.lproj/SmartBoardItemEditor.nib
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m
	* application/source/bbs/BoardListItem/SmartBoardList.m
	* application/source/bbs/BoardListItem/SmartBoardListItem.m
	* application/source/bbs/BoardListItem/SmartBoardListItemEditor.m
	* application/source/bbs/BoardListItem/SmartCondition.m
		スマートボード関連の微調整。形は出来た。
2006-09-17 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m
	* application/source/bbs/BoardListItem/SmartBoardListItem.m
	* application/source/bbs/BoardListItem/SmartBoardListItemEditor.m
	* application/source/bbs/BoardListItem/SmartCondition.(h|m)
		スマートボードの編集を可能にした。
2006-09-15 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/SmartCondition.m
		SmartCondition とりあえず完成。
2006-09-14 masakih <masakih@users.sourceforge.jp>
	* application/source/bbs/BoardListItem/SmartBLIEditorHelper.m
	* application/source/bbs/BoardListItem/SmartCondition.{h|m}
	* application/source/browser/BSDBThreadsListDBUpdateTask2.m
		コンディションを少し変更。
2006-09-02 masakih <masakih@users.sourceforge.jp>
	v111-BASED-BRANCH  上の MERGED-Root-of-MeteorSweeper タグからマージ。
	cvs -z3 up  -j MERGED-v120_FINAL -j MERGED-Root-of-MeteorSweeper
2006-07-31 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/BSImagePreviewInspector-View.m
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/Japanese.lproj/BSImagePreviewInspector.nib
		プレビューインスペクタ（2.0.1→2.0.4）：
		- 環境設定シートにバージョン番号を表示するようにした。
		- 一部の UI の表記を見直した。
		- インスペクタを常に最前面に表示するかどうかを選択するオプションを追加した。
		- デバッグ用の NSLog() が残っていた部分を削除した。
		- 2.0.4 は BathyScaphe 1.3 以降（正確には SGAppKit が BSSegmentedControlTbItem.h を含んでいる
		　新しいバージョンであること）が必要です。
2006-07-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/BSImagePreviewInspector-View.m
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/BSIPIActionBtnTbItem.m
	* application/subproj/previewer/BSIPIFullScreenController.m
	* application/subproj/previewer/BSIPIFullScreenWindow.m
	* application/subproj/previewer/BSIPIHistoryManager.m
		プレビューインスペクタ（2.0→2.0.1）：
		- フルスクリーン表示時に←／→キーでそれぞれ前のイメージ／次のイメージを表示、さらに s キーで
		  現在のイメージを保存できるようにした。
		- メモリリークの可能性があった部分をいくつか修正した。
		- キーウインドウの状態を維持するための改良をさらに追加した。
	* application/source/browser/CMRBrowser-BLEditor.m
		NSRunAlertPanel() → NSAlert
2006-07-27 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Action.m
	* application/Resources/text/BrowserKeyBindings.plist
		Mail.app のようにフォーカス無しでスレッド内容領域をスクロールさせることの是非をちょっと検討中。
		微妙なところだなぁ…
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/BSIPIActionBtnTbItem.m
	* application/subproj/previewer/BSIPIFullScreenController.m
	* application/subproj/previewer/BSIPIFullScreenWindow.m
	* application/subproj/previewer/BSIPIHistoryManager.m
	* application/subproj/previewer/BSIPIImageView.m
		プレビューインスペクタ 2.0：
		- キャッシュ機能を応用してキャッシュの一覧表示機能をつけた。
		- ドラッグ＆ドロップの動作を改良した。
		- キーウインドウの状態を維持できるよう改良した。
		- クラス間の役割分担を見直し、ソースをかなり書き換えた。
		- 他にもたくさん！
	* application/subproj/previewer/BSImagePreviewInspector-View.m
		[新規追加] BSImagePreviewInspector.m が長くなり過ぎたので分割。
	* application/subproj/previewer/BSIPIDownload.m
		[新規追加] プレビューインスペクタのダウンロード処理担当部を別のクラスに分割。
	* application/subproj/previewer/BSIPIPathTransformer.m
	* application/subproj/previewer/BSIPITableView.m
	* application/subproj/previewer/BSIPITextFieldCell.m
		[新規追加] プレビューインスペクタで利用するこまごまとしたサブクラス。
	* application/subproj/previewer/imageView.tiff
	* application/subproj/previewer/IPIHistoryBack.tiff
	* application/subproj/previewer/IPIHistoryForward.tiff
	* application/subproj/previewer/tableView.tiff
		[新規追加] プレビューインスペクタで利用する追加のアイコン。
	* application/source/CMRAppDelegate.m
	* application/Resources/Japanese.lproj/MainMenu.nib
		プレビューインスペクタを表示／隠すためのメニューを「ウインドウ」メニューに追加。
2006-07-02 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/CMRToolbarDelegateImp.m
		BSProgressIndicatorTbItem サブクラスを廃止した。
2006-06-29 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/main.m
		CMRFavoritesManager の初期化前に、確実に CMRTrashbox の共有インスタンスが生成されるようにした。
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/thread/CMRThreadViewer-MoveAction.m
	* application/source/thread/CMRThreadViewer-Validation.m
		CMRFavoritesManager の見直しに伴う変更など。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRFavoritesManager.(h|m)
		CMRFavoritesManager の整理を開始。
		- スレッドが削除された後、もしそのスレがお気に入りに登録されていた場合は、CMRFavoritesManager が
		  自動的にお気に入りから削除するようにした（これまでは「削除を依頼した人」が各自の責任で行っていた）。
		- 多くのメソッドが削除予定としてまずヘッダから消えた。
		- 新しいメソッド（引数に thread identifier と board name を取る形に統一）を追加した。
	* application/source/browser/CMRThreadsList-Notification.m
	* application/source/browser/CMRThreadsList-Remove.m
	* application/source/browser/CMRThreadsUpdateListTask.m
		ごちょごちょ修正したが、後でまた色々改変される、ないしは、改変する。
	* application/source/thread/CMRAbstructThreadDocument.m
		#if 0 と #endif で囲まれていた部分をばっさり削除。その他微修正。
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/view/CMRThreadView.m
	* application/source/view/popup/CMXPopUpWindowController+View.m
	* application/source/window/CMRReplyController-ViewAccessor.m
		BSLayoutManager への変更に伴う修正など。
	* frameworks/SGAppKit/framework/src/SGAppKit.h
		BSLayoutManager をインポート。
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSLayoutManager.(h|m)
		[新規追加] CMRLayoutManager の機能を SGAppKit に移動した。同時にクラス名を BSLayoutManager に変更。
2006-06-26 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Browser.nib
	* application/Resources/Japanese.lproj/CMRThreadViewer.nib
		レイアウトの微調整。
	* application/Resources/Japanese.lproj/CMRStatusView.nib
		テキストフィールドの属性などを調整。
	* application/source/view/BSTsuruPetaView.m
		コードの整理と描画速度の改善。
	* application/source/preferences/AppDefaults-FontColor.m
		「アンチエイリアスを適用する」オプションの変更も即座に反映させるようにした。
	* application/source/view/CMRThreadView.m
	* application/source/thread/CMRLayoutManager.(h|m)
		CMRLayoutManager クラスを AppDefaults.h をインポートしないように変更して独立化。
		いずれ SGAppKit に移す予定。また、テキストビューをリサイズしている間の文字のレイアウト作業を
		抑制することで、リサイズ時のもたつきを軽減するようにした。
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/view/CMRStatusLine.(h|m)
	* application/source/window/CMRStatusLineWindowController.m
		ステータスバーを廃止して、つるぺたナビゲーションバーに統合した。これに伴い CMRStatusLine
		クラスの「抜け殻」化がさらに進むことになる。
		また、つるぺたナビゲーションバー関連のコードのリファクタリングを実施。
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSBoardListView.m
		描画処理の最適化などに取り組んだ。
2006-06-25 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/CMRStatusLine.m
		ステータスバーは廃止してつるぺたナビゲーションバーに統合するかもしれない。あるいは、他のことを
		考えるかもしれない。とりあえずまだ何もしていないが。
		- 注意：現在 CVS ビルドでは別窓で開いたスレッドでステータスバーの表示切り替えなどで不具合が
		  発生するが、作業が中途のためなので気にしないように。
	* application/source/view/CMRIndexingStepper-ViewAccessor.m
		レス番号フィールドは、（レイアウトに余裕ができたため）再びフォーカスリングを表示するようにした。
	* application/source/thread/CMRThreadDownloadTask.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/thread/CMRThreadViewer-Contents.m
	* application/source/thread/CMRThreadViewer-Find.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/thread/CMRThreadViewer.h
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer_p.h
		不要メソッドの整理、一部メソッドを BSIndexingPopupper へ追い出し、その他のソース整理など。
		また、CMXScrollView サブクラスにする必要がなくなったので普通の NSScrollView に変更。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser_p.h
		不要メソッドの整理、その他の整理など。
	* application/source/CMRExports.h
	* application/source/main.m
	* application/source/manager/CMRDocumentController.(h|m)
	* application/source/browser/CMRBrowser.m
		ブラウザウインドウのカスケード制御の方法を 1.2 のものから見直すべく変更中。まだうまくいっていないので
		気にしないこと。
	* application/Resources/image/Action.tiff
	* application/Resources/image/Action_Pressed.tiff
	* application/Resources/image/AddBoard.tiff
	* application/Resources/image/AddBoard_Pressed.tiff
	* application/Resources/image/Spacer.tiff
	* application/Resources/image/SplitterHandle.tiff
		32*25 → 32*23 にサイズ変更し、微調整。
	* application/Resources/Japanese.lproj/Browser.nib
	* application/Resources/Japanese.lproj/CMRThreadViewer.nib
		nib ファイルの更新。レイアウト上の微調整や、つるぺたナビゲーションバーの追加など。
	* application/source/view/BSTsuruPetaView.(h|m)
	* application/source/view/BSTsuruPetaPopUpBtnCell.(h|m)
		[新規追加] つるぺたナビゲーションバー。BSTsuruPetaPopUpBtnCell は、つるぺたナビゲーションバー上に
		bordered: NO な NSPopUpButton を最適な外観でカスタム描画するためのサブクラス。
	* application/Resources/Japanese.lproj/CMRIndexingStepper.nib
	* application/Resources/Japanese.lproj/CMRThreadViewerComponents.nib
		nib ファイルの変更 -- とくにこれらの nib は、CVS の管理上パッケージ内の objects.nib が remove され、
		keyedobjects.nib が add されているので注意すること。
	* application/Resources/Japanese.lproj/BSIndexingPopupper.nib
	* application/source/view/BSIndexingPopupper.(h|m)
		[新規追加] レス表示範囲選択のポップアップボタン関連のコードを CMRThreadViewer から独立したクラスに
		分割した。nib ファイルも CMRThreadViewerComponents.nib から分割。
2006-06-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/SGAppKit/framework/src/custom/
		[削除] 未使用になっていたクラスのソースファイルをばっさり削除。
	* frameworks/Keychain/
		[削除] 削除。
	* application/source/window/CMRReplyController-ViewAccessor.m
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/source/thread/CMRThreadViewer-OwnHistory.m
		クラスの移動に伴う修正。
	* frameworks/SGAppKit/framework/src/SGAppKit.h
		クラス追加に伴う修正。
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSBoardListView.(h|m)
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSWindow.(h|m)
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSSegmentedControlTbItem.(h|m)
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSReplyTextView.(h|m)
	* frameworks/SGAppKit/framework/src/custom/bathyscaphe/BSIconAndTextView.(h|m)
	* frameworks/SGAppKit/framework/src/custom/indexfield/IndexField.(h|m)
	* frameworks/SGAppKit/framework/src/extensions/layoutmanager/NSLayoutManager+CMXAdditions.(h|m)
		[新規追加] 実質は単なるファイル位置の移動なのだが…下記も参照。
	* application/source/view/BSBoardListView.(h|m)
	* application/source/view/BSIconAndTextView.(h|m)
	* application/source/extensions/NSLayoutManager+CMXAdditions.(h|m)
		[削除] これらのクラスは既に SGAppKit に移動済みだったが、ソースファイルの場所は変更されていなかった。
		今回、分かりやすくするためこれらのファイルについても配置を移動することにした。上記も参照。
	* application/source/window/BSWindow.(h|m)
	* application/source/view/BSSegmentedControlTbItem.(h|m)
	* application/source/view/BSReplyTextView.(h|m)
	* application/source/view/IndexField.(h|m)
		[削除] これらのクラスは SGAppKit に移動した。これに伴いソースファイルの位置を application ディレクトリから
		SGAppKit のディレクトリに移動した（上記も参照）。
2006-06-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/BSWindow.(h|m)
	* application/source/window/CMRStatusLineWindowController.m
	* application/source/thread/CMRThreadViewer-OwnHistory.m
	* application/source/view/BSSegmentedControlTbItem.(h|m)
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/source/view/BSProgressIndicatorTbItem.m
	* application/source/window/CMRToolbarDelegateImp.m
	* application/source/browser/BSTitleRulerView.(h|m)
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		v120-BASED-BRANCH の 2006-06-16,17 の変更に問題がないようなので、トランクにマージ。
		（変更内容はブランチの changelog を参照）
2006-06-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Link.m
		CocoMonar スレッドに 2006-06-06 に投稿されたパッチについて検討した結果、BathyScaphe でも
		このパッチが必要で有効であることが確認できたため、このパッチを適用。
		http://pc7.2ch.net/test/read.cgi/mac/1119974879/892 ほか。
2006-06-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/Resources/Japanese.lproj/Browser.nib
	* application/Resources/Japanese.lproj/ThreadViewer.strings
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/mark_the_thread.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/BathyScapheHelp.helpindex
	* application/Resources/Japanese.lproj/BathyScapheHelp/BathyScapheHelp idx
		v120-BASED-BRANCH の変更をマージ（正確には、ブランチのファイルに置き換え）。
	* application/Resources/image/titleRulerInfoIcon.tiff
		[新規追加] v120-BASED-BRANCH 同様に新規追加。
	* application/source/browser/BSTitleRulerView.(h|m)
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/thread/CMRThreadViewer-Download.m
	* application/source/thread/CMRThreadViewer-Link.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/thread/CMRThreadViewer.(h|m)
	* application/source/thread/CMRThreadViewer_p.h
	* application/source/preferences/AppDefaults.(h|m)
	* pplication/source/view/CMRThreadView.(h|m)
	* application/source/CMRAppDelegate.(h|m)
		v120-BASED-BRANCH の変更をマージ。
2006-06-07 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Download.m
		ステータスコード 302 は、間違った URL によるアクセスの結果として返される場合もあるので、302 の場合は
		まず掲示板が移転していないかどうかをチェックして、そうでない場合のみ Dat 落ちと見なすようにした。
2006-06-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/CMRReplyMessenger_p.h
	* application/source/window/CMRReplyMessenger.m
	* application/source/window/CMRReplyMessenger-Connector.m
	* application/subproj/reply/error/SG2chErrorHandler.m
		ソースの整理。
2006-06-04 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/network/CMRDATDownloader.m
	* application/source/thread/CMRThreadViewer-Download.m
		ステータスコードが 416 で、「再取得が必要です」を出さなければならないのに、先に「そんな板 or スレッドないです」
		用の Notification が発行されて、「再取得〜」用の notification の観察が中止されてしまっていた問題を修正。
		ついでに、ステータスコード 302 の場合は、とくにシートは出さず、自動的にスレッドに「dat 落ち」印を設定するようにした。
2006-06-03 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/CMRReplyMessenger_p.h
	* application/source/window/CMRReplyMessenger.m
	* application/source/window/CMRReplyMessenger-Connector.m
	* application/subproj/reply/error/SG2chErrorHandler.m
		2ch の書き込み仕様変更（hana=mogera）への対応方法を変更。
		- hana=mogera 以外に変更された場合でもそのまま対応できるようにした。具体的には、
		  http://qb5.2ch.net/test/read.cgi/operate/1130918407/783 の方法とほぼ同様のことを
		  行うようにした。
	* frameworks/SGNetwork/src/util/SGHTTPDefines.h
		#define HTTP_FOUND（ステータスコード 302）を追加。
	* application/source/manager/Cookie.m
		内部用の識別子を BathyScaphe 用に修正。
2006-06-02 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/text/KeyValueTemplates.plist
	* application/source/composer/CMRAttributedMessageComposer.m
	* application/source/browser/BSFavoritesHEADCheckTask.m
	* application/source/preferences/CMRHostHTMLHandler.m
		遅ればせながら 1.2.1 での修正点（@v120-BASED-BRANCH）をトランクにマージ。
2006-06-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/SGFoundation/framework/source/classes/xml/SGXmlPullParser.m
		XML パーサが、引用符で囲まれていない属性・値を取得する際に先頭の一文字が欠けてしまう問題を修正。
2006-05-25 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/CMRHostHTMLHandler.m
		チェックを緩めてしたらばの新着レスが取得できない問題を修正
	* application/source/browser/BSThreadListUpdateTask.m
	    カラムをクリックしてソート順を変更する際、progress indicator が回りっぱなしになってしまう
	    問題を修正。
	* application/source/thread/CMRThreadLayout.m
	    ソースの表記を若干修正。
2006-05-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMXTextParser.m
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/source/composer/CMRAttributedMessageComposer.m
		「株主優待」表示に対応。
		- 「株主優待」表示が、「Be ログイン状態をステルスする」ということから、「株主優待」という情報は
		　.thread ファイルにおいて Be プロフィールリンクの情報と同じ場所に格納することにした。
2006-05-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* metadataimporter/BathyScaphe/GetMetadataForFile.c
        [名称変更] .m → .c（CVS 上では削除／新規追加扱い）
        Spotlight プラグイン：完全 CoreFoundation レベルのソースに書き直し、Foundation.framework
        をリンクしなくなった。また、一部のメタデータが昨日の修正で収集されなくなっていた問題を修正。
2006-04-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* metadataimporter/BathyScaphe/GetMetadataForFile.m
		Spotlight プラグイン：速度と内容収集方法のチューニング。
2006-04-12 masakih <masakih@users.sourceforge.jp>
	v111-BASED-BRANCH  上の MERGED-v120_FINAL タグからマージ。
	cvs -z3 up  -j MERGED-v120_FINAL
	* v111BasedBranchChangelog.txt
		[新規追加] v111-BASED-BRANCH のログ。
	* mics/sqlite/*
	* 他多数。（v111BasedBranchChangelog.txt 参照）
		[新規追加] sqlite-3.2.8 他。
================================================= 1.2(v174.1) / Hayate / CVS Tag : v120_FINAL
2006-03-27 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/board_default.plist
		board_default.plist を最新のものに更新。
================================================= Levantine
2006-03-25 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/BathyScapheHelp/
		ヘルプを更新（20060324.zip ベース）
	* application/subproj/reply/connector/SG2chConnector.m
	* application/subproj/preference/Japanese.lproj/Localizable.strings
		ヘルプとの連携機能を微調整。
2006-03-22 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMXTextParser.m
		ID の無い板での識別子：「O」「0」「P」「o」に加えて「Q」も認識するようにした。
		http://hobby7.2ch.net/test/read.cgi/chakumelo/1142853463/1-7
2006-03-18 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/NoNameInputController.m
	* application/Resources/Japanese.lproj/CMRNoNameInput.nib
		「掲示板の名無しさんの設定」ダイアログにヘルプボタンを付けた。
	* application/subproj/reply/Japanese.lproj/LoginWindow.nib
	* application/subproj/reply/Japanese.lproj/Localizable.strings
	* application/subproj/reply/connector/SG2chConnector.m
	* application/subproj/reply/account/w2chAuthenticater.m
		2chConnector プラグイン：
		- アラートは NSAlert で
		- ログインウインドウのインタフェースを更新
		- 一部のエラーメッセージが正しくローカライズされていなかった問題を修正。
	* application/source/window/CMRReplyMessenger-Connector.m
	* application/Resources/Japanese.lproj/Messenger.strings
		書き込み時のアラートに一部ヘルプボタンを付けた。すべて NSAlert で書き直した。
2006-03-16 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BoardManager.m
	* application/Resources/Japanese.lproj/Localizable.strings
		「サーバの移転」アラートを NSAlert で書き直し、ヘルプボタンを付けた。
	* application/Resources/Japanese.lproj/ToolbarItems.strings
		ツールバーの「ブラウザを最前面に」ボタンの名称を「掲示板を表示」に変更した（メニュー項目と統一）。
	* application/source/browser/CMRBrowser.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-List.m
	* application/source/thread/CMRThreadViewer-Action.m
		今度こそ、「掲示板を表示」でスレッド一覧を切り替えた後、確実にそのスレッドを選択状態にするようにした。
		さらに、できるだけその選択列が見えるように適宜一覧をスクロールさせるようにした。
2006-03-15 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer-Action.m
		「掲示板を表示」は、スレッド一覧を切り替えた後、確実にそのスレッドを選択状態にするようにした。
2006-03-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRThreadsList-Notification.m
		ブラウザウインドウでスレッドを削除する際、常に適切なスレッドが削除されるように修正。また、削除してすぐに
		同じスレッドを取得し、その後一覧を更新するとそのスレッドのステータスが消失することがある問題を修正。
		さらに、ブラウザウインドウでフォーカスが当たっているビューに応じて適切に対象を識別するよう改良。
2006-03-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/CMRReplyWindow.nib
		レイアウトの微修正。
	* application/source/window/CMRReplyController-ViewAccessor.m
		書き込みウインドウの背景を半透明にしているとき、テキストの残像がうっすら残る問題を 2006-03-10 に修正した
		つもりだったが、不完全だった。よく調べたところ、実はテキストビューのバックグラウンドではなく、ウインドウ自身の
		「影」に残像が残っていることが分かった。これではいくらテキストビューを再描画しても根本解決にならないわけだ。
		…というわけで、ウインドウの「影」をマメにリフレッシュするように変更（下のサブクラスで）。同時に今までの
		方法を廃止した。
		ついでに挿入ポイント（点滅する縦線）カーソルの色をテキストの色と同じになるようにした。
	* application/source/view/BSReplyTextView.m
		[新規追加] 書き込みウインドウの背景を半透明にしているとき、テキストの残像がうっすら残る問題を根本的に解決するために
		ここの NSTextView をサブクラス化する必要があり、新規追加した。
	* application/source/browser/Browser.m
	* application/source/browser/CMRBrowser.m
		ブラウザウインドウが複数開いている場合、「別名で保存...」や「ブラウザを最前面に」、および
		AppleScript 経由での browser document に対する操作で発生するいくつかの問題を修正。
	* application/source/composer/CMRAttributedMessageComposer.m
		ID が「???」で始まる場合は、クリックして発言を抽出できない仕様に変更した。
2006-03-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/CMROpenURLManager.strings
	* application/source/manager/CMROpenURLManager.m
		サービス実行時のアラートを NSAlert を用いて表示するように修正。また、メッセージを見直し。
2006-03-10 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/Browser.m
		ブラウザウインドウでも「ファイル」＞「別名で保存...」で、表示中のログファイルを保存できるようにした（3ペイン時）。
	* application/source/window/CMRReplyController-ViewAccessor.m
		書き込みウインドウの背景を半透明な色にしているとき、テキストの残像が白抜けしてしまう問題を修正した。
================================================= Zafira
2006-03-09 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadLayout.m
		メッセージの属性を変更したときは、常に clipview の visibleRect 全体でグリフの再描画を促すようにした。
	* application/source/browser/AddBoardSheetController.m
	* application/Resources/Japanese.lproj/AddBoardSheet.nib
		「掲示板を追加」シートは、リストで選択されている項目の数を右上部に表示するようにした（やや暫定的なもの）。
		- 本来、検索フィールドで絞り込んでいるときは、マッチした項目のみを表示するようにする方が良いのだが、面倒。
		　せめて何項目見つかったかを表示することで、「選択されているけどスクロールしないと隠れて見えない」項目に気付きやすくする。
	* application/source/browser/CMRBrowser-ViewAccessor.m
		「環境設定」＞「表示」＞「スレッド一覧」の設定を変更すると、予期せず現在ハイライトしているカラムがハイライト
		解除され、ソートの昇順／降順を表す三角印も消えてしまっていた問題を修正。
	* application/source/view/ThreadsListTable.m
		restoreColumnState: では [NSTableView sizeLastColumnToFit]; を実行しないようにした。
		- カラムを「はみ出させたまま」終了して次に起動すると、sizeLastColumnToFit: によってはみ出したカラムが
		　押し込められてしまうが、それが困る、という人もいたため。
2006-03-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/CMROpenURLManager.m
		http スキームでも bathyscaphe スキームでも処理できるようにした。
	* application/source/CMRAppDelegate.m
	* application/Info-bathyscaphe.plist
		'GURL' AppleEvent に対応した。"bathyscaphe:" スキームによる URL によって、BathyScaphe でスレッドを
		開けるようにした。
2006-03-07 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Action.m
		ツールバーの「ブラウザを最前面に」ボタンは、ブラウザウインドウが開いていないときは新しくそれを開いて最前面に
		表示するようにした。
		さらに、ブラウザウインドウを最前面にした後、下の「掲示板を表示」と同様な動作をするようにした。
		- つまり、このツールバーボタンは「掲示板を表示」メニュー項目のツールバーボタン版となったと考えて良い。
		- 表記不統一の問題については現在保留中。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/Resources/Japanese.lproj/MainMenu.nib
		「スレッド」メニューに「掲示板を表示」を追加した（command-L）。
		表示しているスレッドが属している掲示板のスレッド一覧に切り替える（必要ならブラウザウインドウを最前面に出す）。
		また、このような場合、属している掲示板が掲示板リストに見つからないときは、自動的に掲示板リストに追加するようにした
		（これまでは何もせず終わっていた）。
	* application/subproj/previewer/BSImagePreviewInspector.m
		やむを得ず「常にキーウインドウとしてインスペクタを開く」をデフォルトでオンにした。
		- どのウインドウが今、キーウインドウかを常に意識する（タイトルバーの色で分かる）
		- パネルはたとえ最前面にあっても、キーウインドウであるとは限らない
		この二点を心がけていれば、誤って cmd-W を叩いて別のウインドウを閉じてしまうようなミスは減少すると思う。
		逆に言えば、たとえ「常にキーウインドウとして開く」ようにしたって、ユーザが他のウインドウを操作すればすぐにキーウインドウは
		入れ替わる。そして、ユーザが cmd-W を叩いた瞬間に閉じられるのは常に「今、キーになっているウインドウ」であって、
		それ以上でもそれ以下でもないのだ。
================================================= GrafEisen_Rev2 (v165.1)
2006-02-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/CMRKeychainManager.m
		●アカウントを設定していない状態で「アカウント」環境設定を開こうとするとクラッシュする問題を修正。
================================================= GrafEisen (v165)
2006-02-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/Save.tiff
		暫定的にプレビューインスペクタの「保存」アイコンを差し替え。
		- 開いたフォルダのアイコン。あまり良くないな。描いてもらわないといかんね。
	* application/source/window/CMRReplyController-ViewAccessor.m
		書き込みウインドウで「下書きとして保存」した直後にテキストを変更しても "dirty" フラグが立たず、
		新たに保存することができない問題を修正した（つもり）。
	* application/source/browser/Browser.m
	* application/source/thread/CMRAbstructThreadDocument.m
	* application/source/window/CMRReplyMessenger.m
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/Resources/Japanese.lproj/Messenger.strings
	* application/Resources/Japanese.lproj/MainMenu.nib
		「ファイル」＞「下書きとして保存」「別名で保存...」を統合した。
		- 別ウインドウで開いているスレッドに対しては、「別名で保存...」を command-S で提供する（command-shift-S から変更）。
		- 書き込みウインドウに対しては、「下書きとして保存」を command-S で引き続き提供する。
	* application/source/view/SGLinkCommand.m
		コンテクストメニューから「リンクを Web ブラウザで開く」を選んだときも、「外部リンクをバックグラウンドで開く」
		設定を参照して従うようにした（これまでは無視していた）。
	* application/Resources/Japanese.lproj/Acknowledgments.rtf
		必要な修正を施した。
	* Makefile
		Keychain framework はビルドしないようにした。
		- 当然、クリーニングもされなくなるので、必要に応じて残骸を自分でクリーニングしておくべき。
	* application/source/manager/CMRKeychainManager.m
		「さようなら、Keychain framework」
		フルビルドする際の時間短縮と、アプリケーションのスリム化を計るため、Keychain framework を使用せず、
		直接 Keychain Services を叩くようにした。
		これに伴い、Keychain framework のコピー、リンクを停止し、かわりに Security.framework をリンクする
		ようにした。
2006-02-27 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/MainMenu.nib
		「ファイル」＞「すべてのウインドウを閉じる」（command-option-W）
		「ウインドウ」＞「すべてをしまう」（command-option-M）をそれぞれ追加。
		- ちゃんと動作させようとすると意外と面倒だった。
		「表示」メニューの構成を若干見直し。
	* application/source/browser/CMRBrowser-BLEditor.m
	* application/Resources/Japanese.lproj/Browser.nib
		「すべてのウインドウを閉じる」機能との関係で、「掲示板リスト項目の編集」シートを NSWindow から
		NSPanel に変更。
	* application/source/CMRAppDelegate.m
		すべてのウインドウを閉じる／最小化するためのメソッドをいくつか用意した。
	* application/source/composer/CMRMessageFilter.m
		[Bug 8082] シベリア超速報で迷惑レスフィルタが正しく動作しない問題を修正。
2006-02-25 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/AppDefaults-ThreadsList.m
	* application/source/browser/CMRBrowser-Validation.m
	* application/source/browser/w2chFavoriteItemList.m
	* application/source/browser/BSFavoritesHEADCheckTask.m
		更新チェックのインターバルを可変させるようにした。
		基本的に（HEAD を投げた数）*20 秒。
		ただし、上記計算で得られる時間が 5 分より短い場合は、一律に 5 分とする。
	* application/source/composer/CMXTextParser.m
	* application/source/composer/CMRAttributedMessageComposer.m
		「株」表示のサポート：少しコードを整理した。
		また、レンダリングを見直し、「名前： hoge  投稿日： 2006/...」などの部分の「hoge」と「投稿日」の間に
		半角スペースを2個挿入していたのを1個に減らした（他も同様）。
2006-02-24 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/BSIPIFullScreenController.m
		プレビューインスペクタ（1.5.2 → 1.5.3）：
		- ツールバーをカスタマイズする際、「アクション」ツールバーボタンを取り除いて再度追加できない、また、その後
		　ツールバーの挙動が不安定になる問題を修正。
		- ツールバー項目の validation 方法を見直し。
		- ソースの整理をさらに進め、保守性の向上を図った。
		- フルスクリーン表示時、マウスを動かすまではカーソルを隠すようにした。
	* application/source/browser/CMRThreadsList.m
		ThreadsList.plist への書き込みを CMRThreadsList の dealloc 時にも再び行うようにした。
2006-02-23 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMXTextParser.m
	* application/source/composer/CMRAttributedMessageComposer.m
		「株」表示のサポートを追加した。
2006-02-21 masakih <masakih@users.sourceforge.jp>
	* application/source/window/CMRReplyMessenger-Connector.m
		メール欄アイコンを含むテキストをコピーアンドペーストした内容を
		書き込むときに起きるエンコードミスを回避するようにした。
================================================= RainbowJerk
2006-02-19 (2006-02-18) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRThreadsList-DataSource.m
		ソースの見直し（一部のメソッドを関数呼び出しに書き換えるなどの、涙ぐましい悪あがき）
2006-02-19 (2006-02-17) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/BSFavoritesHEADCheckTask.m
		お気に入りの更新チェックは、30 スレッドまでに制限した。
		- お気に入り全体から、まず以下のスレッドは除外される：
		　1. ステータスが灰色ではない項目
		　2. レス数が 1001 以上の項目
		　3. ログファイルに「dat 落ち」フラグが設定されている項目
		　4. dat の URL が取得できない項目（例：まちBBS、JBBS ライブドア）
		これらのスレッドを「除いて」、30 スレッドまで更新チェックを行う。
		- つまり、あくまで「HEAD メソッドを投げる回数を 30 回までとする」という観点である。
		- チェックはお気に入りの登録順で、1 番から順に行われる。
		- 溢れてチェックされなかったスレッドについて、現在のところとくにその旨は報告されない。今後さらに検討を進めて、改良される
		　予定なので、あせらないこと。
		- BathyScaphe 1.2 では HEAD 投げによるチェックのみを使用する。subject.txt との組み合わせは 1.5 までやらない（できない）。
		　これはハッキリさせておく。負荷については更新間隔の制限と、この総量規制でとりあえず対応できると考える。
2006-02-19 (2006-02-16) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Delegate.m
	* application/Resources/Japanese.lproj/Browser.nib
		[Bug 6398] 関連：スレッド一覧の検索フィールドで return を押した時は、スレッド一覧にフォーカスを移すようにした。
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/BSIPIHistoryManager.m
	* application/subproj/previewer/Japanese.lproj/BSIPIFullScreen.nib
		プレビューインスペクタ（1.5.2）
		-フルスクリーン時に gif アニメーションがアニメートしない問題を修正。
		-キャッシュ履歴の参照法を見直し、ソースを少し整理した。
2006-02-19 (2006-02-15) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Browser.nib
	* application/source/browser/CMRBrowser-ViewAccessor.m
		tab/shift-tab でのフォーカス移動がきちんと動作するように手直しした。
2006-02-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/CocoMonar/framework/src/CMRDocumentTypes.m
		CMRBrowserDocumentType = @"CocoMonar 2ch Format"（ブラウザウインドウ）を追加定義した。
	* application/source/manager/CMRDocumentController.m
	* application/source/CMRExports.h
	* application/source/browser/CMRBrowser.m
		ブラウザウインドウのカスケード処理を最適化した。
	* application/source/browser/CMRBrowser-ViewAccessor.m
		描画の不具合を修正。
2006-02-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/w2chFavoriteItemList.m
	* application/source/preferences/AppDefaults-ThreadsList.m
	* application/source/browser/CMRBrowser-Validation.m
	* application/Resources/Japanese.lproj/Localizable.strings
		お気に入りの更新チェックは、一度実行したら 10 分間実行できないようにした。更新チェックができない時は、その旨といつ頃から
		利用できるようになるかをツールチップで表示するようにした。
	* application/source/browser/CMRThreadsList-Download.m
	* application/source/browser/CMRThreadsList.m
		ThreadsList.plist への書き込みは、これまで CMRThreadsList の dealloc 時（〜板を切り替えるとき）に行われていたが、
		これを postListDidUpdateNotification: （〜スレッド一覧が更新された直後）で行うようにした。
		- 以前よりこまめに、ただちに書き込まれる。
		- 「ファイル」＞「新規ブラウザ」で二枚目以降のブラウザウインドウを開くときに、読み込みに長くかかっていた問題をこれで解決。
2006-02-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Browser.nib
	* application/source/browser/CMRBrowser-ViewAccessor.m
		[Bug 6478] 掲示板リストを隠した状態で BathyScaphe を終了し、次に起動して掲示板リストを表示させると、掲示板リストの幅が
		不正になる問題を（ようやく）修正。
	* application/source/browser/CMRBrowser-ViewAccessor.m
		「ファイル」＞「新規ブラウザ」で二枚目以降のブラウザウインドウを開いた時、ウインドウのサイズが不適切だった問題を
		（ようやく）修正。
	* application/Resources/Japanese.lproj/MainMenu.nib
		「表示」＞「一覧に表示するスレッド」へのショートカットキーの付加（やや暫定的）。
	* application/source/thread/CMRThreadViewer-Action.m
		まちやJBBSライブドアで、スレッドを開かないで更新したときに正しく差分取得できなかった問題を修正。
2006-02-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRAbstructThreadDocument.m
		SGDocument.m を統合。SGDocument.m はプロジェクトから外した。いずれリポジトリからも削除される。
	* application/source/thread/CMRThreadViewer-Download.m
		NSBeginAlertSheet() → NSAlert に変更
	* application/source/manager/CMRKeychainManager_p.h
	* application/source/manager/CMRReplyDocumentFileManager_p.h
	* application/Resources/text/numericCharacters.txt
		[削除] 未使用になったため、リポジトリから削除。
	* application/source/network/CMRThreadHTMLDownloader.m
		まちやJBBSライブドアで、1からダウンロードしたい所が NSNotFound というばかでかい定数からダウンロードすることを指定するような
		URI 文字列が生成されてしまうことがあった内部の問題を修正。
	* application/source/composer/CMRThreadPlistComposer.m
	* application/source/network/ThreadTextDownloader.m
	* application/source/thread/CMRThreadViewer.m
		スレッドが AA スレッドの場合、スレッドを開かないで更新すると更新した分が AA 指定されない問題を以前（2006-01-17）
		修正したが、この影響で「AA スレッドで一部のレスの AA 指定を解除しても、次に開くとまた AA 指定されてしまう」問題が
		発生していた。この問題を解決するため、最初の問題への対処方法を全面的に変更した。そして解決した。
		追記：まだ問題があったのでさらに修正した。
	* application/Resources/Japanese.lproj/browserListColumns.plist
	* application/source/browser/CMRThreadsList-DataSource.m
		スレッド一覧に「作成日」カラムを追加可能にした（dat 番号を日付に変換して表示）。
	* application/source/extensions/NSTableColumn+CMXAdditions.m
	* application/source/view/ThreadsListTable.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		スレッド一覧で、カラムを追加／削除した時は、「名前」カラムの幅をその分伸縮するようにした。
		- 横スクロールバーを出さずに、（おそらく一番横幅を取っているはずの）「名前」カラムの幅を調整してスペースを捻出
		　または埋め合わせする。
		- 縦3ペインで使ってるとその動作は気に入らないって？…んー、それはこれから考えよう。
		追記：縦3ペイン時は今までどおりの動作にし、横スクロールバーを常に表示させるようにした。
		- ポリシーとしては「縦3ペイン＝どうせ横幅が足りないから余計なことをせずスクロールバーを出す」
		　「横（平凡な）3ペイン＝横スクロールバーを出さないようカラム幅を自動調整」の方向で。
2006-02-09 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadComposingTask.m
		[Bug 8009] の調査の過程で、少し気になる部分があったので修正してみた（Bug の修正になっているかどうかは
		わからない）。
2006-02-02 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/SGAppKit/framework/src/BSKFSplitView.m
		image を retain していなかったため、クラッシュする可能性があった問題を修正。
	* frameworks/SGAppKit/framework/src/SGAppKit.h
		下記変更に伴い、必要な修正を施した。
	* application/source/browser/CMRPullDownIconBtn.m
	* application/Resources/image/Action.tiff
	* application/Resources/image/Action_Pressed.tiff
		CMRPullDownIconBtn クラスは、BathyScaphe 本体から SGAppKit Framework に移動した。ただし、ソースファイル自体の位置は
		変えていないので注意。フレームワークへの組み込みに伴い必要な修正を行った。
		また、これらのヘッダをインポートしている BathyScaphe の各種ファイルについても、必要な修正を行った。
2006-02-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRPullDownIconBtn.m
		ソースの見直し。
	* application/Resources/text/numericCharacters.txt
		今まで何となく残っていたが、調べた所どうも使われている形跡が見当たらなかったので、プロジェクトから外した。
		問題がないようなら、そのうちリポジトリからも削除する。
	* 一部のファイル
		ビルド時の warning でいいかげん見飽きたものについて、ファイルごとに個別に -w フラグを追加して警告を抑制した。
	* application/source/extensions/NSCharacterSet+CMXAdditions.m
	* application/Resources/text/innerLinkPrefixCharacters.txt
	* application/Resources/text/innerLinkRangeCharacters.txt
	* application/Resources/text/innerLinkSeparaterCharacters.txt
	* application/source/threaddata/CMRThreadUserStatus.m
	* application/source/threaddata/CMRThreadUserStatusMask.h
		これらのファイルは、BathyScaphe 本体から CocoMonar Framework に移動した。ただし、ソースファイル自体の位置は
		変えていないので注意。フレームワークへの組み込みに伴い必要な修正を行った。
		また、これらのヘッダをインポートしている BathyScaphe の各種ファイルについても、必要な修正を行った。
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
		アイコンの取得方法を少し見直した。
2006-01-29 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/CocoMonar/framework/src/NSBundle+CMRExtensions.m
		[削除] すでに 2006-01-25 の変更でターゲットから外れていたが、リポジトリからも削除。
	* application/Resources/text/Hankaku-Kana-Daku.txt
	* application/Resources/text/Hankaku-Kana.txt
	* application/Resources/text/Hankaku.txt
	* application/Resources/text/Zenkaku-Hira-Daku.txt
	* application/Resources/text/Zenkaku-Hira.txt
	* application/Resources/text/Zenkaku-Kana-Daku.txt
	* application/Resources/text/Zenkaku-Kana.txt
	* application/Resources/text/Zenkaku.txt
		[削除] BathyScaphe 1.1.2 以降での検索機能の変更に伴い未使用になっていた。
		今回まとめてリポジトリからも削除。
	* application/Resources/Japanese.lproj/AlertPanelManager.strings
	* application/Resources/Japanese.lproj/AppInformationManager.strings
	* application/Resources/Japanese.lproj/CMRMainMenu.strings
	* application/Resources/Japanese.lproj/DirectoryManager.strings
	* application/Resources/Japanese.lproj/ThreadData.strings
		[削除] これらのファイルは少し前から、プロジェクトから外していた。
		CMRMainMenu.strings は Localizable.strings に統合。他のものは BathyScaphe では使用
		されていなかった。今回まとめてリポジトリからも削除。
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
	* application/subproj/previewer/TemporaryFolder.m
	* application/subproj/previewer/Japanese.lproj/Localizable.strings
		プレビューインスペクタ（1.5 → 1.5.1）：
		- ツールバーに「Web ブラウザで開く」ボタンを追加可能にした。
		- 他、細部の修正。
	* frameworks/CocoMonar/framework/src/CMRFileManager.m
		CocoMonar Framework のビルドに失敗する問題を修正。
================================================= Vita
2006-01-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/SyncPaneController.h
	* application/subproj/preference/SyncPaneController.m
	* application/subproj/preference/Japanese.lproj/SyncPane.nib
	* application/subproj/preference/rsrc/Sync.tiff
		[新規追加] これらはまだ使用されることは無い。BWAgent を PreferencePane 他に統合したい。
	* application/source/browser/CMRThreadsList-Filter.m
		「特定の文字を無視」は隠しで残そうかとも思っていたが、それはそれでわかりにくくなりそうなので思い切って廃止した。
	* frameworks/SGAppKit/framework/src/extensions/workspace/NSWorkspace-SGExtensions.m
		ビルド時の警告が出ないよう、適切な書き方に改めた。
	* application/Resources/Japanese.lproj/Browser.nib
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser.m
	* frameworks/SGAppKit/framework/src/SGAppKit.h
		下記変更に伴い、必要な修正を施した。
	* frameworks/SGAppKit/framework/src/BSKFSplitView.m
	* frameworks/SGAppKit/framework/src/KFSplitView.m
	* frameworks/SGAppKit/framework/resource/images/browserSplitterVertical.tiff
	* frameworks/SGAppKit/framework/resource/images/browserSplitterDimpleVertical.tiff
	* frameworks/SGAppKit/framework/resource/images/browserSplitter.tiff
	* frameworks/SGAppKit/framework/resource/images/browserSplitterDimple.tiff
		[新規追加] KFSplitView および CMRSplitView クラスは、SGAppKit に移動した。
		この機会に、CMRSplitView を BSKFSplitView に改名した。画像リソースも移動した。
	* application/Resources/image/browserSplitterVertical.tiff
	* application/Resources/image/browserSplitterDimpleVertical.tiff
	* application/Resources/image/browserSplitter.tiff
	* application/Resources/image/browserSplitterDimple.tiff
		[削除] これらの画像リソースも SGAppKit に移した。
	* application/source/view/KFSplitView.m
	* application/source/view/CMRSplitView.m
		[削除] これらのクラスは SGAppKit に移した。
	* application/source/browser/BSFavoritesHEADCheckTask.m
	* application/source/thread/CMRThreadViewer-Action.m
		特定の操作が完了したときに、サウンドを再生できるようにした。サウンドが "" か、見つからない場合は再生されない。
		- サウンドファイルは NSSound が再生できるものを、/Library/Sounds/ か /~Library/Sounds/ に置いておく。
		　その後、環境設定で選択する。このとき、/System/Library/Sounds/ にあるサウンドも選択できる。
		- NSSound の仕様により、「.aiff」は OK だが「.aif」は認識されないので注意。
	* application/source/preferences/AppDefaults-LibPath.m
		AppDefaults にサウンドエフェクト関連のメソッドを追加。Sounds カテゴリとして、（なぜか）-LibPath.m に記述した。
		サウンドファイルの名前（拡張子抜き）を記録する。サウンド無しの場合は ""（nil ではない）となる。
	* application/subproj/preference/reply/CMRReplyDefaultsController.m
		CMRReplyDefaultsController_p.h の内容を統合した。 -_p.h はターゲットから外され、いずれリポジトリから削除される。
	* application/subproj/preference/PreferencePanes_Prefix.h
	* application/subproj/preference/pane/PreferencesPane-PCManagement.m
	* application/subproj/preference/pane/PreferencesPane.m
	* application/subproj/preference/pane/PreferencesPane-Toolbar.m
		「環境設定」に「サウンド」ペインを追加したことに伴う諸変更と、若干のコードの再編成、効率化。
		また、PreferencesPane-ViewAccessor.m の内容は PreferencesPane.m に統合し、 -ViewAccessor.m はターゲットから外した。
		いずれリポジトリからも削除される。
	* application/subproj/preference/SoundsPaneController.m
	* application/subproj/preference/Japanese.lproj/SoundsPane.nib
	* application/subproj/preference/rsrc/Sounds.tiff
		[新規追加] 「環境設定」に「サウンド」ペインを追加。サウンドエフェクトの設定を行う。
		- ヘルプボタンは、対応するヘルプコンテンツが未作成のため、今は正しく動作しないが、問題ない。
2006-01-25 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/CMRToolbarDelegateImp_p.h
	* application/source/view/CMRIndexingStepper-ViewAccessor.m
		#import <SGAppKit/SGAppKit.h> を書き加えた。+[NSImage imageAppNamed:] が CocoMonar Framework から
		SGAppKit に移ったため。
	* application/source/browser/CMRThreadsList.h
		CMRThreadsList は、CMRBBSSignature を用いないように書き換えた。
	* application/source/browser/CMRThreadsList-Search.m
		CMRThreadsList-Remove.m を統合。 -Remove.m はターゲットから外れた。いずれリポジトリからも削除される。
	* application/source/task/CMRTaskManager.m
		CMRTaskManager-ViewAccessor.m を統合。 -ViewAccessor.m はターゲットから外れた。いずれリポジトリからも削除される。
	* frameworks/SGFoundation/framework/source/support/NSBundle+AppSupport.m
	* frameworks/SGAppKit/framework/src/extensions/image/NSImage-SGExtensions.m
	* frameworks/SGAppKit/SGAppKit.xcodeproj
	* frameworks/SGFoundation/SGFoundation.xcodeproj
	* frameworks/CocoMonar/CMF.xcodeproj
		フレームワーク間でのソース移動など
		- CocoMonar framework の NSBundle+CMRExtensions.h の内容は、SGFoundation と SGAppKit に統合した。
		- BathyScaphe 本体の NSLayoutManager+CMXAdditions.h, NSTableColumn+CMXAdditions.h は SGAppKit に移動した
		　（ソースファイルのディレクトリ配置自体は移動していないので注意）。
		- BathyScaphe 本体の NSTextView+CMXAdditions.h は SGAppKit に統合した。
		- 少しでもコンパイル時間を短縮するために。また、あちこちに分散しているものを多少まとめる目的。
		各自手元で SGfoundation → SGAppKit → CMF → BathyScaphe.app の順でビルドし直すべし。
	* application/Resources/Japanese.lproj/BSBoardInfoInspector.nib
		「掲示板オプション」インスペクタは、今までよりパネルの幅を小さくできるようにした（240px まで）。また、長過ぎる文字は
		末尾に「...」を付加して表示するようにした。
	* application/source/thread/CMRThreadViewer-Download.m
	* application/Resources/Japanese.lproj/ThreadViewer.strings
		オンラインモード時に dat 落ちしたスレッドを開いたときに表示される、あの煩わしい「そんな板 or スレッドないです。」
		シートに「dat 落ちにする」ボタンを付けた。また、ヘルプボタンもつけた（呼び出されるヘルプトピックは今のところ適切でないが、動作確認のための
		暫定的な実装のため）。「dat 落ち」フラグを立てることで、次回以降開いた時はもうこのシートを見ることは無い。
2006-01-24 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/MainMenu.nib
		「お気に入りに追加」のショートカットを Cmd-Shift-A から Cmd-D に変更。
		Cmd-Shift-A を「AA スレッド」に転出させたため。
		また、「スレッド」メニューに「印を付ける」を追加し、サブメニューで「AA スレッド」「フラグ付き」「dat 落ち」とした。
		ショートカットはそれぞれ Cmd-Shift-A、Cmd-Shift-L、Cmd-Shift-U。
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/threaddata/CMRThreadUserStatusMask.h
	* application/source/threaddata/CMRThreadUserStatus.m
	* application/source/thread/CMRThreadAttributes.m
		スレッドの属性として、「フラグ付き」「dat 落ち」を設定できるようにした。
		- 現在、これらの属性は「スレッド」＞「印を付ける」サブメニューで設定／解除できるが、具体的にこれらの属性が
		　どう活用されるかについては今後しばらくかけて段階的に実装されていくだろう。当面は、「何に使うの？」状態かもしれない。
		- とりあえず、「dat 落ち」属性がついているスレッドの時は、スレッドを開いても更新しないようにした。
2006-01-22 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRThreadsList-listImport.m
		お気に入りから更新したスレッドについて、所属板のスレッド一覧に切り替えたときに最終更新日が正しく反映されないままになっていた
		問題を修正。
	* application/source/browser/CMRThreadsList-Filter.m
		フィルタリング時に ThreadHeadModifiedStatus のスレッドが漏れてしまう問題を修正。
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/Resources/Japanese.lproj/Browser.nib
	* application/source/browser/CMRBrowser-Validation.m
	* application/Resources/Japanese.lproj/ThreadViewer.strings
		一部メニュー項目の validation が不適切だったのを修正。また、掲示板リスト項目の編集シートにヘルプボタンを付けた。
2006-01-21 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/w2chFavoriteItemList.m
	* application/Resources/Japanese.lproj/CMRTaskDescription.strings
		お気に入りの更新チェックを実装開始した。
	* application/source/browser/BSFavoritesHEADCheckTask.m
		[新規追加] お気に入りの更新チェック（HEAD メソッド投げ）を行う、CMRThreadLayoutConcreateTask のサブクラス。
2006-01-20 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/general/GeneralPrefController.m
	* application/subproj/preference/Japanese.lproj/GeneralPreferences.nib
	* application/source/preferences/AppDefaults-ThreadViewer.m
		新着レスの位置までスクロールするかどうかは、「環境設定」＞「一般」から設定可能にした（デフォルト：オフ）。
	* application/source/thread/CMRThreadViewer.m
		（とりあえず）新着レスの位置までスクロールするようにした。
		- スクロールは、今までの「最後に読んだ位置までスクロール」（threadComposingCallback:）と、「新着レスの位置までスクロール」
		　（threadComposingDidFinished:）の二度実行される。これは一見無駄に思えるかもしれないが、新着レスが無かったり、オフラインモードで
		　スレッドを開いた際などと処理を共通化する上では楽なのだ。しかも体感速度的にはむしろ二度実行される方が小気味良い。
		- 新着レスが無い場合・オフラインモードの場合は今までどおり、「最後に読んだ位置までスクロール」される。
2006-01-18 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer.m
	* application/source/bbs/BSBoardInfoInspector.m
	* application/Resources/Japanese.lproj/BSBoardInfoInspector.nib
		「掲示板オプション」インスペクタから、その板のスレッドをデフォルトで AA スレッドにしておくかどうか選べるようにした。
		- AA 系の掲示板で役に立つ。
		- この設定は該当板ですでに取得済みのログに影響することは無い。また、このオプションが設定された後でも、もちろん自分で
		　各ログごとに「AA スレッド」の指定は切り替えられる。
	* application/Resources/image/BaScLogo.png
	* application/Resources/image/bathyicon192.png
	* application/source/window/AboutPanelController.h
	* application/source/window/AboutPanelController.m
	* application/Resources/Japanese.lproj/AboutPanel.nib
		[削除] 削除。
	* application/source/view/BSBoardListView.m
		選択列描画用の画像リソースをいちいち取得せず、インスタンス変数として保持するようにした。つまり、ごくわずかながら効率化を図ったつもり。
	* application/source/browser/BSTitleRulerView.m
		スレッドタイトルバー：ウインドウがアクティブでないときは淡色表示するようにした。
	* application/Resources/image/titleRulerBgNotActive.tiff
		[新規追加] スレッドタイトルバー：ウインドウがアクティブでないときは淡色表示するようにした。そのための追加リソース。
2006-01-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer.m
		AA スレッドを、開かないで「スレッドを更新」したあと、次にそのスレッドを開いても、取得されたレスが AA フォントで
		表示されない問題を修正。
2006-01-16 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/CMRAppDelegate.m
	* application/Resources/Japanese.lproj/MainMenu.nib
		About パネルのカスタムメイドを止め、単純に Mac OS X 標準の standardAboutPanel を使うようにした。
		また、そのかわりに「ヘルプ」＞「謝辞」を追加した（Safari のような）。
		- 今までの About パネル用各種ファイルはターゲットから外した。いずれリポジトリからも削除される。
	* application/Resources/Japanese.lproj/Acknowledgments.rtf
		[新規追加] 今まで About パネルに表示していた長文のほとんどをこのファイルに移した。「ヘルプ」＞「謝辞」と選んで
		このファイルを表示させる。
	* application/source/browser/CMRThreadsList-DataSource.m
	* application/source/browser/CMRThreadsUpdateListTask.m
	* application/source/browser/w2chFavoriteItemList.m
	* application/source/browser/CMRBrowser-Validation.m
		HEAD メソッドを投げて、「お気に入り」の各項目の更新チェックをするための実験を開始した。
		まだろくに仕様も決めていないが… HEAD では最終更新日の比較しかできないので、新着レスがあるかどうか、までしか
		わからないことに注意せよ（新着レスの個数までは調べられない）。
	* application/Resources/image/Status_HeadModified.png
		[新規追加] まだ使用されることは無い。
	* frameworks/CocoMonar/framework/src/CMRAppTypes.h
		enum ThreadStatus : ThreadHeadModifiedStatus を追加定義。まだ使用されることは無い。
2006-01-15 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/pane/PreferencesPane-PCManagement.m
		環境設定：各ペインの切り替え動作を滑らかになるよう改良。
		- ビューを入れ替えてからフレーム変更するのではなく、ビューを消して、フレーム変更して、新しいビューをセットするようにした。
	* application/subproj/preference/AdvancedPrefController.m
	* application/subproj/preference/Japanese.lproj/AdvancedPane.nib
		「環境設定」＞「詳細」ペインの改良：
		- プロキシ関連の項目は別シート（に追い出した）を呼び出して設定。プロキシ関連は今後どうなるのかなぁ…
		- プレビューインスペクタを使用するかどうかを選べるラジオボタンを追加。今までの Hidden Option による設定と互換性がある。
	* application/subproj/preference/general/GeneralPrefController-View.m
		[削除] GeneralPrefController.m に統合して削除。
	* application/subproj/preference/general/GeneralPrefController.m
	* application/subproj/preference/Japanese.lproj/GeneralPreferences.nib
		「環境設定」＞「一般」ペインの改良：
		- 「一覧の検索で無視する文字」設定項目を廃止。この設定は Hidden Options に格下げされる（「一般」ペインに鎮座するほど
		　よく使われていて、重要な設定項目だとは思えない。しかし今までは CocoMonar から何となく引っ張り続けていた）。
		- Mail 欄の表示設定をラジオボタンにして、不適切な設定の組み合わせができないように改良した。
		- ソースは Cocoa Bindings の利用にほとんど変更して、量を減らし、わかりやすくした。
	* application/subproj/previewer/BSIPIFullScreenController.m
		プレビューインスペクタ：フェード処理を見直した（タイミング、方向、時間など）。
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
		プレビューインスペクタ：イメージの dpi を無視して表示するようにした。
2006-01-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Browser.nib
		オブジェクトのレイアウトを見直し、掲示板リストの境界線（わずか1ピクセルだが！）をドラッグしても掲示板リストを
		リサイズできるようにした。また、境界線の見栄えをわずかながら向上させた。
	* application/source/view/CMRSplitView.m
		Split View の Splitter を自前で描くようにした。
	* application/Resources/image/browserSplitterVertical.tiff
	* application/Resources/image/browserSplitterDimpleVertical.tiff
		[新規追加] Split View の Splitter を自力で描くための画像リソース（垂直スプリッター用）。
	* application/Resources/image/browserSplitter.tiff
	* application/Resources/image/browserSplitterDimple.tiff
		[新規追加] Split View の Splitter も自力で描きましょう。画像リソース（水平スプリッター用）。
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/Japanese.lproj/BSImagePreviewInspector.nib
		プレビューインスペクタ（1.3 → 1.5）
		- 「フルスクリーンで表示」機能を付けた。ツールバーまたはアクションボタンから実行可能。
		- 様々なスペックの Mac によってパフォーマンスにどの程度差が出てくるかは、私にはよくわからない。
		　Quartz Extreme が有効になる程度のマシンならば不満は感じないと思うが。
		- 今のところ、画像のサイズに関わらず「プロポーショナルに、画面より小さい画像はそのまま（拡大されずに）、
		　画面より大きい画像は画面の大きさまで縮小されて表示される。任意のキーまたはマウスクリックで終了。
		- Cmd-Opt-Esc は効くが、Cmd-Tab 等は抑制している。See TN2062（日本語訳もあり）。
	* application/subproj/previewer/BSIPIFullScreenController.m
	* application/subproj/previewer/BSIPIFullScreenWindow.m
	* application/subproj/previewer/Japanese.lproj/BSIPIFullScreen.nib
	* application/subproj/previewer/FullScreen.tiff
		[新規追加] プレビューインスペクタ：フルスクリーン表示を実現するための各種ファイル。
	* application/source/manager/CMRMainMenuManager.m
	* application/source/CMRAppDelegate+Menu.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser-Action.m
	* application/Resources/Japanese.lproj/Browser.nib
	* application/Resources/Japanese.lproj/MainMenu.nib
		「表示」＞「一覧に表示するスレッド」を新設。ステータスフィルタリングボタンの代替。
		また、ステータスフィルタリングボタンを廃止した。
2006-01-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/Functions.m
		[削除] 未使用のままずっと存在していたのに今更気付いたので、削除した。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer-Action.m
		スレッドを削除する際に警告音を鳴らさないようにした。
	* application/subproj/preference/Japanese.lproj/Localizable.strings
	* application/subproj/preference/Japanese.lproj/AdvancedPane.nib
	* application/subproj/preference/AdvancedPrefController.m
		「詳細」＞「ログファイルの管理に使用するアプリケーション：」の設定インタフェースをポップアップボタンにした。
		また、「詳細」ペインのチェックボックスを Cocoa Binding で制御するように変更した。
	* application/subproj/preference/BSIconTextFieldCell.m
		[削除] 未使用になったので削除した。
	* application/subproj/previewer/BSIPIHistoryManager.m
		[新規追加] プレビューインスペクタ：キャッシュのリストを管理するクラス。
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
		プレビューインスペクタ（1.2 → 1.3）
		- 一度ダウンロード／表示したファイルは、再度ダウンロードせず、テンポラリフォルダに残っているダウンロード済みファイルを
		　そのまま表示するようにした。
		- ツールバーに「プレビュー で開く」ボタンを追加した。
2006-01-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/main.m
	* application/source/composer/CMRAttributedMessageComposer.m
		[Bug 7831] BathyScaphe をリセット後などに、スレッドを表示しようとするとクラッシュすることがある問題を修正。
2006-01-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMXTextParser.m
		微修正。ほんの少し効率化。
	* application/source/composer/CMRAttributedMessageComposer.m
		[Bug 7831] 怪しい所を修正して様子を見る。
================================================= 1.1.3(v132.1) / ReinForce / CVS Tag : v113_FINAL
2006-01-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/Japanese.lproj/BSImagePreviewInspector.nib
		プレビューインスペクタ：一部の UI パーツのレイアウトが不適切だった問題を修正。
================================================= 1.1.3(v132)
2006-01-07 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/Japanese.lproj/BSImagePreviewInspector.nib
	* application/subproj/previewer/Japanese.lproj/Localizable.strings
		プレビューインスペクタ（1.1.4 → 1.2）
		- ドラッグ＆ドロップをサポート。
		- ツールバーを採用して、「アクション」ボタン、「保存／中止」ボタンを移動。また、「環境設定」ボタンを新設。
		- プログレスインジケータをバースタイルに戻す。
		- 画像の縦・横ピクセル数を表示するようにした。
		- 画像が 404 などで、無関係なページにリダイレクトされてしまった際の処理を強化した。
	* application/subproj/previewer/BSIPIImageView.m
		[新規追加] プレビューインスペクタ：ドラッグ＆ドロップをサポートするための NSImageView のサブクラス。
	* application/subproj/previewer/BSIPIActionBtnTbItem.m
		[新規追加] プレビューインスペクタ：ツールバー上に置かれた「アクション」ボタンの validation を行うための
		NSToolbarItem のサブクラス。
	* application/subproj/previewer/BSImagePreviewInspector-Tb.m
		[新規追加] プレビューインスペクタ：ツールバー関連のコード。
	* application/subproj/previewer/Save.tiff
	* application/subproj/previewer/Settings.tiff
	* application/subproj/previewer/Gear.tiff
		[新規追加] プレビューインスペクタ：ツールバーのアイコン。
	* application/source/browser/CMRThreadsList-DataSource.m
		statusImageNameForStatus() と -statusImageWithStatus: を統合してわずかながら効率化した。
	* application/source/composer/CMRAttributedMessageComposer-Convert.m
		これまた効率化を図った。
	* application/source/util/JStringAdditions.h, JStringAdditions.m
		[削除] しばらく前から未使用になっていたが、リポジトリからも削除。
	* application/Resources/Japanese.lproj/Preview
		[削除] Bardiche に切り離されたので、リポジトリから削除。
	* application/source/bbs/CMRBBSAttributes.h, CMRBBSAttributes.m
		[削除] しばらく前から未使用になっていたが、リポジトリからも削除。
2006-01-06 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/board_default.plist
		最新のものに更新。
	* application/source/composer/CMXTextParser.m
		2ケタの数字で表記された年を正しく解析できない問題を修正。
		まち BBS やJBBSライブドアで、不要な半角スペースが DateRepresentation に混入する問題を修正。
		さらに、若干の動作効率化と見直し。ソースの整形。
2006-01-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Credits.rtf
		コピーライト表記等：「2005」を「2005-2006」に更新。
	* application/Resources/text/KeyValueTemplates.plist
		Thread - DateDescription のデフォルト値を若干変更。read.cgi の現行書式に合わせた。
	* application/source/browser/CMRFavoritesManager.m
		若干の効率化。
	* application/source/composer/CMRAttributedMessageComposer.m
		日付文字列のレンダリングには、DateRepresentation キーを（あれば）そのまま流し込むようにした。
	* application/source/composer/CMRThreadDictReader.m
	* application/source/composer/CMRThreadPlistComposer.m
		ミリ秒をログファイルに保存・読み込みできるようにした。MilliSec キーに分離して保存される。
		ミリ秒は1000倍されて、integer として保持される。詳細はメーリングリストで記した。
	* application/source/composer/CMXTextParser.m
		ミリ秒が記録された dat でも正しく解析できるようにした。また、アルゴリズムの見直し。
	* application/source/threaddata/CMRThreadMessage.m
		CMRThreadMessage クラス：
		なぜか ID と Host をセットで管理していたのを独立して管理するように変更。また、日付表記の単なる文字列としての
		表現を DateRepresentation キーとして保持するようにした。
		さらに、SGBaseObject ではなく NSObject のサブクラスに変更した（SGBaseObject の意味はほとんどなくなっている）。
	* frameworks/CocoMonar/framework/src/CMRPropertyKeys.m
		MilliSec キー、DateRepresentation キーを表す定数を追加定義。
================================================= 1.1.2 / InnocentStarter / CVS Tag : v112_FINAL
2005-12-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/board_default.plist
		最新の標準リストを内包。
	* application/Resources/Japanese.lproj/BathyScapheHelp/BathyScapheHelp idx
	* application/Resources/Japanese.lproj/BathyScapheHelp/BathyScapheHelp.helpindex
		ヘルプ：索引の更新。
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/setting_view.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/setting_general.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/setting_details.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/search_thread.html
	* application/Resources/Japanese.lproj/BathyScapheHelp/pgs/not_search_optional_id.html
		ヘルプ：1.1.1→1.1.2の修正を反映するための最小限の変更（ごくわずかなため、tsawada2 が直接行った）。
2005-12-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/AppDefaults-ThreadViewer.m
	* application/subproj/preference/AdvancedPrefController.m
	* application/subproj/preference/Japanese.lproj/AdvancedPane.nib
	* application/source/view/SGHTMLView.m
		長押しでの反応時間の設定は、KeyValueTemplates.plist から AppDefaults に移動した。同時に、環境設定の
		「詳細」ペインで設定できるようにした（デフォルト：0.5秒）。0秒から3.0秒までの範囲で設定できる。
		- 厳密にはこれは ID ポップアップだけでなく、数値文字列の選択→長押しで該当レス番ポップアップ、にも適用される
	* application/Resources/text/KeyValueTemplates.plist
		"Thread - MouseDownTrackingTime" 設定は、AppDefaults に移動して廃止した。エントリを削除。
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/preferences/AppDefaults-ThreadsList.m
	* application/subproj/preference/general/GeneralPrefController.m
	* application/subproj/preference/Japanese.lproj/GeneralPreferences.nib
		スリープを解除したとき、自動的にスレッド一覧を更新する設定を追加した。（デフォルトではオフ）
		- 環境設定では「一般」ペインにチェックボックスを新設。
		- オフラインモード時・「お気に入り」表示時、およびスレッド一覧が表示されていない時は無視される。
	* application/source/preferences/AppDefaults-FontColor.m
		フォント・カラー関連の設定について：カラーの変更は、直ちに反映させるように統一。
		- ホストの色がちゃんと変更されていなかった。
2005-12-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Validation.m
		掲示板リストで「お気に入り」が選択されている状態で、他の掲示板リスト項目に対してコンテキストメニューを表示させると、
		「編集...」「削除...」が（使用可能にも関わらず）使用不可になっていた問題を修正。
	* application/source/view/CMRThreadView.m
		レス番クリックのメニューで「レスをコピー」を選んでも、レスがコピーされないことがあった問題を修正（したつもり）。
		- 恐らく、非表示範囲のレスをポップアップで一時的に表示してコピーしようとした際に失敗していた。
2005-12-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/BSHistoryMenuManager.m
		メニュー項目のタグ番号の関係で、「履歴」＞「前へ戻る」「次へ進む」の validation がブラウザウインドウでコンフリクトして
		うまくいかないことがあった問題を修正。
	* application/Resources/text/KeyValueTemplates.plist
		よく考えたら長押しでの反応までの時間は KeyValueTemplates.plist の "Thread - MouseDownTrackingTime" で
		設定できるんだった。デフォルトの値を少し小さく（0.7→0.5秒に変更）した。
		また、「クリックで ID 抽出」したい場合は待ち時間を 0 にすれば良い。
		- ダブルクリックでよく ID 文字列を選択するとか、そういう場合は適度に待ち時間を設けないとイベントが横取りされてしまう。
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/source/thread/CMRThreadViewer-Validation.m
		「編集」＞「検索」サブメニューに「抽出」「ハイライト」を追加（「一覧検索」「すべて検索」の復帰）。
		また、「次を検索」「抽出」「ハイライト」メニュー項目は、ブラウザウインドウが2ペイン状態で最前面の時は選択不可能にした。
================================================= TestaRossa
2005-12-10 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* すべてのプロジェクトファイル（.xcodeproj）
		Universal Binary でビルドするためのビルド設定の変更。ターゲットの Mac OS X 10.3 以降の明記。
		また、G3 プロセッサのコンピュータで問題になる恐れがあるので、"-mtune=G4" をすべてのプロジェクトの
		ビルド設定から取り除いた（ご丁寧にすべてのプロジェクトで -mtune=G4 がくっついていた！）。
		ただし、Deployment スタイル以外では一部の設定が古いままかもしれないので注意。今後整理整頓する。
	* application/source/libRBSplitView.a
		Universal Binary のものに差し替えた。
	* application/source/manager/CMRHistoryManager.m
		メモリリークの恐れがある場所を一個潰した。
	* application/source/network/ThreadsListDownloader.m
		一部のメソッドを統合。
	* application/source/thread/CMRThreadViewer-Download.m
	* application/Resources/Japanese.lproj/ThreadViewer.strings
		メッセージを一部簡略化。
	* application/source/browser/CMRBrowser-Action.m
		削除：シートに対象となっているスレッドのタイトルを表示するようにした（表示されない時もある）。
		削除して再取得：不確実な方法は使わないようにした。
2005-12-09 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRThreadsList-Search.m
		メソッドを簡素化、統合。
	* application/source/browser/CMRThreadsList-listImport.m
	* application/source/browser/CMRThreadsList-Download.m
	* application/source/network/ThreadsListDownloader.m
		オンラインモードのとき、スレッド一覧の表示を更新するタイミングを二回から一回に減らした。
		- 以前：更新スタート→まずローカルの一覧を表示→ダウンロード→最新の一覧を表示
		　現在：更新スタート→最新の一覧を表示
	* たくさんのファイル
		CMRBBSSignature は、その目的や内容に対して比較的オーバースペックでコストがかさむため、単に掲示板の名前を NSString で
		やりとりすることをもって代替とすることを目指し、以前から少しずつ廃止と置き換えを進めている。今回さらに
		一部のクラスやメソッドで CMRBBSSignature を廃止した（まだ残っているけど）。
	* application/source/extensions/NSString+CarbonUtilities.m(.h)
	* application/source/extensions/UKDirectoryEnumerator.m(.h)
		[削除] リポジトリから削除
	* application/source/thread/CMRThreadViewer.m
	* application/source/browser/CMRThreadsList.m
	* application/source/preferences/AppDefaults.m
		現状ではバイナリ形式での保存による互換性の問題が（とくに CMLB/CMLF）懸念されるため、下に書いた実装をすべて中止した。
	* application/source/browser/CMRThreadsList-listImport.m
		UKDirectoryEnumerator の使用を停止した。効果が見られないため（Tiger 以降では、NSDirectoryEnumerator も
		高速化したらしい）。
	* application/source/thread/CMRThreadViewer.m
	* application/source/browser/CMRThreadsList.m
	* application/source/preferences/AppDefaults.m
		試験的に、ログ書類（.thread）及び ThreadsList.plist をバイナリ形式で保存する設定を追加した。
		それぞれ defaults write jp.tsawada2.BathyScaphe Use_Binary_Format_For_List -bool YES
		defaults write jp.tsawada2.BathyScaphe Use_Binary_Format_For_Doc -bool YES
		バイナリ形式に変換されることで以下のメリットがある：
		- ファイルサイズが小さくなる（760KBのログが430KB程度まで小さくなった例あり）
		- ファイルを開くまでの時間が短縮される
		以下のデメリット及び未確認の点を考慮の上、上級ユーザのみが試験目的でこの隠し設定を操作することが望ましい：
		- テキストエディタでは編集できなくなる（コマンドラインで変換するか、Property List Editor を使えば良いが）
		- Panther での互換性は一切検証していない。はっきりと書いた資料も見つからない。
		
		- 少なくとも Tiger では、NSArray/NSDictionary の arrayWithContentsOfFile:/dictionaryWithContentsOfFile:
		　メソッドで普通にバイナリ形式の plist を読み込み可能である。このため、BathyScaphe 本体や、Spotlight プラグインの動作には
		　何の支障もないようである。Panther は知らん。
2005-12-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Action.m
		削除して再取得：3ペイン時の再取得で、インデックスが NSNotFound のまま作業が進んでしまうことがある問題を修正。
	* application/source/thread/CMRThreadViewer-Find.m
	* application/source/thread/TextFinder.m
		ID ポップアップをチューニング。また、検索結果の表示方法を見直し。
		さらに、「次を検索」は、現在選択されているテキストの次の文字から検索を始めるが、何もテキストが選択されていないときは
		テキスト・ビューの「見えている」領域の先頭文字から検索を開始するようにした。同様に、「前を検索」は、現在選択されている
		テキストの直前までの範囲を後ろから検索するが、何もテキストが選択されていない時はテキスト・ビューの「見えている」領域の
		最後の文字までの範囲を後ろから検索するようにした。
2005-12-07 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Find.m
	* application/source/thread/CMRThreadViewer-Link.m
		ID 部分を長押しするとその ID で抽出を実行して、検索結果をその位置にポップアップするようにした。
		つまり… ID ポップアップを実装した。
		- なぜ「長押し」か？→数字を選択して長押しするとそのレス番号のレスがポップアップする動作との類似性。
		- 今後、コンテキストメニューにも「抽出」項目を追加する予定。
		- なお、右クリックでの直接ポップアップは、やらない予定。
2005-12-04 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* frameworks/SGFoundation/framework/source/classes/files/SGFileRef.m
		[Bug 7520] (again) シンボリックリンクが相対パスで記述されている場合に正しく元のパスを取得できない
		問題を修正（masakih 師による）。
	* frameworks/SGNetwork/src/message/SGHTTPRequest.m
		メモリリークを一個潰した。
	* application/source/composer/CMRAttributedMessageComposer.m
	* application/source/composer/CMRMessageAttributesStyling.m
		ID 文字列（Attributed String）に attribute として ID 文字列の内容それ自身を仕込むようにした。
		また、空白文字の結合方法を少し見直した（autorelease のかわりに自分で release するようにした）。
		意味はあるのかどうか。
	* application/source/browser/CMRFavoritesManager.m
		_favoritesItemsIndex を作るときに自前の Autoreleasepool の中で作業するようにしてみたけど、
		安定性向上に効果があるかどうか。
================================================= LittleWish
2005-12-03 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/font_color/FCController.m
	* application/subproj/preference/Japanese.lproj/FontsAndColors.nib
		検索結果のハイライト色の設定（一時消えていた）を、「環境設定」＞「表示」＞「その他」に復活。
		- 正直、うまく配置できる場所がなかなか見つからなかった。
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/Resources/Japanese.lproj/ThreadViewer.strings
		「全角／半角を区別」「大文字／小文字を区別」は、それぞれ「〜を無視」に表記を変更。
		- Mac OS X 10.4 の標準に合わせる
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/Resources/Japanese.lproj/TextFind.nib
		検索パネルのインタフェースを刷新。
		「一覧検索」を「抽出」に改称。また、「すべてを検索」を「ハイライト」に改称。
		メニューバーから「一覧検索」と「先頭から検索」をいったん削除した（インタフェースを整理するため）。
	* application/source/thread/CMRThreadViewer-Find.m
	* application/source/thread/TextFinder.m
		検索関連を整理。全角／半角を無視して本文を検索する機能を廃止。
		また、「選択部分を検索」を実行したとき、検索パネルが表示されない問題を解決。
		- 注意：スレッド一覧については、全角／半角を無視した検索が引き続き可能である。
	* application/source/thread/TextFinder-ViewAccessor.m
	* application/source/thread/TextFinder_p.h
		[削除] TextFinder.m/TextFinder.h に統合して削除。
2005-12-02 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/CMRHostHandler.m
	* application/source/thread/CMRThreadAttributes-Convert.m
	* application/source/thread/CMRThreadViewer-Action.m
		「ブラウザで開く」機能の実装方法の見直し。
		これによって、まちBBSのスレッドを「ブラウザで開く」とき、「最新 50 レス」指定が有効になるようになった。
		- 以前は最新50レスを選択していても、まちBBSについてはすべてのレスをWeb ブラウザに表示していた。
		- 最初の100レス 指定は、まち BBS 側が対応していないようなので相変わらず無視される。
	* frameworks/CocoMonar/framework/src/CMRAppTypes.h
		いくつかの列挙型定義を Framework に移した。
	* application/source/manager/CMRKeychainManager.m
		●アカウントパスワードのキーチェーンへの保存方法を、より適切な方法に変更。
		重要：この変更のため、パスワードをもう一度キーチェーンに登録し直す必要がある。また、古いキーチェーン項目は
		自動的に削除されないので、気になる場合は各自「キーチェーンアクセス」から削除する。
	* application/source/window/CMRReplyMessenger.m
	* application/source/window/CMRReplyController.m
	* application/source/window/CMRReplyMessenger-Connector.m
	* application/source/bbs/BoardManager-BSAddition.m
		Be ログイン設定の切り替え制御を一元化（内部構造上の）。
2005-12-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BSBoardInfoInspector.m
	* application/source/bbs/BoardManager-BSAddition.m
	* application/Resources/Japanese.lproj/BSBoardInfoInspector.nib
		「掲示板オプション」インスペクタの改良
		- 掲示板アイコンの表示方法を将来の拡張をにらんで変更
		- Be ログインチェックボックスは、Be ログイン必須の板および2ch以外の掲示板では使用不可になるようにした。
	* application/source/window/CMRReplyController.m
		書き込みウインドウのツールバーの「Be ログイン」ボタンの validate 方法を改良。
		根幹の判定は BoardManager が一括して取り扱うようにし、ReplyController から BoardManager に問い合わせる形にした。 
	* frameworks/CocoMonar/framework/src/CMRHostTypes.m
		ユーティリティメソッドを追加した。
	* application/source/thread/CMRThreadLayout-MessageRange.m
		迷惑レスとして透明あぼーんされているレスへのアンカーに対するマウスオーバーで、その迷惑レスの内容が表示されてしまう
		問題を修正。
2005-11-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRThreadsList-Remove.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer-Action.m
		削除して再取得する時は、.cmreply ファイルは削除しないようにした。
2005-11-26 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRThreadsList-Filter.m
		スレッド一覧の検索で、「全角／半角を区別」しないときは、Unicode 正規化 KC を施して検索するようにした。
		JstringAddtions.h に頼る必要がなくなった。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer-Action.m
		- オフラインモードのときは「削除して再取得」を表示しないようにした。
		- スレッド一覧で、2ペイン状態の場合は「削除して再取得」を表示しないようにした（別ウインドウで開いてから、そこで
		　「削除して再取得」してください）。- どうしてもうまく再取得が動作しないため
	* application/Resources/Japanese.lproj/Localizable.strings
		起動不能時のエラーメッセージを追加。
	* application/source/main.m
		一部をコメントアウトして様子見。たぶん大丈夫。
	* frameworks/CocoMonar/framework/src/CMRFileManager.m
		サポートフォルダへの SGFileRef が nil だった場合は、例外を捕まえてアラートを表示、その後 BathyScaphe を
		終了するようにした（localized string は BathyScaphe 本体の Localizable.strings を参照する）。
		これによって [Bug 7520] は解決（シンボリックリンクの解決処理自体が問題なのではない。「正しく」作られたシンボリックリンクなら、
		ちゃんと追跡して参照を解決できる。念のため）。
	* application/subproj/previewer/BSImagePreviewInspector.m
		MIME タイプが image/ で始まらなくても表示を試みるようにした（どうせ validateLink で NSImageView が
		対応できる拡張子に制限しているので）。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/thread/CMRThreadViewer-Download.m
	* application/source/browser/CMRThreadsList-Download.m
	* application/source/browser/CMRThreadsList-Notification.m
	* application/source/browser/CMRThreadsUpdateListTask.m
		スレッドの削除と再取得に関連する部分を色々と書き換え。
		- 以前のバージョンでは、潜在的なものも含めて多数のバグ、ないしは危うい動作があった。
		- とりあえず一通り動作するように書き直したつもりだが、もうしばらく検証を続ける。
2005-11-24 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadLayout.m
	* application/source/thread/CMRThreadViewer-MoveAction.m
	* application/source/thread/CMRThreadViewer.m
		オンザフライボタンをクリックするとクラッシュする問題、および時々ポップアップが反応しないことがある問題の解決策を
		さらに修正（微小スクロールの方法は止めた）。
		- NSWindow の invalidateCursorRectsForView: を clipView に対して呼んでやることでうまくいくようだ。
	* application/source/thread/CMRThreadViewer.m
		2005-11-23 の変更で、書き込み完了後のスクロールがちょっと変な挙動になってしまっていたので修正。
2005-11-23 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/w2chFavoriteItemList.m
	* application/source/browser/CMRThreadsList-listImport.m
	* application/source/browser/CMRThreadsList-Notification.m
		CMRThreadsList（スーパークラス）と w2chFavoriteItemList（サブクラス）の間の無駄なソースの重複記述を
		無くすようにソースの書き方を改めた。あちこちに似たような内容が書き散らされ、メンテナンス性が低下していた
		（昔の自分がやったことなのだが）。
	* application/source/thread/CMRThreadViewer-MoveAction.m
	* application/source/thread/CMRThreadViewer.m
	* application/source/composer/CMRMessageAttributesTemplate.m
		オンザフライボタンをクリックするとクラッシュする問題の解決方法を変更し、CocoMonar と同じ方法にした。
		微少スクロール（0.01point なので、目には見えない）を強制的に行って、スクロールビューを更新する。
		これによって、ポップアップが表示領域をスクロールするまで反応しないことがある問題も解決。
	* application/source/browser/CMRFavoritesManager.m
		CMRFavoritesManager のコードを以前と似た形に戻す。
2005-11-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Link.m
		1.1.2 から、 KeyValueTemplates.plist の "Thread - LaunchExternalProgramOnPreviewLink" は
		廃止し、html+JavaScript による簡易プレビューと、外部プログラムに渡す機能は廃止（かわりに、そういう機能を
		持った ImagePreviewer.plugin をオプションで提供して、使ってもらう -- html プレビューのプラグインは BathyScaphe
		プロジェクトとして正式にリリースするが、外部プログラムに渡す方は、サードパーティ依存にするかもしれません）。
		で、それを見込んで BathyScaphe に組み込まれていたそれらの機能を廃止。現在、"Thread - LaunchExternalProgramOnPreviewLink"
		は参照されず、常にプレビューにはプレビューインスペクタが使用される。このことについてバグ報告などはしないこと。
	* application/source/composer/CMXTextParser.m
		[Bug 6142] 削除依頼フォームからの投稿で、アンカータグがそのまま表示されてしまう不具合を解決。
	* application/source/composer/CMRAttributedMessageComposer-Convert.m
	* application/Resources/Japanese.lproj/Localizable.strings
		本文に書き込まれた <ul> という文字が表示されず、かわりにその位置が改行される問題を解決。
		- 削除依頼フォームからの投稿では <ul> </ul> を削除する必要があるのだが、その他の投稿でも区別なく削除
		　されていたのが原因。しかし、Composer は現在「どの板を」レンダリングしているのかは知るすべがないので、
		　とりあえず削除依頼フォームからの投稿に特有な文字列「削除対象アドレス： <ul>」を見つけた場合のみ
		　<ul> </ul> を削除するようにした。
		- 同時に、処理簡略化のため削除依頼フォームからの投稿で <ul> </ul> で囲まれた部分をインデントするのを
		　廃止し、かわりに（フォームからの投稿を装った直接投稿と区別できるように）フォームからの投稿と思われる
		　場合は「削除対象アドレス：」の文字を赤く表示するようにした。
	* application/Resources/Japanese.lproj/Credits.rtf
	* application/source/browser/CMRThreadsList-listImport.m
		UKDirectryEnumerator 導入に伴う変更
	* application/source/extensions/NSString+CarbonUtilities.m
	* application/source/extensions/UKDirectoryEnumerator.m
		http://www.zathras.de の UKDirectoryEnumerator を試験導入中。
		BathyScaphe では使いどころがそもそも少ないのと、この部分の高速化を行っても他の部分が足を引っ張って
		全体としてはほとんど差が出ないようで、そのうち採用を中止する可能性もある。
		- 同じサイトの UKKQueue もそのうち使ってみようかな、と思っている。
================================================= 1.1 / SecondFlight / CVS Tag : v111_FINAL
2005-11-10 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-BLEditor.m
		掲示板リストで複数項目を一度に削除しようとすると、予期しない項目が誤って削除されることがあった
		問題を修正。
================================================= CVS Tag : v110_FINAL
2005-11-09 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/BathyScapheHelp/
		新しいヘルプを CVS リポジトリにコミット。多くの方に感謝。
		なお、いくつか手を加えた：
		- 環境設定パネルやその他の場所から、ヘルプボタンをクリックして該当ページに一本釣りでアクセスするために、
		　一部のページに専用のアンカータグを仕込んだ。
		- 目次ページなどに、<meta name="ROBOTS" content="NOINDEX"> を追加した。
		- index.html のレイアウト（正確には、上マージン）を他のアプリケーションのヘルプに揃えて若干調整した。
	* application/subproj/preference/abstract/PreferencesController.m
		環境設定パネルからのヘルプの呼び出し方法を改良。
	* application/source/thread/CMRThreadLayout.m
		まれに AAスレッドに指定／指定解除した際、スレッドの内容が白抜けしてしまう問題を修正（したつもり）。
2005-11-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/CMRExports.h
	* application/source/main.m
	* application/source/CMRAppDelegate.m
		「BathyScaphe をリセット」アラートにヘルプボタンを付けた。
	* application/source/preferences/AppDefaults-Account.m
		「アカウント」環境設定で「変更を適用」をクリックしても、メールアドレスが正しく変更されないことがある問題を修正
		（355@8th）
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/w2chFavoriteItemList.m
	* application/source/browser/CMRThreadsList-Remove.m
	* application/source/thread/CMRThreadViewer-Action.m
		「お気に入り」からログを削除すると、そのスレッドを「お気に入り」から削除するように仕様を再び変更した。
		また、このへんの処理を見直し。さらに NSIndexSet を使用するように変更。
2005-11-04 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRFavoritesManager_p.h
		[削除] CMRFavoritesManager.h に統合して削除。
	* application/source/browser/CMRThreadsList-DataSource.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/browser/CMRThreadsListReadFileTask.m
		CMRFavoritesManager の仕様変更に伴い内部の処理を一部変更。
		また、CocoMonar 1.0.9.6 以前の古いお気に入りをコンバートする機能を廃止した。
	* application/source/browser/CMRFavoritesManager.m
		CMRFavoritesManager の内部コードを刷新。
		- 少し速度が犠牲になったが、信頼性は増したはず。
2005-11-03 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRFavoritesManager.m
		まれにクラッシュする可能性があった箇所を修正（したつもり）。
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/Japanese.lproj/BSImagePreviewInspector.nib
		プレビューインスペクタ
		- スライダの最小値を 0.1 にすることで、透明度を 0.1 未満に設定できないようにした（スライダの左端が 0.1）
		- 「キーウインドウのときは半透明にしない」設定を追加した
	* application/source/preferences/AppDefaults-ThreadViewer.m
		リンクの「クリック」と「option-クリック」での挙動を逆転する設定を追加。
		defaults write jp.tsawada2.BathyScaphe invertPreviewerLinks -bool YES(NO)
		- YES：クリックでプレビューを試み、option-クリックで常に Web ブラウザにスルーパス
		- NO：クリックで Web ブラウザにスルーパス、option-クリックでプレビューを試みる
		- デフォルト：YES
	* application/source/thread/CMRThreadViewer-Link.m
		リンクをクリックしたときの振る舞いを一部変更。
		上記「invertPreviewerLinks」の設定によって、option-クリックと通常のクリックの動作を
		逆転できる。また、ImagePreviewer.plugin に渡す場合でも、プラグインの validateLink: に
		一度リンクを渡して、YES が返った場合のみプラグインで表示させるようにした（NO が返った場合は
		Web ブラウザで開く）。
		- 正確には、プラグインと言うか、KeyValueTemplates.plist の "Thread - LaunchExternalProgramOnPreviewLink"
		で設定された動作を行う。
=================================================
2005-11-02 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/w2chFavoriteItemList.m
	* application/source/browser/CMRFavoritesManager.m
		お気に入り項目を「ログだけ削除」した後、所属板のスレッド一覧に正しく反映されなかったり、
		再び「お気に入り」を表示するとステータスが不正確に表示される問題を修正。
	* application/source/browser/CMRBrowser-Action.m
		3ペイン時に、特定の状況でスレッドが削除できないことがあった問題を修正。
	* application/subproj/previewer/BSImagePreviewInspector.m
		プレビューインスペクタ
		- 「常にキーウインドウとして開く」ように省略時設定を変更。
		- インスペクタの透明度を設定可能にした
		- 「アクション」プルダウンメニューの validation をボタン丸ごとではなく、各メニュー項目単位で
		　行うようにした
		- プログレスインジケータが回り始めるタイミングを調整
2005-10-31 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRFavoritesManager.m
		dat 落ちしているスレッドをお気に入りから「ログを削除」した後、お気に入りへの登録を削除できなくなる
		問題を修正（92,102@8th）。
	* application/Resources/Japanese.lproj/Browser.nib
		[Bug 7407]「カテゴリの追加」「掲示板の編集」シートが、Escape キーで閉じられなかった問題を解決。
2005-10-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/BWAgent/rosetta.pl
		nmatz さんの rosetta.pl パッチを適用。
	* application/Resources/image/lastUpdatedHeader.png
		リニューアル。
	* application/Resources/image/beDisabled.png
		上下1ピクセルのズレがないバージョンに差し替え。
	* application/subproj/previewer/BSImagePreviewInspector.m
		キーウインドウにするかどうかの設定が再起動まで反映されなかった問題を修正。
================================================= Senecio
2005-10-29 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/previewer/Japanese.lproj/BSImagePreviewInspector.nib
	* application/subproj/previewer/BSImagePreviewInspector.m
		プレビューインスペクタ
		- 読み込みをキャンセルできるように
		- 保存先を指定できるように
		- 常にキーウインドウにするかどうか選択できるように
		- プレビュー.app で開く機能、URL をコピーする機能を追加
		ほとんど書き直した。
	* application/subproj/previewer/TemporaryFolder.m
	* application/subproj/previewer/Japanese.lproj/Localizable.strings
		[新規追加] プレビューインスペクタに使用する。TemporaryFolder クラスは、MosaicPreview のソースを利用させてもらった。
	* application/subproj/BWAgent/BoardWarrior.applescript
	* application/subproj/BWAgent/Japanese.lproj/MainMenu.nib
	* application/subproj/BWAgent/Japanese.lproj/Localizable.strings
		BWAgent 1.1.8
		- 「標準リスト」「ユーザ定義リスト」という単語を表に出さないように変更。
		- また、「掲示板リストのアップデート」を「掲示板リストの同期」という表現に変更。
		- さらに、デフォルトの参照元 URL を azlucky にした。
	* application/Resources/Japanese.lproj/board_default.plist
		[新規追加] board_default.plist が見つからない場合、このファイルがコピーされる。
		- menu.2ch.net ではなく、azlucky ベースで作成したものを収録してある。こちらの方がまち BBS 中国の
		　名前重複問題が回避されるし、都合が良い。
	* application/source/bbs/BoardManager.m
		board_default.plist が ~/Library/App Spt/BathyScaphe/Documents/ に見つからないときは、
		自動的にアプリケーション内部からコピーするように変更。
	* application/source/view/CMRStatusLine.m
		デフォルトでステータスバーは表示しないように変更（以前変更したつもりだったが、実際には変更されていなかった）。
	* frameworks/SGAppKit/framework/src/extensions/menu/NSMenu-SGExtensions.m
	* frameworks/SGAppKit/SGAppKit.xcodeproj
		下記変更に伴う修正と、ビルドオプションの -O2 から -Os への変更。
	* application/source/extensions/NSMenu+CMXAdditions.(h|m)
		[削除] BathyScaphe では元々使われていなかったが、念のため中身を SGAppKit の
		NSMenu-SGExtension.h に統合した上で、リポジトリから削除。
2005-10-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* metadataimporter/BathyScaphe/GetMetadataForFile.m
		Spotlight プラグインは、本文の内容および名前欄も検索対象にするよう変更。
		- 迷惑レス・透明あぼーんレス・掲示板側であぼーんされたレス は対象外（ローカルあぼーんのものは収集される）。
		- 名前欄については、重複する名前を除いて kMDItemContributors として収集される（Finder の検索では
		　「作成協力者」というキー）。
		- <a href="...">と</a>も除去するようにした（参考：CocoMonar の MDI）。
2005-10-26 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/rsrc/Reply.tiff
		[削除]ビルド時には application/Resources/image/ResToThread.png をコピーするようにし、このファイルは削除。
	* application/Resources/Japanese.lproj/BSBoardInfoInspector.nib
		レイアウトを若干改良。
	* application/Resources/image/
		ほとんどのツールバーアイコンファイルを新しいものに置き換え。
		また、ほとんどのファイルでフォーマットが png に統一された。このため、以前の tiff ファイルが
		レポジトリから削除→ png ファイルがリポジトリに追加、という形になっているので注意。
2005-10-24 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BSBoardInfoInspector.m
		「掲示板オプション」インスペクタで、名前またはメール欄に設定した文字列を削除して空にすると
		インスペクタが固まってしまう問題を修正。
2005-10-23 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/BSTitleRulerView.m
	* application/Resources/Japanese.lproj/Localizable.strings
		スレッドタイトルバーで、スレタイや板名が取得できないときの表示を改善。
	* application/source/bbs/BSBoardInfoInspector.m
	* application/source/browser/AddBoardSheetController.m
	* application/subproj/preference/abstract/PreferencesController.m
		ヘルプの呼び出し方法を改善。
	* frameworks/SGFoundation/framework/source/extensions/runtime/NSBundle-SGExtensions.m
		ローカライズされた CFBundleHelpBookName を簡単に取得できるようメソッドを追加した。
	* application/source/view/CMRThreadView.m
		サービスメニュー経由でスレッドの内容を他のアプリケーションに渡すときにクラッシュすることがある
		問題を修正（参考：CocoMonar 24(25)th thread の 341）。
		- 今後も研究を続ける必要がある。
	* application/source/view/CMRStatusLine-ViewAccessor.m
	* application/source/view/CMRStatusLine_p.h
		[削除] CMRStatusLine.m, CMRStatusLine.h に統合して削除。
	* application/source/view/CMRStatusLine.m
		不要になったメソッド類を削除し、整理。
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/Resources/Japanese.lproj/Browser.nib
		アクションボタンのコンテクストメニュー項目の validation を改良。
2005-10-22 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/CMRTrashbox_p.h
		[削除] CMRTrashBox.h に統合して削除。
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/manager/CMRTrashbox.m
	* application/source/browser/w2chFavoriteItemList.m
		削除ダイアログに、「削除して再取得」ボタンを追加した。
		また、お気に入りの項目に対して「ログを削除」しても、お気に入りへの登録自体は削除しないようにした。
		- このボタンのショートカットキーは「r」（delete and "R"eload、モディファイア・キーは無し）。
		- ちなみに、すべて NSAlert を用いて書き直した。
		- ただし、スレッド一覧で複数項目が選択されているときは、「削除して再取得」ボタンを表示しない。
		　複数項目を一度に「削除して再取得」することに技術的懸念が残るため（倫理的懸念ではない）。
	* application/source/main.m
		「BathyScaphe をリセット」ダイアログのボタンの並びを Safari と統一した。
		NSAlert を用いて書き直した。
	* application/source/preferences/AppDefaults.h
	* application/source/preferences/AppDefaults-Bundle.m
		sharedImagePreviewer が BSImagePreviewerProtocol に適合していることを明示し、
		これによってビルド時の警告を抑制。
		また、ImagePreviewer.plugin が ~/Library/Application Support/BathyScaphe/PlugIns/ に
		置かれていたら、それを優先して読み込むようにした（PlugIns は大文字と小文字が区別される）。
 	* application/BathyScaphe.xcodeproj
		preferencesPane, 2chConnector のビルド設定を若干調整。また、バンドルに identifier を与えた。
	* application/source/window/CMRReplyControllerTbDelegate.m
	* application/source/window/CMRReplyController.m
		「Be ログイン中／ログアウト中」ボタンについて、ログイン中のときはツールバーボタンそのものを選択状態に
		するようにした（環境設定のツールバーのように）。→のちに中止した。
2005-10-20 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Delegate.m
		command キーを押しながら掲示板リストの項目をクリックした際は、複数の項目を選択しようとしている
		可能性が高い。よって、この場合はスレッド一覧の表示処理をしないようにした。
		- でも、これはいらなかったかもしれない（気を回し過ぎな感じがする）。
	* application/Resources/Japanese.lproj/ThreadViewer.strings
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/Resources/Japanese.lproj/Browser.nib
	* application/source/browser/CMRBrowser-Validation.m
	* application/source/browser/CMRBrowser-BLEditor.m
	* application/source/view/BSBoardListView.m
		掲示板リストで複数項目を選択できるように各種改良。
		- 複数項目を選択時、ハイライト描画がきちんと行われるように。
		- 複数項目を選択時、「編集...」は使えないが「削除...」は使える。
		- 複数項目の削除処理。
	* application/source/composer/CMXTextParser.m
		パーサの処理を一部簡素化（問題がないか様子見中）。
2005-10-16 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/popup/CMXPopUpWindowController.m
		ポップアップ・ロック機能が、多ボタンマウスのホイールクリックでも動作するようにした。
		- マウスによってはホイールクリックではないかもしれない。要するに NSResponder で言う所の
		　otherMouseDown: を捕まえている。
		- L キーを押す場合と違い、いちいちポップアップをキーウインドウにしなくても直接ホイールクリックで
		　受け付けてくれる。
================================================= Lemonade
2005-10-15 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/SGHTMLView.m
	* application/source/thread/CMRThreadViewer-Link.m
	* application/source/preferences/AppDefaults-Bundle.m
		ImagePreviewer プラグインのロード時のチェックをある程度きちんと行うようにした。
	* application/subproj/previewer/BSImagePreviewInspector.m
		BathyScaphe 本体に極力依存しないように修正。
	* application/subproj/previewer/BSImagePreviewerInterface.h
		[新規追加] ImagePreviewer プラグインが実装しなければいけないプロトコルを定義した
		ヘッダファイル。サードパーティの開発者が独自の ImagePreviewer プラグインを開発する際は必須。
2005-10-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Info-previewer.plist
		[新規追加] ImagePreviewer.plugin の Info.plist　のひな形。
	* application/BathyScaphe.xcodeproj
		新しいターゲット「previewer」を追加。また、BathyScaphe ビルド時に ImagePreviewer.plugin を
		コピーするようにした。また、BathyScaphe のビルドフェーズに previewer を含めた。
	* application/subproj/previewer/BSImagePreviewInspector.m
	* application/subproj/previewer/Japanese.lproj/BSImagePreviewInspector.nib
		[新規追加] BSImagePreviewInspector をプラグイン化したため、各ファイルの位置を変更。
		- CVS上では、新しい位置にファイルを追加した扱い。
	* application/source/manager/BSImagePreviewInspector.m
	* application/Resources/Japanese.lproj/BSImagePreviewInspector.nib
		[削除] BSImagePreviewInspector はプラグイン化したため、各ファイルの位置を変更。
		- CVS上では、古い位置のファイルを削除した扱い。
	* application/Resources/Japanese.lproj/Browser.nib
	* application/source/browser/CMRBrowser-BLEditor.m
	* application/source/browser/CMRBrowser-Validation.m
	* application/Resources/Japanese.lproj/Browser.nib
		特定の状況で、使えるはずのメニュー項目が一部淡色表示されることがあった問題を修正。
2005-10-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/BSBoardListView.m
	* application/source/browser/CMRBrowser-BLEditor.m
	* application/source/browser/CMRBrowser-Validation.m
		掲示板リストのコンテキストメニューを改良。
		これまでは、現在選択されて「いない」項目を control-クリックしたときに、その項目が自動的に
		選択されていたが、これを止め、かわりに「半選択」とも言おうか、実際には選択状態にならないが、
		しかしコンテキストメニューの操作対象にはなる、という動作に改めた。
		- Finder のカラム表示で、選択して「いない」項目を control-クリックしたときのような挙動。
		- この改良は、とくにコンテキストメニューから掲示板を削除する際に効果的である。
	* application/source/browser/AddBoardSheetController.m
	* application/Resources/Japanese.lproj/ThreadsList.strings
	* application/Resources/Japanese.lproj/ThreadViewer.strings
	* application/Resources/Japanese.lproj/AddBoardSheet.nib
		「掲示板を追加」シートをさらに作り込んだ。
		- 検索フィールドが簡易的ながら動作するようになった。
		- エラーメッセージのローカライズ。
		- 一通り動作するようになった。
2005-10-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/BathyScaphe.xcodeproj
		ビルド時に BoardListEditor.plugin をコピーしないようにした。
		また、ターゲット "BathyScaphe" のビルドフェーズに BoardListEditor のビルドは
		含めないようにした。
	* application/source/browser/CMRBrowser.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/Resources/Japanese.lproj/Browser.nib
		下記変更に伴う修正。
	* application/source/browser/AddBoardSheetController.m
	* application/Resources/Japanese.lproj/AddBoardSheet.nib
		[新規追加] 「掲示板を追加」シートの部品を Browser.nib から別の nib ファイルに独立させ、
		コントローラも独立させた。まだごく初期の実装段階で、とりあえず CVS にぶち込んだだけ。
		まともに動かない。「キャンセル」ボタンでシートを閉じることだけはできるけども。
2005-10-11 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Browser.nib
	* application/Resources/Japanese.lproj/MainMenu.nib
		インタフェースを改造中。
		- 現在、「掲示板リストの編集」パネルにアクセスできない状態になっているので、注意。
		　また、「掲示板の追加...」パネルも製作途中なので、一部動作しない。注意。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		一部のメソッド群を CMRBrowser-BLEditor.m に移動した。
	* application/source/browser/CMRBrowser-BLEditor.m
		[新規追加] CMRBrowser-Action.m, CMRBrowser-ViewAccessor.m から掲示板リストの編集関連の
		メソッド群を分割。メンテナンス性向上のため。
	* application/source/preferences/AppDefaults-FontColor.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
		リンクの下線の有無の切り替えがすぐに反映されなかった問題を修正。
		- 注意：ThreadViewer については直したが、ポップアップに関しては、すぐに反映されないことがある。
	* application/source/view/BSSegmentedControlTbItem.m
		ローカライズ文字列が正しく取得できていなかったのを修正。
	* application/subproj/preference/font_color/FCController-ViewAccessor.m
	* application/subproj/preference/font_color/FCController.m
	* application/subproj/preference/filter/CMRFilterPrefController.m
	* application/subproj/preference/Japanese.lproj/FontsAndColors.nib
	* application/subproj/preference/Japanese.lproj/FilterPreferences.nib
		「表示」環境設定の「迷惑レス」カラーウェルは、「フィルタ」ペインに移動した。
		また、「表示」環境設定の「テキストの強調色」カラーウェルは、検索パネルに移動予定（いまはいったん消えている）。
		- 正直、「表示」ペインのスペース不足のため。
	* application/source/browser/CMRPullDownIconBtn.m
		Action.tiff, Action_Pressed.tiff は、今までなんとなく ~/Library/App Spt/BathyScaphe/Resources に
		画像ファイルを入れてカスタマイズ可能だったが、掲示板リスト下部でこのボタンだけカスタマイズできても無意味なので
		カスタマイズ不能にした（imageAppNamed: を止めて imageNamed: にした）。
	* application/Resources/image/AddBoard.tiff
	* application/Resources/image/AddBoard_Pressed.tiff
		[新規追加] 掲示板リストの下部に追加した「＋」ボタンの画像。
	* application/Resources/Japanese.lproj/Browser.nib
		今後の機能強化を睨み、掲示板リストの下部に「＋」ボタンを追加した。
	* application/source/view/SGLinkCommand.m
	* application/source/view/SGHTMLView.m
	* application/Resources/Japanese.lproj/HTMLView.strings
		リンクの末尾が「.png」「.jpg」「.gif」（.も含む）で終わっているとき、コンテキストメニューに「リンクをプレビュー」
		を追加するようにした。
		- 現状、例えば「.jpg.html」とかだと開けないので、勘弁な。option+クリックはこのチェックを行わないので、
		　どんなリンクでも強制的にイメージインスペクタに渡します。でもたぶんバインディングしてくれない。
	* application/source/main.m
		「BathyScaphe をリセット」する際、~/Library/Caches/BathyScaphe/ の中身も掃除するようにした。
2005-10-10 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/BSImagePreviewInspector.m
	* application/Resources/Japanese.lproj/BSImagePreviewInspector.nib
		画像を保存できるようにした。また、インスペクタを閉じたときの処理を見直した。
	* application/source/thread/CMRThreadViewer-Link.m
	* application/Resources/text/KeyValueTemplates.plist
		プレビューインスペクタの追加に伴い、暫定的に "Thread - LaunchExternalProgramOnPreviewLink" の扱いを
		変更：
		0 - 内蔵の html にリンクを埋め込んで開く（今までと同じ・今までのデフォルト）
		1 - 外部プログラムにリンクを渡し、起動する（今までと同じ）
		2 - 内蔵のプレビューインスペクタでリンクを表示する（新規追加・暫定的にこれをデフォルトに変更）
		- イメージインスペクタの呼び出しインタフェース、今までのプレビュー機能との兼ね合い等はまだ確定していない。
		　現在の動作は暫定的なものである。
	* application/source/manager/BSImagePreviewInspector.m
	* application/Resources/Japanese.lproj/BSImagePreviewInspector.nib
		[新規追加] 画像プレビュー用のフローティングパネル「イメージインスペクタ」を導入。
		- 暫定的に option-クリックで呼び出す（上記参照）。
		- まだ生まれたてなので、リンクが画像かどうかはユーザ自身が判別してください。画像以外のリンクでも、何も表示されない
		　だけで、クラッシュする訳ではないが。
		- インスペクタなので今のところ同時に複数のプレビューを表示することは出来ない。別のリンクをクリックすると
		　そのリンクの内容に入れ替わる。
		- 画像の保存機能等はまだ実装されていない。ただ、見るだけ。
		- 今のところ、読み込みに時間がかかっても中止する手段がない。根気よく待つ（404 や 503 のときは、何も表示されない
		　が、いつまでも虹色ということはない）。
		- アニメーション GIF にも対応してみた。ただし、アニメーションは止まらない。
	* application/Resources/image/titleRulerBackground.tiff
		[削除] 不要になったので削除。
================================================= ShortCircuit
2005-10-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Validation.m
		「掲示板」＞「掲示板オプション...」は、状況に応じて「掲示板オプションを表示」「掲示板オプションを隠す」
		に表記が変わるようにした。
	* application/Resources/Japanese.lproj/Localizable.strings
	* application/source/bbs/BSBoardInfoInspector.m
		インスペクタを表示したままウインドウや、掲示板を切り替えたとき、インスペクタも適切に更新するようにした。
		また、URL も表示させるようにした。
		- まだ少し詰めが甘いかもしれない。
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/thread/CMRThreadViewer.m
		「掲示板」＞「掲示板オプション...」を追加。ショートカットは command-B ("B"oard options)。
		また、「ステータスバーを表示／隠す」のショートカットを command-/ に変更。
	* application/Resources/Japanese.lproj/BSBoardInfoInspector.nib
		[新規追加] 「掲示板オプション」インスペクタ・パネル用 nib ファイル。
	* application/source/bbs/BSBoardInfoInspector.m
		[新規追加] 「掲示板オプション」インスペクタ・パネルのコントローラ。
		- 名前の付け方をちょっとミスった、…かも。"BSBoardInfoInspectorController.m" の方がよかった、…かも？
	* application/Resources/text/KeyValueTemplates.plist
		"Thread - FirstVisible", "Thread - LastVisible" を廃止（削除）。
		- これらの設定は User Defaults に移動し、今後は「環境設定」＞「一般」で設定する。
	* application/source/preferences/AppDefaults-ThreadViewer.m
	* application/subproj/preference/general/GeneralPrefController.m
	* application/subproj/preference/general/GeneralPrefController-View.m
	* application/subproj/preference/Japanese.lproj/GeneralPreferences.nib
		スレッドのレスの表示範囲のデフォルトに関する設定を追加した。
	* application/Resources/text/lastVisibleNumbers.plist
	* application/Resources/text/firstVisibleNumbers.plist
		デフォルトの選択肢を若干変更。
	* application/subproj/preference/AdvancedPrefController.m
	* application/subproj/preference/Japanese.lproj/AdvancedPane.nib
		「“ブラウザで開く”ときのレス数：」設定は、「一般」から「詳細」ペインに移動した。
	* application/source/view/BSIconAndTextCell.m
		ハイライト時の文字の視認性を向上させるため、NSShadow を付加するのではなく、文字をずらして重ね描きする方法に
		変更（6スレ915氏のアドバイスに感謝）。
2005-10-07 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/view/ThreadsListTable.m
	* application/source/preferences/AppDefaults-ThreadsList.m
		6スレ776の問題（カラムを非表示に設定しても、次に起動するとまた表示されてしまう）を解決するため、
		スレッド一覧のカラムの幅・順序・表示／非表示の保存方法を変更。
		- 詳細は ThreadsListTable.m のコメントを参照。
		- この変更のため、今までのスレッド一覧のカラムの設定は無効になるので、デフォルトの幅と順序で、すべてのカラムが
		　表示される。各自で再設定すべし。
2005-10-06 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/BSTitleRulerView.m
	* application/source/browser/CMRBrowser.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		アピアランスを何度も切り替えていると、クラッシュする問題を修正。
		- CMRBrowser が BSTitleRulerView を適切に release していなかった。
		- BSTitleRulerView 自体も、手抜きを止めてきちんとアクセッサメソッドを書き、コードを全体的に見直した。
		さらに、ブラウザウインドウを複数開いていると、どのブラウザウインドウで他のスレッドに移動しても、
		スレッドタイトルバーがすべてのブラウザウインドウで同時に更新されてしまう問題を修正。
2005-10-02 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/image/Status_logcached.png
	* application/Resources/image/Status_updated.png
	* application/Resources/image/Status_newThread.png
		初代スレ109＝6スレ924さんのステータスアイコンを新しいデフォルトアイコンに採用。
	* application/source/browser/CMRBrowser-List.m
		- (void) showThreadsListWithBBSSignature:(CMRBBSSignature*)aBBSSignature は廃止し、
		- (void) showThreadsListWithBoardName:(NSString*)boardName を新設。
================================================= PrincessBride
2005-10-02 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer.m
		別ウインドウでスレッドを開いたとき、タイトルバーにスレッドタイトルだけでなく板名も表示するようにした（883@6th）。
2005-10-01 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		検索フィールド周りを整理し直し、よりシンプルなコードに。
		- 検索フィールド周りからのメモリリークも潰れたと思う。
	* application/source/window/CMRNSSearchField.m
	* application/Resources/Japanese.lproj/PantherSearchField.nib
		[削除] このクラスと nib ファイルは、Browser.nib/CMRBrowser クラスに統合し、削除。
		- いままで独立していたのは、CocoMonar 時代、Jaguar との互換性を確保するためだった。もうそんな気遣いは無用だ :-)
	* application/source/manager/CookieManager.m
	* application/source/window/CMRReplyController-ViewAccessor.m
	* application/source/window/CMRReplyController.m
	* application/source/window/CMRReplyMessenger.m
		be ログインの板ごとの設定プリセットを可能にするための内部工事。また、Messenger とController の
		役割分担を一部見直し。
		- これで「板ごとのコテハン・メール欄・Be ログインのデフォルト設定」のための内部準備はできた。
		　あとはインタフェースを作って繋げればいい。
2005-09-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/image/titleRulerBgAquaBlue.tiff
	* application/Resources/image/titleRulerBgAquaGraphite.tiff
		[新規追加] スレッドタイトルバーの背景画像（以前の titleRulerBackground.tiff は今後使用されない）。
		- ブルーとグラファイトの二種類用意してある。アピアランスに応じて自動的に使い分けられる。
	* application/source/browser/BSTitleRulerView.m
		スレッドタイトルバーの文字を少し小さくし（13pt→12pt）、バーの高さも少し低くした（24pt→22pt）。
	* application/Resources/Japanese.lproj/Browser.nib
		コンテキストメニューに「新規ウインドウで開く」を追加した。
	* application/source/view/CMRSplitView.m
		横置きのとき、スプリッターの左境界を自力で描き加え、見た目を整えるようにした。
		- 微妙に色が違うかもしれん… NSColor のクラスメソッド群にあのフレーム色がない。gridColor がいちばん
		　近いが、微妙に薄いような気がする。
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/source/window/CMRReplyControllerTbDelegate.m
	* application/source/window/CMRBrowserTbDelegate.m
		ツールバーのデフォルトに「進行状況」を追加するなど、見直した。
	* application/source/browser/BSTitleRulerView.m
	* application/source/preferences/AppDefaults-ThreadsList.m
		スレッドタイトルバーの文字色を黒と白の二色から選べるようにした。以下を Terminal で唱える：
		defaults write jp.tsawada2.BathyScaphe ThreadTitleBarTextUsesBlackColor -bool TRUE
	* application/source/thread/CMRThreadViewer-Link.m
		リンクでのスレタイポップアップについて、ログファイルを取得していなくても、ThreadsList.plist から
		スレタイが取得できればそれを使うようにした（CocoMonar の機能を一部取り込み）。
		- ThreadsList.plist にもない場合、CocoMonar ではその場でダウンロードしてくるようだが、ひとまずそれは
		　見送る。
	* application/source/browser/CMRThreadsList.m
	* application/source/network/ThreadsListDownloader.m
	* application/source/object/CMRThreadSignature.m
	* application/source/object/CMRBBSSignature.m
		CMRBBSSignature の以下のメソッドは今後非推奨とする：
		-(NSString *) dataRootDirectoryPath
		-(NSString *) threadsListPlistPath
		替わりに CMRDocumentFileManager の以下のメソッドを使うこと：
		-(NSString *) directoryWithBoardName:(NSString *) boardName
		-(NSString *) threadsListPathWithBoardName:(NSString *) boardName

		これに伴い、現在これらのメソッドを使っている部分（ごくわずかだった）については適宜書き換えておいた。
		- 将来、CMRBBSSignature の他のファイルパス関連のメソッド群も CMRDocumentFileManager の類似メソッドに
		　統合する可能性がある。
	* application/source/thread/CMRThreadLayout.m
	* application/source/composer/CMRMessageAttributesTemplate.m
		新着位置画像に対する余白の設定方法を若干効率化。
	* application/source/composer/CMRMessageAttributesTemplate.m
		[Bug 6003] オンザフライボタンにポインタを合わせても、ポインタが指差しに変わらず、そのままクリックすると
		クラッシュすることがある問題を修正。（Special thanx to 268@CocoMonar 24th(actually 25th) thread）
		- ポインタが変わらない問題は残るが、クラッシュはしなくなり、オンザフライ展開も実行される。
		- ただし、メモリリークが多少発生するとのこと。
================================================= LeafTicket
2005-09-29 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/CMRStatusLineWindowController.m
	* application/source/window/BSWindow.m
		ツールバーをカスタマイズする際に、「進行状況」プログレスインジケータが表示されないままになる問題を修正。
		- ただし、Command+Option+ツールバーボタンのクリックでカスタマイズシートを出した場合は表示されないまま。
		- 殴り書きの原因推察は BSwindow.m のコメントを参照。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-Validation.m
		「編集」＞「削除」では、ログを削除できないように仕様変更した（「スレッド」＞「ログを削除...」に一本化）。
		- delete キーでの削除は今まで通り動作するので心配ない。（6スレ474氏の指摘）
2005-09-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/CMRBrowserTbDelegate.m
		ツールバーの検索フィールドの幅の上限が、今までは最小値の5倍だったが、3倍にとどめた（横長のウインドウで
		検索フィールドが長く伸びすぎないように）。
	* application/source/view/BSIconAndTextCell.m
		ハイライト時の文字の書式を若干調整。
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser.m
		検索結果の表示場所をステータスバーからタイトルバーに移動した。また、SledgeHammer で検索結果の表示が
		消えなくなることがあった問題を解決。
		- Mail.app のように検索フィールドのラベルとして検索結果を表示するのは、実装が複雑になるので
		　とりあえず見送った。
	* application/Resources/Japanese.lproj/CMRStatusView.nib
	* application/source/view/CMRStatusLine-ViewAccessor.m
	* application/source/view/CMRStatusLine.m
		不要になった outlet, アクセッサメソッド、その他を廃止。
	* application/source/preferences/AppDefaults-FontColor.m
	* application/source/composer/CMRMessageAttributesTemplate.m
		本文の上下余白設定が、BathyScaphe を再起動するまで反映されなかった問題を解決。
		- 今後はスレッドを開き直したときに反映されるようになる（左余白と同じ）。
	* application/source/browser/CMRThreadsList-DataSource.m
		省略位置を中間から末尾に変更。
	* application/source/browser/BSTitleRulerView.m
		初期化時にクラッシュすることがある問題を解決。この問題の解決は、masakih 氏の功績によるものです。
================================================= SledgeHammer
2005-09-24 (2005-09-23) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/BSProgressIndicatorTbItem.m
		[新規追加] ツールバーのプログレスインジケータの表示状態をより細かく制御するためにサブクラス化。
		- 「ツールバーをカスタマイズ」シートでインジケータが表示されない（isDisplayedWhenStopped : NO だから）ので、
		　それを改善したいのだが……なかなかうまいこと動作しないので一部コメントアウトしてあったりする。
	* application/subproj/BWAgent/BoardWarrior.applescript
	* application/subproj/BWAgent/Japanese.lproj/MainMenu.nib
		BWAgent 1.1.7 - デフォルトの参照先 URL を変更。
	* application/subproj/BWAgent/BWAgent.xcodeproj
		BWAgent.xcode を Xcode 2.1 以降用のプロジェクトファイルに変換。ついでにネイティブターゲットにアップグレード。
	* application/source/window/CMRReplyControllerTbDelegate.m
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/source/window/CMRToolbarDelegateImp.m
		下記変更に伴い微修正。
	* application/Resources/Japanese.lproj/ReplyWindowToolbarItems.strings
	* application/Resources/Japanese.lproj/ThreadViewerTbItems.strings
		[削除] 下記変更に伴い削除。
	* application/Resources/Japanese.lproj/ToolbarItems.strings
		[新規追加] ThreadViewerTbItems.strings と ReplyWindowToolbarItems.strings を統合。
		- 一緒になっていた方が全ツールバー共通のツールバー項目を提供するのに好都合だったため。
	* application/Resources/text/KeyValueTemplates.plist
		"Browser - WindowTitleFormat" を廃止（削除）した。また、"Favorite - MaxCountForPool" も廃止した。
		そして、"Browser - ListViewInterCellSpacing" を追加した。
2005-09-24 (2005-09-22) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/view/CMRThreadView.m
		3ペイン時に BSTitleRulerView を表示するための小変更。
		- CMRThreadView では、NSTextView の updateRuler メソッドを空メソッドでオーバーライドしてブロック。
		　こうしないと、勝手にルーラーの土地に色々表示されたり、土地を拡張されたりして、非常に困ることになる。
	* application/Resources/image/titleRulerBackground.tiff
		[新規追加] 3ペイン時のスレッドタイトル表示領域の背景画像。暫定。
	* application/source/browser/BSTitleRulerView.m
		[新規追加] NSRulerView のサブクラス。NSTextView に表示されるルーラーの「土地だけを譲り受けて」、
		そこを3ペイン時のスレッドタイトル表示場所に使おうという訳だ。
		- 突貫工事のため、外観のカスタマイズ性が不十分だが、早い時期に改良する予定。
	* application/source/window/CMRToolbarDelegateImp.m
	* application/source/window/CMRReplyControllerTbDelegate.m
	* application/source/window/CMRBrowserTbDelegate.m
		プログレスインジケータをステータスバーからツールバーに移動。まだ作業の途中なので、いくつか不完全な部分が
		残っているので、留意のこと。
2005-09-24 (2005-09-21) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/text/KeyValueTemplates.plist
		"PopUp - WindowAlphaValue" を廃止（削除）した。
	* application/source/view/popup/CMXPopUpWindowController.m
	* application/source/view/popup/CMXPopUpWindowController+View.m
	* application/source/window/CMRReplyController-ViewAccessor.m
	* application/source/preferences/AppDefaults-Background.m
	* application/source/preferences/AppDefaults-FontColor.m
	* application/subproj/preference/Japanese.lproj/FontsAndColors.nib
		「表示」環境設定の改良：
		- ポップアップの透明度の指定を直接行えるようにした。これに伴い、ポップアップの透明度の設定が
		　KeyValueTemplates.plist から User Defaults に移動した。
		- 書き込みウインドウの背景の透明度の設定をカラーウェルから独立させ、User Defaults にも「カラー」と
		　「透明度」を分けて記録するようにした（残念ながら、以前の設定は変換されないので、書き込みウインドウの
		　背景色を再設定することを推奨）。
		- スレッド一覧の「行の間隔」「列の間隔」の設定インタフェースを廃止した（あまり有り難みがなく、「行の高さ」と
		　相まって混乱しがちなため。KeyValueTemplates.plist に転出させようと思う）。
		また、これに伴いこれらの設定を参照する側にも必要な変更を最小限施した。
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser-Action.m
		掲示板リストで、カテゴリ項目をダブルクリックしたときはカテゴリを開閉するように（>>433@6th ほか）。
		- フォルダだと思えば割と自然な振る舞い。NSOutlineView の item だと思えばやや規格外か。
		　まぁ、たぶんほとんどの人はフォルダとして捉えているだろうから、いいか。
		- Xcode でもダブルクリックでフォルダ開くしね。
	* application/source/thread/CMRAbstructThreadDocument.m
	* application/source/thread/CMRThreadDocument.m
		2005-09-15 の修正の続き。3ペイン時に「履歴」メニューからスレッドを選んでも表示されなくなっていた
		問題を解決（ブラウザ Browser は CMRThreadDocument のサブクラスではないので、CMRThreadDocument に
		メソッドを書いておいても無効であった。Browser, CMRThreadDocument 両方のスーパークラスである
		CMRAbstructThreadDocument にメソッドを移した）。
2005-09-24 (2005-09-20) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/manager/CMRReplyDocumentFileManager.m
		板ごとにコテハン・メール欄を設定するための内部準備工事。Be ログインはちょっと見直しが必要なので先送り。
	* application/source/thread/CMRThreadLayout.m
		レスの属性を変更した後などに、テキストが消えて白抜け状態になったり、文字がにじんだりする問題を緩和するための
		実験と対症療法。少し良くなったと思うが、まだ状況によっては文字がにじんだりするなぁ。
	* application/Resources/text/KeyValueTemplates.plist
		"BBSList - InterCellSpcaing" を廃止した。
	* application/source/view/BSIconAndTextCell.m
		掲示板リスト（NSOutlineView）の row が　highlight すると、その row の cell もハイライトする。
		私たちは今、row の ハイライト時背景を塗りつぶしているのだが、そのままだと、そのあとに cell の描画が
		行われるため、「cell のハイライト色」が上にかぶさってしまい、邪魔。そこで cell のハイライト色として nil を返し、
		cell には色をつけないようにした。
	* application/source/view/BSBoardListView.m
		[新規追加]（まったく本質的でない改造）掲示板リストの選択項目のハイライト背景をカスタムの画像で描くための
		NSOutlineView のサブクラス。（ますます Mail.app に近づく）
		ついでに、掲示板リストのコンテキストメニューの表示に関する問題 [Bug 6330] を解決。
	* application/Resources/image/boardListSelBg.tiff
	* application/Resources/image/boardListSelBgFocused.tiff
		[新規追加]（まったく本質的でない改造）掲示板リストの選択項目のハイライト背景画像。
		- 暫定、Mail.app から借りてきた。rowHeight と 画像の高さが違うときは自動的に伸縮して描くが、ちょっと汚いなぁ。
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/bbs/BoardList-OVDataSource.m
		BSIconAndTextCell を掲示板リストの表示に使う為に必要な修正。
	* application/source/view/BSIconAndTextCell.m
		[新規追加] 掲示板リストのアイコン付きテキスト表示用の新しい NSCell サブクラス、BSIconAndTextCell。
		特徴：1.常にアイコン・テキストをセルの（上下の）中央に描画する。アイコンサイズは任意。
		2. cell が highlight 状態のときは、ボールド＋文字色・白＋ドロップシャドウ付きでテキストを描画する。
		- まだこれからどんどん調整していく可能性がある。また、汎用性を持たせたクラスに仕上げる可能性もある。
		　今は、掲示板リストでの使用にやや特化している。
		- あまりカスタムクラスを作って、決めうちで自力描画はしたくないのだが、普通のセルだとどうにも、テキストが
		　いい位置に描けないんだよなぁ（上に寄ってしまう）…
2005-09-24 (2005-09-19) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/image/Folder.png
		20*16 pixel だったのを 16*16 に修正。
	* application/Resources/image/StopSmall.tiff
		[削除] 不要になったので削除。
2005-09-24 (2005-09-18) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/AppDefaults-FontColor.m
		Mac OS X 10.4（そして、10.5 以降）との互換性を確保するための微修正。
	* application/source/bbs/BoardListItem/*.(h|m)
		[新規追加] masakih 氏提供のソースからとりあえず boardListItem 関連のクラス群を追加。
		とりあえず（データベース導入前に）掲示板リストの各項目の表現方法を刷新したい。この骨組みを活用していく予定。
		- 注意：まだビルドターゲットには含まれていない。 
	* application/source/bbs/BoardList-OVDataSource.m
		書式付き文字列の生成方法を若干効率化した（もっとも、このへんはいずれまた書き直すことになるだろうが…）。
	* application/source/task/CMRTaskManager.m
		「ウインドウ」＞「進行状況」コマンドは、パネルがすでに開いている場合はパネルを閉じるようにした。
2005-09-24 (2005-09-17) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/CMRExports.h
	* application/source/main.m
		しばらく前から不要になったまま放置されていたいくつかの宣言を削除、整理。
	* application/source/thread/CMRThreadViewer.m
		2005-09-12 の CMRNoNameManager の統廃合関連で、デフォルト名無しを正しく取得できないケースが
		発生していたのを修正。
2005-09-24 (2005-09-16) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/SGDocument_p.h
		[削除] 単に SGDocument.h を import しているだけだったので、統合して削除。
	* application/source/manager/CMRDocumentFileManager_p.h
	* application/source/object/CMRBBSSignature_p.h
		[削除] いずれも、内容が空のゴミファイルだったので削除。
	* application/source/thread/CMRThreadLayout.m
	* application/source/composer/CMRMessageAttributesTemplate.m
		新着位置画像、オンザフライボタンの前後の余白を調整（まだ途中）。
	* application/source/composer/CMRAttributedMessageComposer.m
		よく見直すと、使われていない関数や定数が記述されていたので、その部分を削除した。
2005-09-24 (2005-09-15) tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/image/OrderFrontBrowser.tiff
		[新規追加] 「ブラウザ」ツールバーボタンのアイコン（とりあえず Xcode から借りてきた。リリースまでにちゃんと作り直す）。
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/Resources/Japanese.lproj/ThreadViewerTbItems.strings
		スレッドのウインドウ（いわゆる"別窓"）で、ツールバーに「ブラウザ」ボタンを追加可能にした。
		- このボタンをクリックすると、いつでもブラウザウインドウを手前に持ってくる。
		- ブラウザウインドウ（いわゆる"スレ一覧のウインドウ"）ではこのツールバー項目は追加できません。
		- 3ペインの人には、ありがたみはないかも。別窓が基本の2ペイン派には、ありがたいかも。
	* application/source/thread/CMRThreadDocument.m
	* application/source/thread/CMRThreadViewer.m
		履歴メニューなどでスレッドを移動したとき、すでに移動先のスレッドが別ウインドウで開いているときは、
		移動する変わりにそのウインドウをアクティブにするようにした（2ペイン時の話）。
		- 同じスレが複数のウインドウで開いているとトラブルの元となるので、それを防ぐための措置。
		- CMRThreadDocument.m のコメントも参照。また、3ペイン時は若干まだ詰めが必要かも。
2005-09-14 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRThreadsList-DataSource.m
		スレッド一覧の各列で、文字列が長過ぎて収まらないときは中間を「...」で省略して表示するようにした。
	<file:///Developer/ADC%20Reference%20Library/documentation/Cocoa/Conceptual/Rulers/Tasks/TruncatingStrings.html>
	* application/subproj/preference/font_color/FCController.m
	* application/subproj/preference/FontWell.m
		FontWell（フォント選択ボタン）について、以下の改良を実施：
		- フォントパネルに余計な設定項目（シャドウや字消し線など）を表示しないようにした（validModesForFontPanel: を実装）。
		　- 参考：validModesForFontPanel:（NSFontPanelValidation プロトコル）は available in Mac OS X 10.3 and later.
		- フォントパネルを開いた際、現在のフォントが正しく選択されないことがある問題、また、現在のフォントサイズを無視して常に
		　12ポイントが選択されていた問題を修正
		- フォントパネルはキーウインドウにならないで開くようにした
		- ソースを整理、また、ビルド時の警告が出ないように適切な書き方に改めた。
2005-09-13 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/browser/CMRBrowser-List.m
		「xxx 件のスレッド」をステータスバーではなくブラウザウインドウのタイトルバーに表示するように変更中。
		- 3ペイン時のスレッドタイトルに付いては、タイトルバーではなくスレ内容領域の直上に表示したいのだが、面倒そう。
		　現在、方法を検討中。
		いずれにせよこの件はとりあえずやってみただけで、まだ固まっていない。
	* application/source/view/CMRThreadView.m
		"poof" animation を実行するかどうか、User Defaults の設定を参照するようにした。
	* application/source/preferences/AppDefaults-ThreadViewer.m
	* application/source/preferences/AppDefaults-FontColor.m
	* application/source/preferences/CMRPreferencesDefautValues.h
		新しい User Defaults の項目を追加した。
		-[CMRPref ShowsPoofAnimation] - 透明あぼーん時に煙のアニメーションを表示するか？（デフォルト：YES）
		（この設定項目を環境設定パネルに用意するつもりはない。どうしても煙を止めたい人だけが、Terminal を起動して
		「defaults write jp.tsawada2.BathyScaphe ShowsPoofOnInvisibleAbone -bool FALSE」とタイプせよ）
		-[CMRPref msgIdxSpacingBefore] / [CMRPref msgIdxSpacingAfter] - メッセージ本文と名前欄等の間の
		余白（デフォルト：それぞれ 15.0,10.0）。あとで環境設定パネルから設定できるようにする予定。下の説明も参照。
	* application/source/composer/CMRAttributedMessageComposer.m
	* application/source/composer/CMRMessageAttributesTemplate.m
		スレッド表示：メッセージの本文と、名前・投稿日欄との前後の余白の開け方、設定方法を変更。
		今までは、メッセージの本文の前後に特定の文字列（デフォルトは改行文字）を付け足して、これによって表示上の余白を
		作っていたが、これを廃止し、かわりに名前・投稿日欄の行に NSParagraphStyle の paragraphSpacingBefore 及び
		paragraphSpacing を適当な値（上記 User Defaults を参照する）で指定して、これによって余白を作るようにした。
		- 注意：paragraphSpacing(Before) は、本文の文字列ではなく、名前・投稿日等の行にセットする。
		　よって、ユーザが「本文上部の余白」だと思って設定するものが、BathyScaphe 内部では「名前・投稿日等の行の下側余白」
		　として扱われている。逆も同様。デベロッパはこの「ねじれ」を認識しておくこと。
		- 参考：[NSParagraphStyle paragraphSpacingBefore] は available in Mac OS X 10.3 or later.
	* application/Resources/text/KeyValueTemplates.plist
		各種変更に合わせて修正した。
		- "Thread - DateDescription" のデフォルト値を若干変更。
		- "Thread - MessageFooter", "Thread - MessageHeader" を廃止（削除）した。
	* application/Resources/text/DateDescription.plist
		[削除] 下記変更に伴い削除。
	* application/source/composer/CMRAttributedMessageComposer.m
		曜日文字列を表示するために持っていた DateDescription.plist は廃止し、Mac OS X が提供するものを使うことにした。
		もし DateDescription.plist をカスタマイズしていた場合、その内容を user defaults に同じエントリ名で書き写しておけば
		たぶんそれが使われるはず。
2005-09-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/bbs/BoardManager.m
		BoardManager は CMRNoNameManager と統合し、かつ、いくつかメソッドを追加。
	* application/source/bbs/BoardManager-BSAddition.m
		[新規追加] 統合された BoardManager のカテゴリで分割したソースファイル。
		旧 CMRNoNameManager.m のメソッドと、今回新しく追加されるメソッドが記述されている。
	* application/source/bbs/NoNameInputController.m
		[新規追加] 旧 CMRNoNameManager.m から独立。
	* application/source/manager/CMRNoNameManager.m
		[削除] CMRNoNameManager は、BoardManager と統合することにした（NoNames.plist は引き続き使用される）。
		CMRNoNameManager を参照している各ソースファイルに必要な修正を施し、CMRNoNameManager は削除。
	* application/source/misc.h
		[削除] CMRExports.h に統合して削除。
	* application/source/browser/CMRAccessorySheetController-ViewAccessor.m
	* application/source/browser/CMRAccessorySheetController_p.h
		[削除] それぞれ CMRAccessorySheetController.m, CMRAccessorySheetController.h に統合して削除。
	* application/source/view/CMRThreadView.m
		レスを透明あぼーんに指定したとき（迷惑レスに指定し、迷惑レスの設定が「透明あぼーんする」だった場合も含む）、
		"poof" animation（Dock のアイコンやツールバーのボタンを削除するときの煙のアニメーション）を表示させるようにしてみた。
		- Mac OS X 10.4 以降では、このアニメーション表示後、スレッドの文字が一部にじんで表示される場合がある。
		　Mac OS X のバグで、他のアプリでも症状が見られる。いい対処法は見つかっていない。
	* application/source/browser/CMRBrowser-List.m
		Mac OS X 10.2 以前との互換性を考慮していた、冗長な記述を削除。
	* application/source/view/CMRStatusLine.m
		ビルド時の警告が出ないように書き方を修正。
	* application/source/preferences/CMXTemplateResources.h
		[削除] これはかつての v1 と v2 のソースを橋渡しするためのファイルだったので、このヘッダを import している
		各ファイルに必要な修正を施し、このヘッダは削除。
	* application/source/browser/CMRBrowserTemplateKeys.h
		[削除] CMRBrowser_p.h と統合して、削除。
	* application/source/view/CMRTextView.m
		このサブクラスを用意する必要がなくなったと考えられるため、ターゲットから外した。
	* application/source/window/CMRReplyController-ViewAccessor.m
		CMRTextView を NSTextView に変えた。
	* application/source/view/popup/CMXPopUpWindowController+View.m
	* application/source/composer/CMRMessageAttributesTemplate.m
		数行下↓の変更で、ポップアップでテキストカラーを変えていると、リンクの下線設定が無視されるように
		なっていたので修正。ついでにアンダーラインスタイルの指定方法を Mac OS X 10.3 以降のものに変更。
	* application/source/thread/CMRThreadLayout.m
	* application/source/thread/CMRThreadLayout-MessageRange.m
		Tiger で、オンザフライで省略されたレスを展開したり、AAスレッドの指定を切り替える際、残像が残ったりして
		描画が乱れる問題を修正（したつもり）。
		- どうしてこの症状が起きるかよくわからないので、とりあえず画面の再描画を促してみたが…
	* application/source/view/CMRThreadView.m
	* application/source/view/popup/CMXPopUpWindowController+View.m
	* application/source/view/SGHTMLView.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/composer/CMRAttributedMessageComposer-Anchor.m
	* application/source/composer/CMRAttributedMessageComposer.m
		リンク文字列を、今までは composer の方で自前で attributes を与えつつ、NSTextView の linkTextAttributes を
		空辞書にして描画していたが、linkTextAttributes に辞書をセットするようにして、自分で attributes を設定するのは
		止めにした。（linkTextAttributes: は Panther 以降なので、CocoMonar の頃はこうすることはできなかった）。
	* application/source/browser/CMRThreadsList-DataSource.m
		書式付き文字列を生成する際の若干の効率化と typo の修正。
2005-09-11 masakih <masakih@users.sourceforge.jp>
	* application/source/manager/BSScriptsMenuManager.m
		アプリケーション形式、アプリケーションバンドル形式のAppleScriptの判定に
NSAppleScript クラスを使用しないようにした。
		これにより、6スレ>>220の現象は発生しないはずである。
		(残念ながら現象を再現できなかったため、未検証)
================================================= Branch
2005-09-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/MainMenu.nib
		「ウインドウ」＞「進行状況」のショートカットを command-option-V から command-0 に変更（Mail.app と揃えた）。
	* application/source/view/BSSegmentedControlTbItem.m
		[新規追加] 「戻る／進む」ボタンをツールバーで適切に validate するための、NSToolbarItem のサブクラス。
	* application/Resources/image/HistoryBack.tiff
	* application/Resources/image/HistoryForward.tiff
		画像ファイル自体はすでにコミット済みだが、画像を差し替えた。
	* application/BathyScaphe.xcodeproj
		上記画像ファイルをビルド時にコピーするようにした。
	* application/source/window/CMRBrowserTbDelegate.m
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/source/window/CMRToolbarDelegateImp.m
		ツールバーに「戻る／進む」ボタンを配置できるようにした。また、ソースの typo を修正。
	* application/source/manager/CMRDocumentController.m
		（masakih 氏のアドバイス）「最近使った書類」に BathyScaphe の書類が表示されないようにした。
================================================= 1.0.2
2005-08-04 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/BathyScapheHelp/
		新しいヘルプを CVS リポジトリにコミット。多くの方に感謝。
	* application/Resources/Japanese.lproj/Credits.rtf
		ヘルプ制作者のクレジット追加。
2005-07-31 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* metadataimporter/BathyScaphe/GetMetadataForFile.m
	* metadataimporter/BathyScaphe/schema.xml
		kMDItemDisplayName に、スレタイを代入するようにした。
		- これで Spotlight メニューの表示にスレタイが使われるようになる。
		- これに伴い、本来のファイル名（kMDItemFSName）を、詳細表示時に表示するようにした。
		注意：新しいメタデータ・インポータは、再ログインではなく再起動しないと使用されないので、ビルド後
		テストするためにはコンピュータを再起動すること。
	* application/source/preferences/AppDefaults-Bundle.m
		ログ管理アプリケーションの表示名を取得するコードをスタンダードなものに修正。
	* application/source/composer/CMXTextParser.m
		Air Edge Phone センターからの投稿を示す「o」記号への対応を追加。
2005-07-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/
		ほぼすべてのファイルを微修正。
		- HelpButton 用の IBAction をサブクラスごとにバラバラに持つのではなく、PreferenceController にまとめた。
		- 「書き込み」ペインのレイアウト修正、ヘルプボタン追加、表記統一、nib のフォーマットを新しいものに変更。
		- 「表示」ペインにヘルプボタン追加、行の高さなどの数値入力がすぐに反映されない問題を修正。
=================================================
2005-07-23 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/BathyScapheHelp/
		ヘルプの更新開始。まだ途中。
	* application/source/extensions/NSTableColumn+CMXAdditions.m
		Mac OS X 10.4 以降で、起動時にコンソールに「setResizable: は deprecated じゃ！」と警告が
		吐き出される問題を修正（CocoMonar での修正を取り込み）。
	* application/source/thread/CMRThreadViewer-Action.m
		3ペイン時に「履歴」メニューからスレッドを選択した際、フォーカスがスレッド一覧に強制的に
		移動してしまう問題を解決。（4スレ413）
	* application/subproj/editor/BoardListEditor.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/bbs/BoardList.m
	* application/source/bbs/BoardList-OVDataSource.m
		[Bug 6329] 掲示板と同じ名前のカテゴリを作成できない、また、掲示板と同じ名前のカテゴリが
		存在しているとき、その掲示板をドラッグすると予期せぬ結果を引き起こす問題を解決。
		- 掲示板と同じ名前のカテゴリが存在する事は、認めるようにした。
		- 同じ名前のカテゴリを複数作る事は引き続き許可しない。また、「お気に入り」という名前の掲示板／カテゴリを
		　作成する事も認めない。
2005-07-22 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-OwnHistory.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/Resources/Japanese.lproj/MainMenu.nib
		「履歴」＞「前へ戻る」／「次へ進む」を利用可能にした。
		- これは履歴メニューの項目間を移動するのではない。最前面のスレッドビューア内での
		　履歴の中で移動する（Safari の履歴の移動と同じように考えれば良い）。
2005-07-18 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/image/HistoryBack.tiff
	* application/Resources/image/HistoryForward.tiff
		[新規追加] これらの画像は、1.0.2 では使用しない（ビルド時にコピーされない）。将来をにらんで追加。
2005-07-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/CMRPullsDownButton.m
		[削除]すでにターゲットからは外れていたが、リポジトリからも削除。
	* application/source/thread/CMRThreadViewer-OwnHistory.m
		[新規追加] CMRThreadViewer.m から旧履歴ポップアップ関連の delegate を分割。
		この部分を流用／改造して「戻る／進む」を作っていく。保守性向上のための分割。
2005-07-16 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMR2chDATReader.m
		CMXTextParser に喰わせて得られる日付データが NSDate 型でなかった場合は、
		スレッドの作成日や最終更新日の日付にそれを使用しない（nil にする）ようにした。
		- NSString 型で渡されるとスレッド一覧でのソートができないので。
		- これでスレッド一覧に「まいね」は表示されなくなる。ただし、一度問題のログを捨てて再取得すること。
		　それと、東北mc の Threadslist.plist も捨てる。
2005-07-12 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/SGContextHelpPanel.m
		ポップアップがキーウインドウになっているとき、Esc キーを押しても何も起きないようにした。
	* application/source/composer/CMRMessageFilter.m
		[Bug 6321] 迷惑レスフィルタが ID：???0, ???O のレスに誤反応する問題を修正。
		- ??? で始まる ID のときはサンプルに登録しないようにした（???P もあり得る）。
2005-07-10 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/Japanese.lproj/Browser.nib
	* application/source/preferences/AppDefaults-Background.m
		掲示板リストの背景色がまだ Mail.app と違うようなので、色を設定し直し。
		色の測定には ColorSync ユーティリティの「計算機」ペインを使ってみた。これでダメなら…もうあきらめる。
=================================================
2005-07-09 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/AppDefaults.m
	* application/source/CMRAppDelegate.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
		掲示板リストの背景色を User Defaults とやり取りするメソッドが重複して存在（boardListBgColor と
		boardListBackgroundColor ）していたので、boardListBgColor を廃止。
		また、AppleScript 経由での掲示板リスト／スレ一覧の背景色指定時に、最低限のパラメータチェックをするようにした。
		さらに、パラメータとして空のリストを渡すことで、デフォルトの色に戻せるようにした。
	* application/Resources/Japanese.lproj/Browser.nib
		掲示板リストの背景色の Colorsync Profile をいじってみた。人によって、Mail と色が微妙に違うという声があったので。
	* application/source/preferences/AppDefaults-ThreadsList.m
		インクリメンタルサーチの設定 key の名称などを変更。
		インクリメンタルサーチを使用するかどうか："UseIncrementalSearch"
		2005-06-30 の変更では User Defaults の "Preferences - ThreadsListSettings" dictionary の中に
		この key が作成されるようになっていたが、これを User defaults 直下に作成するように改めた。
		これも defaults コマンドで Terminal などから変更する際に入力を容易にするための変更である。
	* application/source/preferences/AppDefaults.m
		履歴関連の key 名称を変更。
		スレッドの履歴の上限："ThreadHistoryItemLimit"
		板の履歴の上限（ただし、活用されていない）："BoardHistoryItemLimit"
		検索語句の履歴の上限（インクリメンタルサーチがオフのとき）："RecentSearchItemLimit"
		主に defaults コマンドで Terminal などから変更する際に入力を容易にするための変更である。
	* application/source/preferences/AppDefaults-LogSetting.m
		[削除]すでにターゲットからは外れていたが、リポジトリからも削除。
	* application/source/preferences/CMXPreferences.h
		[削除]CMXPreferences.h は、単に AppDefaults.h を import するだけの
		ファイルだった（たぶん、大昔の CocoMonar v1 と v2 のソースをくっつけるときの知恵だったのだろう）。
		今回、CMXPreferences.h を import しているファイルは全て AppDefaults.h の import に書き換え、
		CMXPreferences.h は廃止、削除した。今後は必ず #import "AppDefaults.h" と書くこと。
	* application/source/manager/BSHistoryMenuManager.m
		アプリケーションリセット時に「履歴」メニューの内容を消去するようにした。
	* application/source/CMRAppDelegate.m
		「履歴」＞「履歴を消去」メニュー項目への対応。
	* application/source/manager/CMRHistoryManager.m
		BathyScaphe では、検索語句の履歴については NSSearchField 自身が管理するようになっているので、
		CMRHistoryManager では面倒を見ないことにした。
	* application/source/manager/CMRMainMenuManager_p.h
		[削除]内容を確かめたら空のゴミファイルだったので、削除した。
	* application/source/manager/BSHistoryMenuManager.m
		[新規追加]「履歴」メニューの管理を担当するマネージャ。
	* application/source/thread/CMRThreadViewer.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/manager/CMRMainMenuManager.m
	* application/Resources/Japanese.lproj/MainMenu.nib
		「履歴」メニューの装備開始。まだ実装途中なので注意。
		「前へ戻る」／「次へ進む」の実装は、しばらく後になると思う（見かけより考えなければならないことが多い）。
2005-07-08 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/thread/CMRThreadViewer-Validation.m
	* application/source/window/CMRStatusLineWindowController.m
	* application/source/window/CMRBrowserTbDelegate.m
	* application/source/window/CMRThreadViewerTbDelegate.m
	* application/Resources/Japanese.lproj/ThreadViewerTbItems.strings
	* application/Resources/Japanese.lproj/CMRStatusView.nib
	* application/source/view/CMRStatusLine-ViewAccessor.m
		「停止」ボタンをステータスバーからツールバーに移動した。
		ツールバーアイコンは stopSign.tiff（「進行状況」パネルで使われている奴）を使用する。
	* application/Resources/text/StyleTemplates.rtf
		[削除]すでにターゲットからは外れていたが、リポジトリからも削除。
	* application/Resources/image/
		OpenFavorites.png, openBoard.tiff, openBoardSheet.tiff,
		BackSmall.png, ForwardSmall.png, chooseColumn.png, closeBoard.tiff
		[削除]すでにターゲットからは外れていたが、リポジトリからも削除。
	* application/Resources/image/BoardList.tiff
		[新規追加]ツールバーボタン用画像
	* application/Resources/Japanese.lproj/Browser.nib
	* application/Resources/Japanese.lproj/MainMenu.nib
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-Validation.m
	* application/Resources/Japanese.lproj/ThreadViewerTbItems.strings
	* application/Resources/Japanese.lproj/Localizable.strings
		「表示」＞「掲示板リストを表示（隠す）」付けた。ツールバーにもボタン追加可能にした。
2005-07-05 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/task/CMRTaskManager.m
		今更ながら、「進行状況」パネルの位置とサイズを記憶するようにした。
	* application/source/view/CMRProgressIndicator.m
		プログレスインジケータが隠れているときは、その場所をクリックしても
		「進行状況」パネルを表示しないようにした。
2005-07-04 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/window/CMRReplyMessenger-Connector.m
		[新規追加]CMRReplyMessenger.m から分割（保守性向上のため）。
	* application/source/window/CMRReplyMessenger.m
		AppleScript 経由で書き込みウインドウのテキストを設定したときは、常に
		書き込みウインドウのデフォルトフォントとカラーを適用するようにした。
2005-06-30 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/view/CMRThreadView.m
		ビルド警告の抑制と、デバッグ用文字列の出力抑制（テキストコピー時）。
	* application/Resources/text/KeyValueTemplates.plist
	* application/source/preferences/AppDefaults-ThreadsList.m
		KeyValueTemplates.plist から "Browser - UseIncrementalSearch" を
		User Defaults に移した。
	* application/source/window/CMRNSSearchField.m
		検索語句の履歴の上限の設定に関する問題を修正。
2005-06-28 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/AppDefaults-Bundle.m
	* application/subproj/preference/AdvancedPrefController.m
	* application/source/CMRAppDelegate.m
	* application/source/manager/CMRMainMenuManager.m
		ログ管理アプリケーションの設定と、ツールバーアイコン／メニュー項目の
		validation との関係処理を見直した。
2005-06-27 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/Resources/image/cmlf_icon.png
		アイコンを差し替え。
	* application/source/manager/CMRReplyDocumentFileManager.m
	* application/source/window/CMRReplyControllerTbDelegate.m
	* application/source/window/CMRReplyMessenger.m
	* application/source/window/CMRReplyController.m
	* application/source/window/CMRReplyController-ViewAccessor.m
		書き込みウインドウのフォントとカラーに関する仕様変更。
		- 今までは、各 .cmreply ファイルごとにフォントとカラーの情報が記録されていたため、
		　「環境設定」で変更しても、すでに書き込んだことのあるスレの書き込みウインドウでは
		　フォントやカラーが変わらず、結果として「環境設定の変更が反映されない！」ように
		　見える問題があった。仕様を再検討した結果、書き込みウインドウのフォント・カラーは
		　個別の .cmreply ファイルに記録して保持する必要はないと考え、この機能を削除。
		　書き込みウインドウのフォントとカラーは常に user defaults を参照するようにした。
		　これに伴い、ツールバーの「フォント」「カラー」各ボタンも取り除いた。
	* application/source/view/CMRStatusLine.m
		ステータスバーを表示する／隠す時に、ウインドウ自体のサイズは変更しないようにした。
		これによって、以前報告されていた「ズームしてからステータスバーを表示させると表示が
		おかしくなる／Dock と干渉する」問題も解決（したはず）。
2005-06-26 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/preferences/CMXFileManager.m
		[削除]最初からプロジェクトでチェックマークはついていなかったが、リポジトリからも
		削除した。
	* application/source/CMRAppDelegate.m
		ログ管理アプリケーションを変更したとき、ツールバーボタンのラベルにも変更をすぐに
		反映させるようにした。
	* application/Resources/text/KeyValueTemplates.plist
	* application/source/preferences/AppDefaults.m
	* application/source/manager/CMRHistoryManager.m
		履歴の上限数の設定を KeyValueTemplates.plist から User Defaults に移した。
		設定は引き継がれないので、上限を変更していた人は注意。
	* application/source/window/CMRBrowserTbDelegate.m
		ブラウザウインドウのツールバーから「プリント」ボタンを取り除いた。
	* application/source/preferences/CMRPreferencesDefautValues.h
		デフォルトのパラメータを若干調整。
	* application/source/window/BSWindow.m
		Mac OS X 10.4 以降では常につるぺたで表示するようにした。
		（通常の Aqua ではイマイチしまらないため）
	* framework 各種、および MDI
		Xcode 2.1 用のプロジェクトファイルをコミットした。
2005-06-23 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/datestamper.sh
	* misc/mkdmg.pl
	* misc/README.txt
	* docs/ReleaseNote.rtf
		今後使う見込みが無いのでリポジトリから削除した。
=================================================
2005-06-20 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/extensions/NSTableView+BSAdditions.m
		修正が不十分でゴミ箱にドラッグ＆ドロップしても無反応だったのを解決。
		つくづく CocoMonar のソースは巧妙にできてるんだなぁと思った。
	* application/source/CMRNSObject.m
		[削除]すでにプロジェクトから外していたが、ファイル自体も削除。
	* application/source/window/NSFancyPanel.m
		[削除] 現在、About パネルはサブクラス化する必要がないので、削除した。
	* application/source/view/CMRStatusLine-Notification.m
		[削除] CMRStatusLine-ViewAccessor.m と統合した（ソースの量が大幅に減ったため、
		わざわざファイルを分けるほどでもなくなったため）。
	* application/source/extensions/NSTableView+BSAdditions.m
		[新規追加]SGTableViewBase.m@SGAppKit から draggingSourceOperationMaskForLocal: だけ
		取り出してきたような、そんなカテゴリ。SGAppKit 側に組み込んだ方が良かったか？
		これでスレッド一覧に加え、掲示板リストから外部へのドラッグ＆ドロップ機能も復活。
	* application/source/view/ThreadsListTable.m
		draggingSourceOperationMaskForLocal: を NSTableView+BSAdditions.m に移した。
	* application/source/view/ThreadsListTable.m
		テーブル・ビューから外部へのドラッグ＆ドロップができなくなっていた問題を解決。
		また、Mac OS X 10.4 以降で「このメソッドは deprecated だよ！」という警告がうざいので
		Mac OS X 10.4 以降用の新しいメソッド（dragImageForRowsWithIndexes:tableColumns:event:offset:）を
		書き加えた。
2005-06-19 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser-Delegate.m
		2ペイン時と3ペイン時で、tab キーでのフォーカス移動ループを適切に変更するようにした。
	* application/source/composer/CMRAttributedMessageComposer.m
		Be プロフィールへのリンク書式が不要な範囲まで適用されてしまう問題を修正。
	* application/source/preferences/AppDefaults-ThreadsList.m
		ステータス行関係の preferences を削除（ヘッダにはコメントアウトして残してある）。
	* application/source/browser/CMRBrowser-Delegate.m
		掲示板リストのスプリットビューリサイズボタン上で、正しくカーソルが変わるようにした。
	* application/Resources/image/SplitterHandle.tiff
	* application/Resources/image/Spacer.tiff
		[新規追加]スプリットビューリサイズボタンと、隙間埋め用の画像。
	* application/Resources/image/Action.tiff
	* application/Resources/image/Action_Pressed.tiff
	* application/source/browser/CMRPullDownIconBtn.m
		アクションボタンのアイコンを変更（Tiger の Mail のそれがベースだが、
		微妙に違うのだ）。
	* application/Resources/Japanese.lproj/Browser.nib
		掲示板リストの下部にアクションボタンを復活。また、スプリットバーの幅を
		0にして、リサイズは下部のボタンで行うようにした。
		さらに、（リサイズボタン＋アクションボタンの幅＝）48px 以下に幅を縮められないように
		した（Mail はそう。しかし完全に隠したい人は不満たらたらかも。でも完全に隠すと、一緒に
		リサイズボタンも消えちゃう訳で、そうすると再表示はどうするの？と不親切な UI な訳で…）
	* application/Resources/Japanese.lproj/Browser.nib
		RBSplitView の autoSave name がテスト時の適当な名前のままだったので
		それらしいものに修正した。また、コンテキストメニューの表記を修正。
	* application/source/view/CMRStatusLine-Notification.m
	* application/source/view/CMRStatusLine-ViewAccessor.m
	* application/source/view/CMRStatusLine.m
	* application/source/thread/CMRThreadViewer-ViewAccessor.m
	* application/source/thread/CMRThreadViewer-Action.m
	* application/source/browser/CMRBrowser-Action.m
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser-List.m
	* application/Resources/Japanese.lproj/CMRStatusView.nib
		ステータス行の実装をシンプルにした。下部固定、プログレスバーはスピンスタイル固定。
		また、履歴ポップアップを廃止した（代替手段はまだ実装していない）。
		さらに、中止ボタンが表示されなかった問題を修正（配置とデザインがどうもしっくりこないなぁ）。
2005-06-18 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/source/composer/CMXDateFormatter.m
		ビルド時に警告が出ないように修正。
	* application/source/composer/CMXTextParser.m
		ID の無い板で、投稿元を区別する「0/O」記号の他に「P」（公式p2からの投稿を示す）が加わったので、
		それに対応。
	* application/Resources/Japanese.lproj/Credits.rtf
		RBsplitView のクレジットを追加。
	* application/source/main.m
		libRBSplitView.a が確実にロードされるように。他、CMRNSObject への poseAsClass: を廃止。
	* application/Resources/Japanese.lproj/Browser.nib
		RBSplitView の組み込み。それと、掲示板リストのアウトライン・ビューのスクロールバーを
		Auto-Hide に設定した。
	* application/source/browser/CMRBrowser-ViewAccessor.m
	* application/source/browser/CMRBrowser-Delegate.m
	* application/source/browser/CMRBrowser.m
		RBSplitView に対応して変更と、デリゲートメソッドの実装。
		また、掲示板リストのカテゴリの開閉状態が保存されなくなっていたバグを修正。
	* frameworks/SGAppKit/framework/src/SGAppKit.m
	* frameworks/SGAppKit/SGAppKit.xcodeproj
		「進行状況」パネルに必要な API をあやまって削除していたのを復活した。
	* application/source/CMRNSObject.m
		見直しの結果、不要と判断し、プロジェクトから外した。
	* application/source/libRBSplitView.a
	* application/source/RBSplitView.h
	* application/source/RBSplitSubview.h
	* application/source/RBSplitViewPrivateDefines.h
		[新規追加]スプリットビューの機能を強化するため、外部から導入した静的ライブラリ。
=================================================
2005-06-17 tsawada2 <ben-sawa@td5.so-net.ne.jp>
	* application/subproj/preference/general/GeneralPrefController.m
